package nc.ui.arap.config;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import nc.funcnode.ui.action.GroupAction;
import nc.funcnode.ui.action.MenuAction;
import nc.funcnode.ui.action.SeparatorAction;
import nc.ui.arap.actions.AddLineAction;
import nc.ui.arap.actions.ArapAddFlowMenuAciton;
import nc.ui.arap.actions.ArapReturnAction;
import nc.ui.arap.actions.BillAddAction;
import nc.ui.arap.actions.BillApproveAction;
import nc.ui.arap.actions.BillBalanceLinkQueryAction;
import nc.ui.arap.actions.BillBodyZoomAction;
import nc.ui.arap.actions.BillCancelAction;
import nc.ui.arap.actions.BillConferCancelAction;
import nc.ui.arap.actions.BillCopyAction;
import nc.ui.arap.actions.BillDealLinkQueryAction;
import nc.ui.arap.actions.BillDeleteAction;
import nc.ui.arap.actions.BillEditAction;
import nc.ui.arap.actions.BillFlowStateQueryAction;
import nc.ui.arap.actions.BillHeadZoomAction;
import nc.ui.arap.actions.BillLinkQueryAction;
import nc.ui.arap.actions.BillListApproveAction;
import nc.ui.arap.actions.BillListUnApproveAction;
import nc.ui.arap.actions.BillPrepayAction;
import nc.ui.arap.actions.BillPrintAction;
import nc.ui.arap.actions.BillRefreshSingAction;
import nc.ui.arap.actions.BillSaveAction;
import nc.ui.arap.actions.BillTbbLinkAction;
import nc.ui.arap.actions.BillTempSaveAction;
import nc.ui.arap.actions.BillUnApproveAction;
import nc.ui.arap.actions.BillWriteBackAction;
import nc.ui.arap.actions.BodyCopyLineAction;
import nc.ui.arap.actions.BodyDelLineAction;
import nc.ui.arap.actions.BodyLineEditAction;
import nc.ui.arap.actions.BodyPasteLineAction;
import nc.ui.arap.actions.BodyPasteToTailAction;
import nc.ui.arap.actions.BodyVerifyAction;
import nc.ui.arap.actions.CancelPauseTransactAction;
import nc.ui.arap.actions.CancelPrintAction;
import nc.ui.arap.actions.CreditCheckDecoratorAction;
import nc.ui.arap.actions.DocumentManageAction;
import nc.ui.arap.actions.InitBillCancelCloseAction;
import nc.ui.arap.actions.InsertLineAction;
import nc.ui.arap.actions.LinkBConferQueryAction;
import nc.ui.arap.actions.LinkTermQueryAction;
import nc.ui.arap.actions.LinkVoucharQueryAction;
import nc.ui.arap.actions.MadeBillAction;
import nc.ui.arap.actions.MakeAlterBillAction;
import nc.ui.arap.actions.MakeupCanelAction;
import nc.ui.arap.actions.MakeupConfirmAction;
import nc.ui.arap.actions.NoteRegisterAction;
import nc.ui.arap.actions.OfficialPrintAction;
import nc.ui.arap.actions.PauseTransactAction;
import nc.ui.arap.actions.PayableLineDefValUtil;
import nc.ui.arap.actions.PrintListAction;
import nc.ui.arap.actions.PrintOutputAction;
import nc.ui.arap.actions.PrintPreviewAction;
import nc.ui.arap.actions.RentAffiliatedAction;
import nc.ui.arap.actions.TransTypeAction;
import nc.ui.arap.actions.VerifyAllCancelAction;
import nc.ui.arap.actions.VerifyAllSelectedAction;
import nc.ui.arap.actions.VerifyAllocationAction;
import nc.ui.arap.actions.VerifyFilterAction;
import nc.ui.arap.actions.VerifyGoBackAction;
import nc.ui.arap.actions.VerifyIntimeAction;
import nc.ui.arap.actions.VerifyLinkedQueryAction;
import nc.ui.arap.actions.VerifyMakeupAction;
import nc.ui.arap.actions.WholeBillVerifyAction;
import nc.ui.arap.actions.interceptor.BillVerifyActionInterceptor;
import nc.ui.arap.actions.interceptor.BillVersionActionInterceptor;
import nc.ui.arap.actions.interceptor.CaActionInterceptor;
import nc.ui.arap.actions.interceptor.CompositeActionInterceptor;
import nc.ui.arap.actions.interceptor.OperPowerActionInterceptor;
import nc.ui.arap.actions.interceptor.OrgCheckActionInterceptor;
import nc.ui.arap.actions.interceptor.PauseTransactActionInterceptor;
import nc.ui.arap.commom.OppUIContainer;
import nc.ui.arap.impl.BillCardCalculator;
import nc.ui.arap.importable.ArapExportAction;
import nc.ui.arap.importable.PayableRecordImportablePanel;
import nc.ui.arap.importable.action.ArapImportAction;
import nc.ui.arap.importable.interceptor.ExportActionInterceptor;
import nc.ui.arap.listener.PayableBillRelationQueryDataListener;
import nc.ui.arap.model.ArapBillManageModel;
import nc.ui.arap.model.ArapPageModelDataManager;
import nc.ui.arap.model.PayableBillAppModelService;
import nc.ui.arap.model.PayableBillPaginationQueryService;
import nc.ui.arap.pub.remote.RetAddLoader;
import nc.ui.arap.query.ArapBillQueryConditionDLGInitializer;
import nc.ui.arap.ref.FiBillTypeRefModel;
import nc.ui.arap.scale.ArapBillCardPanelScaleProcessor;
import nc.ui.arap.scale.ArapBillListPanelScaleProcessor;
import nc.ui.arap.sideforms.ArapBesideApproveForm;
import nc.ui.arap.sideforms.ArapBesideHintMessageForm;
import nc.ui.arap.sideforms.ArapBesideHistoryForm;
import nc.ui.arap.sideforms.ArapSideFormMediator;
import nc.ui.arap.sideforms.CreditForm;
import nc.ui.arap.sideforms.ShowAllAction;
import nc.ui.arap.sideforms.ShowAllActionForm;
import nc.ui.arap.sideforms.TaxForm;
import nc.ui.arap.sideforms.TermForm;
import nc.ui.arap.view.ArapBillCardForm;
import nc.ui.arap.view.ArapBillCardTemplateContainer;
import nc.ui.arap.view.ArapBillListView;
import nc.ui.arap.view.ArapQueryTemplateContainer;
import nc.ui.arap.view.ArapTransferBillViewProcessor;
import nc.ui.arap.view.NodeKeyQry;
import nc.ui.arap.view.PayableBillDefValue;
import nc.ui.arap.view.RowNoMediator;
import nc.ui.arap.viewhandler.ArapOrgChanged;
import nc.ui.arap.viewhandler.CreditBillCalculatorFields;
import nc.ui.arap.viewhandler.HBRelationAfterEditHandler;
import nc.ui.arap.viewhandler.card.CardAfterEditCalculateHandler;
import nc.ui.arap.viewhandler.card.CardBodyAfterRowEditHandler;
import nc.ui.arap.viewhandler.card.CardBodyRowChangeHandler;
import nc.ui.arap.viewhandler.card.LoadBillCardTemplate;
import nc.ui.arap.viewhandler.cardafter.BodyBankAccAfterEditHandler;
import nc.ui.arap.viewhandler.cardafter.BodyCheckNoAfterEditHandler;
import nc.ui.arap.viewhandler.cardafter.BodyCostCenterAfterEditHandler;
import nc.ui.arap.viewhandler.cardafter.BodyCurrTypeAfterEditHandler;
import nc.ui.arap.viewhandler.cardafter.BodyCuspAfterEditHandler;
import nc.ui.arap.viewhandler.cardafter.BodyDeptAfterEditHandler;
import nc.ui.arap.viewhandler.cardafter.BodyEuroAfterEditHandler;
import nc.ui.arap.viewhandler.cardafter.BodyFundplanAfterEditHandler;
import nc.ui.arap.viewhandler.cardafter.BodyLocalMoneyAfterEditHandler;
import nc.ui.arap.viewhandler.cardafter.BodyMaterialAfterEditHandler;
import nc.ui.arap.viewhandler.cardafter.BodyMoneyBalanceAfterEditHandler;
import nc.ui.arap.viewhandler.cardafter.BodyPsnDocAfterEditHandler;
import nc.ui.arap.viewhandler.cardafter.BodyRateAfterEditHandler;
import nc.ui.arap.viewhandler.cardafter.BodyVersionRefAfterEditHandler;
import nc.ui.arap.viewhandler.cardafter.EnableCtrlBodyAfterEditHandler;
import nc.ui.arap.viewhandler.cardafter.HeadBankAccAfterEditHandler;
import nc.ui.arap.viewhandler.cardafter.HeadCostCenterAfterEditHandler;
import nc.ui.arap.viewhandler.cardafter.HeadCurrTypeAfterEditHandler;
import nc.ui.arap.viewhandler.cardafter.HeadCuspAfterEditHandler;
import nc.ui.arap.viewhandler.cardafter.HeadDeptAfterEditHandler;
import nc.ui.arap.viewhandler.cardafter.HeadEuroAfterEditHandler;
import nc.ui.arap.viewhandler.cardafter.HeadFundplanAfterEditHandler;
import nc.ui.arap.viewhandler.cardafter.HeadPsnDocAfterEditHandler;
import nc.ui.arap.viewhandler.cardafter.HeadVersionRefAfterEditHandler;
import nc.ui.arap.viewhandler.cardafter.ObjTypeHeadAfterEdithandler;
import nc.ui.arap.viewhandler.cardafter.OtherOrgBodyAfterEditHandler;
import nc.ui.arap.viewhandler.cardafter.OtherOrgHeadAfterEdithandler;
import nc.ui.arap.viewhandler.cardbefore.BodyAccountRefBeforeEditHandler;
import nc.ui.arap.viewhandler.cardbefore.BodyAutoAddLineBeforeEditHandler;
import nc.ui.arap.viewhandler.cardbefore.BodyBankAccBeforeEditHandler;
import nc.ui.arap.viewhandler.cardbefore.BodyChecNoRefBeforeEditHandler;
import nc.ui.arap.viewhandler.cardbefore.BodyCostCenterRefBeforeEditHandler;
import nc.ui.arap.viewhandler.cardbefore.BodyCrossCheckBeforeHandler;
import nc.ui.arap.viewhandler.cardbefore.BodyEuroBeforeEditHandler;
import nc.ui.arap.viewhandler.cardbefore.BodyFreeCustBeforeEditHandler;
import nc.ui.arap.viewhandler.cardbefore.BodyObjTypeBeforeEditHandler;
import nc.ui.arap.viewhandler.cardbefore.BodyProjectBeforeEditHandler;
import nc.ui.arap.viewhandler.cardbefore.BodySoBilltypeBeforeEditHandler;
import nc.ui.arap.viewhandler.cardbefore.BodySummaryBeforeEditHandler;
import nc.ui.arap.viewhandler.cardbefore.BodyTaxcodeBeforeEditHandler;
import nc.ui.arap.viewhandler.cardbefore.BodyVersionRefBeforeEditHandler;
import nc.ui.arap.viewhandler.cardbefore.HeadAccountRefBeforeEditHandler;
import nc.ui.arap.viewhandler.cardbefore.HeadBankAccBeforeEditHandler;
import nc.ui.arap.viewhandler.cardbefore.HeadCostCenterRefBeforeEditHandler;
import nc.ui.arap.viewhandler.cardbefore.HeadCrossCheckBeforeHandler;
import nc.ui.arap.viewhandler.cardbefore.HeadEuroBeforeEditHandler;
import nc.ui.arap.viewhandler.cardbefore.HeadObjTypeBeforeEditHandler;
import nc.ui.arap.viewhandler.cardbefore.HeadSummaryBeforeEditHandler;
import nc.ui.arap.viewhandler.cardbefore.HeadVersionRefBeforeEditHandler;
import nc.ui.arap.viewhandler.cardbefore.OtherOrgBodyBeforeEditHandler;
import nc.ui.arap.viewhandler.cardbefore.OtherOrgHeadBeforeEditHandler;
import nc.ui.arap.viewhandler.cardbefore.PayTermBodyBeforeEditHandler;
import nc.ui.arap.viewhandler.list.ListHeadModelListener;
import nc.ui.arap.viewhandler.list.ListHeadRowChangeListener;
import nc.ui.arap.viewhandler.list.LoadBillListTemplate;
import nc.ui.pub.beans.ActionsBar.ActionsBarSeparator;
import nc.ui.pubapp.billref.dest.DefaultBillDataLogic;
import nc.ui.pubapp.uif2app.actions.interceptor.ShowUpComponentInterceptor;
import nc.ui.pubapp.uif2app.actions.pagination.BillModelPaginationDelegator;
import nc.ui.pubapp.uif2app.mediator.modelevent.OrgChangedMediator;
import nc.ui.pubapp.uif2app.model.AppEventHandlerMediator;
import nc.ui.pubapp.uif2app.model.BillManageModel;
import nc.ui.pubapp.uif2app.query2.action.DefaultQueryAction;
import nc.ui.pubapp.uif2app.query2.action.DefaultRefreshAction;
import nc.ui.pubapp.uif2app.tangramlayout.UECardLayoutToolbarPanel;
import nc.ui.pubapp.uif2app.tangramlayout.UEQueryAreaShell;
import nc.ui.pubapp.uif2app.view.BillCardAllDataValueStrategy;
import nc.ui.pubapp.uif2app.view.MouseClickShowPanelMediator;
import nc.ui.pubapp.uif2app.view.value.SingleFieldBlankChildrenFilter;
import nc.ui.uif2.FunNodeClosingHandler;
import nc.ui.uif2.I18nFB;
import nc.ui.uif2.TangramContainer;
import nc.ui.uif2.actions.ActionContributors;
import nc.ui.uif2.actions.FirstLineAction;
import nc.ui.uif2.actions.LastLineAction;
import nc.ui.uif2.actions.NextLineAction;
import nc.ui.uif2.actions.PreLineAction;
import nc.ui.uif2.actions.StandAloneToftPanelActionContainer;
import nc.ui.uif2.components.progress.TPAProgressUtil;
import nc.ui.uif2.components.widget.BesideWidget;
import nc.ui.uif2.components.widget.MultiBesideWidget;
import nc.ui.uif2.editor.UIF2RemoteCallCombinatorCaller;
import nc.ui.uif2.editor.UserdefQueryParam;
import nc.ui.uif2.editor.UserdefitemContainerListPreparator;
import nc.ui.uif2.editor.UserdefitemContainerPreparator;
import nc.ui.uif2.factory.AbstractJavaBeanDefinition;
import nc.ui.uif2.tangramlayout.CardLayoutToolbarPanel;
import nc.ui.uif2.tangramlayout.node.CNode;
import nc.ui.uif2.tangramlayout.node.HSNode;
import nc.ui.uif2.tangramlayout.node.TBNode;
import nc.ui.uif2.tangramlayout.node.VSNode;
import nc.ui.uif2.userdefitem.QueryParam;
import nc.ui.uif2.userdefitem.UserDefItemContainer;
import nc.vo.arap.bill.util.ArapH2BMapping;
import nc.vo.arappub.calculator.data.RelationItemForCal_Credit;
import nc.vo.bd.meta.BDObjectAdpaterFactory;
import nc.vo.bd.pub.NODE_TYPE;
import nc.vo.uif2.LoginContext;

public class payablebill_record extends AbstractJavaBeanDefinition {
	private Map<String, Object> context = new HashMap();

	public SeparatorAction getSeparatorAction() {
		if (this.context.get("separatorAction") != null) {
			return (SeparatorAction) this.context.get("separatorAction");
		} else {
			SeparatorAction bean = new SeparatorAction();
			this.context.put("separatorAction", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public OrgChangedMediator getOrgChangedMediator() {
		if (this.context.get("OrgChangedMediator") != null) {
			return (OrgChangedMediator) this.context.get("OrgChangedMediator");
		} else {
			OrgChangedMediator bean = new OrgChangedMediator();
			this.context.put("OrgChangedMediator", bean);
			bean.setBillform(this.getBillFormEditor());
			bean.setModel(this.getManageAppModel());
			bean.setOrgChangedImpl(this.getOrgchange());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BillCardAllDataValueStrategy getComponentValueManager() {
		if (this.context.get("componentValueManager") != null) {
			return (BillCardAllDataValueStrategy) this.context.get("componentValueManager");
		} else {
			BillCardAllDataValueStrategy bean = new BillCardAllDataValueStrategy();
			this.context.put("componentValueManager", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public HBRelationAfterEditHandler getRelationEditHandler() {
		if (this.context.get("RelationEditHandler") != null) {
			return (HBRelationAfterEditHandler) this.context.get("RelationEditHandler");
		} else {
			HBRelationAfterEditHandler bean = new HBRelationAfterEditHandler();
			this.context.put("RelationEditHandler", bean);
			bean.setHtob(this.getArapH2B());
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BillModelPaginationDelegator getPaginationDelegator() {
		if (this.context.get("paginationDelegator") != null) {
			return (BillModelPaginationDelegator) this.context.get("paginationDelegator");
		} else {
			BillModelPaginationDelegator bean = new BillModelPaginationDelegator(this.getManageAppModel());
			this.context.put("paginationDelegator", bean);
			bean.setPaginationQuery(this.getPaginationQueryService());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PauseTransactActionInterceptor getPauseTransactActionInterceptor() {
		if (this.context.get("pauseTransactActionInterceptor") != null) {
			return (PauseTransactActionInterceptor) this.context.get("pauseTransactActionInterceptor");
		} else {
			PauseTransactActionInterceptor bean = new PauseTransactActionInterceptor();
			this.context.put("pauseTransactActionInterceptor", bean);
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BillVersionActionInterceptor getBillVersionActionInterceptor() {
		if (this.context.get("billVersionActionInterceptor") != null) {
			return (BillVersionActionInterceptor) this.context.get("billVersionActionInterceptor");
		} else {
			BillVersionActionInterceptor bean = new BillVersionActionInterceptor();
			this.context.put("billVersionActionInterceptor", bean);
			bean.setModel(this.getManageAppModel());
			bean.setHtob(this.getArapH2B());
			bean.setBillform(this.getBillFormEditor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public OperPowerActionInterceptor getOperPowerInterceptor() {
		if (this.context.get("operPowerInterceptor") != null) {
			return (OperPowerActionInterceptor) this.context.get("operPowerInterceptor");
		} else {
			OperPowerActionInterceptor bean = new OperPowerActionInterceptor();
			this.context.put("operPowerInterceptor", bean);
			bean.setModel(this.getManageAppModel());
			bean.setBillform(this.getBillFormEditor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public CaActionInterceptor getCaActionInterceptor() {
		if (this.context.get("caActionInterceptor") != null) {
			return (CaActionInterceptor) this.context.get("caActionInterceptor");
		} else {
			CaActionInterceptor bean = new CaActionInterceptor();
			this.context.put("caActionInterceptor", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BillVerifyActionInterceptor getBillVerifyActionInterceptor() {
		if (this.context.get("billVerifyActionInterceptor") != null) {
			return (BillVerifyActionInterceptor) this.context.get("billVerifyActionInterceptor");
		} else {
			BillVerifyActionInterceptor bean = new BillVerifyActionInterceptor();
			this.context.put("billVerifyActionInterceptor", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public OrgCheckActionInterceptor getOrgCheckActionInterceptor() {
		if (this.context.get("orgCheckActionInterceptor") != null) {
			return (OrgCheckActionInterceptor) this.context.get("orgCheckActionInterceptor");
		} else {
			OrgCheckActionInterceptor bean = new OrgCheckActionInterceptor();
			this.context.put("orgCheckActionInterceptor", bean);
			bean.setBillform(this.getBillFormEditor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public UserDefItemContainer getUserdefitemContainer() {
		if (this.context.get("userdefitemContainer") != null) {
			return (UserDefItemContainer) this.context.get("userdefitemContainer");
		} else {
			UserDefItemContainer bean = new UserDefItemContainer();
			this.context.put("userdefitemContainer", bean);
			bean.setContext(this.getContext());
			bean.setParams(this.getManagedList0());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList0() {
		List list = new ArrayList();
		list.add(this.getQueryParam_13601a1());
		list.add(this.getQueryParam_a519a7());
		return list;
	}

	private QueryParam getQueryParam_13601a1() {
		if (this.context.get("nc.ui.uif2.userdefitem.QueryParam#13601a1") != null) {
			return (QueryParam) this.context.get("nc.ui.uif2.userdefitem.QueryParam#13601a1");
		} else {
			QueryParam bean = new QueryParam();
			this.context.put("nc.ui.uif2.userdefitem.QueryParam#13601a1", bean);
			bean.setMdfullname("arap.recbill");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private QueryParam getQueryParam_a519a7() {
		if (this.context.get("nc.ui.uif2.userdefitem.QueryParam#a519a7") != null) {
			return (QueryParam) this.context.get("nc.ui.uif2.userdefitem.QueryParam#a519a7");
		} else {
			QueryParam bean = new QueryParam();
			this.context.put("nc.ui.uif2.userdefitem.QueryParam#a519a7", bean);
			bean.setMdfullname("arap.recitem");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public DefaultRefreshAction getRefreshAllAction() {
		if (this.context.get("refreshAllAction") != null) {
			return (DefaultRefreshAction) this.context.get("refreshAllAction");
		} else {
			DefaultRefreshAction bean = new DefaultRefreshAction();
			this.context.put("refreshAllAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setDataManager(this.getModelDataManager());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public ArapH2BMapping getArapH2B() {
		if (this.context.get("ArapH2B") != null) {
			return (ArapH2BMapping) this.context.get("ArapH2B");
		} else {
			ArapH2BMapping bean = new ArapH2BMapping();
			this.context.put("ArapH2B", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BillCardCalculator getBillCardCalculator() {
		if (this.context.get("BillCardCalculator") != null) {
			return (BillCardCalculator) this.context.get("BillCardCalculator");
		} else {
			BillCardCalculator bean = new BillCardCalculator();
			this.context.put("BillCardCalculator", bean);
			bean.setCalItem(this.getRelationItemForCal());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public NodeKeyQry getNodeKeyQry() {
		if (this.context.get("NodeKeyQry") != null) {
			return (NodeKeyQry) this.context.get("NodeKeyQry");
		} else {
			NodeKeyQry bean = new NodeKeyQry();
			this.context.put("NodeKeyQry", bean);
			bean.setModel(this.getManageAppModel());
			bean.setDefNodekey(this.getDefNodeKey());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public ArapBillListView getListView() {
		if (this.context.get("listView") != null) {
			return (ArapBillListView) this.context.get("listView");
		} else {
			ArapBillListView bean = new ArapBillListView();
			this.context.put("listView", bean);
			bean.setModel(this.getManageAppModel());
			bean.setNodeKeyQry(this.getNodeKeyQry());
			bean.setPageSize(10000);
			bean.setTemplateContainer(this.getTemplateContainer());
			bean.setMultiSelectionEnable(true);
			bean.setPaginationDelegate(this.getPaginationDelegator());
			bean.setUserdefitemListPreparator(this.getUserdefitemListPreparator());
			bean.setMouseMediator(this.getMouseClickShowPanelMediator());
			bean.setLoadBillListTemplate(this.getLoadBillListTemplate());
			bean.initRealUI();
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private UserdefitemContainerListPreparator getUserdefitemListPreparator() {
		if (this.context.get("userdefitemListPreparator") != null) {
			return (UserdefitemContainerListPreparator) this.context.get("userdefitemListPreparator");
		} else {
			UserdefitemContainerListPreparator bean = new UserdefitemContainerListPreparator();
			this.context.put("userdefitemListPreparator", bean);
			bean.setContainer(this.getUserdefitemContainer());
			bean.setParams(this.getManagedList1());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList1() {
		List list = new ArrayList();
		list.add(this.getListUserdefitemQueryParam());
		list.add(this.getListUserdefitemQueryParam1());
		return list;
	}

	private UserdefQueryParam getListUserdefitemQueryParam() {
		if (this.context.get("listUserdefitemQueryParam") != null) {
			return (UserdefQueryParam) this.context.get("listUserdefitemQueryParam");
		} else {
			UserdefQueryParam bean = new UserdefQueryParam();
			this.context.put("listUserdefitemQueryParam", bean);
			bean.setMdfullname("arap.recbill");
			bean.setPos(0);
			bean.setPrefix("def");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private UserdefQueryParam getListUserdefitemQueryParam1() {
		if (this.context.get("listUserdefitemQueryParam1") != null) {
			return (UserdefQueryParam) this.context.get("listUserdefitemQueryParam1");
		} else {
			UserdefQueryParam bean = new UserdefQueryParam();
			this.context.put("listUserdefitemQueryParam1", bean);
			bean.setMdfullname("arap.recitem");
			bean.setPos(1);
			bean.setTabcode("bodys");
			bean.setPrefix("def");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public ActionsBarSeparator getActionsBarSeparator() {
		if (this.context.get("actionsBarSeparator") != null) {
			return (ActionsBarSeparator) this.context.get("actionsBarSeparator");
		} else {
			ActionsBarSeparator bean = new ActionsBarSeparator();
			this.context.put("actionsBarSeparator", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public MouseClickShowPanelMediator getMouseClickShowPanelMediator() {
		if (this.context.get("MouseClickShowPanelMediator") != null) {
			return (MouseClickShowPanelMediator) this.context.get("MouseClickShowPanelMediator");
		} else {
			MouseClickShowPanelMediator bean = new MouseClickShowPanelMediator();
			this.context.put("MouseClickShowPanelMediator", bean);
			bean.setShowUpComponent(this.getBillFormEditor());
			bean.setHyperLinkColumn("billno");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public ArapBillCardTemplateContainer getTemplateContainer() {
		if (this.context.get("templateContainer") != null) {
			return (ArapBillCardTemplateContainer) this.context.get("templateContainer");
		} else {
			ArapBillCardTemplateContainer bean = new ArapBillCardTemplateContainer();
			this.context.put("templateContainer", bean);
			bean.setContext(this.getContext());
			bean.setNodeKeyQry(this.getNodeKeyQry());
			bean.load();
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public ArapBillCardForm getBillFormEditor() {
		if (this.context.get("billFormEditor") != null) {
			return (ArapBillCardForm) this.context.get("billFormEditor");
		} else {
			ArapBillCardForm bean = new ArapBillCardForm();
			this.context.put("billFormEditor", bean);
			bean.setModel(this.getManageAppModel());
			bean.setTemplateContainer(this.getTemplateContainer());
			bean.setComponentValueManager(this.getComponentValueManager());
			bean.setNodekeyQry(this.getNodeKeyQry());
			bean.setClosingListener(this.getClosingListener());
			bean.setAutoAddLine(false);
			bean.setTemplateNotNullValidate(true);
			bean.setBlankChildrenFilter(this.getSingleFieldBlankChildrenFilter_1375589());
			bean.setDefValueItf(this.getBillDefVauleItf());
			bean.setBodyLineActions(this.getManagedList2());
			bean.setActions(this.getManagedList5());
			bean.setUserdefitemPreparator(this.getUserdefitemContainerPreparator_172b6cc());
			bean.initRealUI();
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private SingleFieldBlankChildrenFilter getSingleFieldBlankChildrenFilter_1375589() {
		if (this.context.get("nc.ui.pubapp.uif2app.view.value.SingleFieldBlankChildrenFilter#1375589") != null) {
			return (SingleFieldBlankChildrenFilter) this.context
					.get("nc.ui.pubapp.uif2app.view.value.SingleFieldBlankChildrenFilter#1375589");
		} else {
			SingleFieldBlankChildrenFilter bean = new SingleFieldBlankChildrenFilter();
			this.context.put("nc.ui.pubapp.uif2app.view.value.SingleFieldBlankChildrenFilter#1375589", bean);
			bean.setFieldName(this.getDefMoneyField());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList2() {
		List list = new ArrayList();
		list.add(this.getOutputBodyAction());
		list.add(this.getImportBodyAction());
		list.add(this.getAddLineAction());
		list.add(this.getInsertLineAction_1d0b8df());
		list.add(this.getBodyDelLineAction_19530c());
		list.add(this.getBodyCopyLineAction_9b5fdc());
		list.add(this.getBodyPasteLineAction_b26e0f());
		list.add(this.getBodyPasteToTailAction_57a66d());
		list.add(this.getActionsBarSeparator());
		list.add(this.getBodyLineEditAction_6f4ca4());
		list.add(this.getActionsBarSeparator());
		list.add(this.getBillBodyZoomAction_110c301());
		return list;
	}

	private InsertLineAction getInsertLineAction_1d0b8df() {
		if (this.context.get("nc.ui.arap.actions.InsertLineAction#1d0b8df") != null) {
			return (InsertLineAction) this.context.get("nc.ui.arap.actions.InsertLineAction#1d0b8df");
		} else {
			InsertLineAction bean = new InsertLineAction();
			this.context.put("nc.ui.arap.actions.InsertLineAction#1d0b8df", bean);
			bean.setHbrealtion(this.getRelationEditHandler());
			bean.setEditor(this.getBillFormEditor());
			bean.setIArapLineDefValUtil(this.getIArapLineDefValUtil());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private BodyDelLineAction getBodyDelLineAction_19530c() {
		if (this.context.get("nc.ui.arap.actions.BodyDelLineAction#19530c") != null) {
			return (BodyDelLineAction) this.context.get("nc.ui.arap.actions.BodyDelLineAction#19530c");
		} else {
			BodyDelLineAction bean = new BodyDelLineAction();
			this.context.put("nc.ui.arap.actions.BodyDelLineAction#19530c", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private BodyCopyLineAction getBodyCopyLineAction_9b5fdc() {
		if (this.context.get("nc.ui.arap.actions.BodyCopyLineAction#9b5fdc") != null) {
			return (BodyCopyLineAction) this.context.get("nc.ui.arap.actions.BodyCopyLineAction#9b5fdc");
		} else {
			BodyCopyLineAction bean = new BodyCopyLineAction();
			this.context.put("nc.ui.arap.actions.BodyCopyLineAction#9b5fdc", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private BodyPasteLineAction getBodyPasteLineAction_b26e0f() {
		if (this.context.get("nc.ui.arap.actions.BodyPasteLineAction#b26e0f") != null) {
			return (BodyPasteLineAction) this.context.get("nc.ui.arap.actions.BodyPasteLineAction#b26e0f");
		} else {
			BodyPasteLineAction bean = new BodyPasteLineAction();
			this.context.put("nc.ui.arap.actions.BodyPasteLineAction#b26e0f", bean);
			bean.setClearItems(this.getManagedList3());
			bean.setBillType(this.getDefBillType());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList3() {
		List list = new ArrayList();
		list.add("ts");
		return list;
	}

	private BodyPasteToTailAction getBodyPasteToTailAction_57a66d() {
		if (this.context.get("nc.ui.arap.actions.BodyPasteToTailAction#57a66d") != null) {
			return (BodyPasteToTailAction) this.context.get("nc.ui.arap.actions.BodyPasteToTailAction#57a66d");
		} else {
			BodyPasteToTailAction bean = new BodyPasteToTailAction();
			this.context.put("nc.ui.arap.actions.BodyPasteToTailAction#57a66d", bean);
			bean.setClearItems(this.getManagedList4());
			bean.setBillType(this.getDefBillType());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList4() {
		List list = new ArrayList();
		list.add("ts");
		return list;
	}

	private BodyLineEditAction getBodyLineEditAction_6f4ca4() {
		if (this.context.get("nc.ui.arap.actions.BodyLineEditAction#6f4ca4") != null) {
			return (BodyLineEditAction) this.context.get("nc.ui.arap.actions.BodyLineEditAction#6f4ca4");
		} else {
			BodyLineEditAction bean = new BodyLineEditAction();
			this.context.put("nc.ui.arap.actions.BodyLineEditAction#6f4ca4", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private BillBodyZoomAction getBillBodyZoomAction_110c301() {
		if (this.context.get("nc.ui.arap.actions.BillBodyZoomAction#110c301") != null) {
			return (BillBodyZoomAction) this.context.get("nc.ui.arap.actions.BillBodyZoomAction#110c301");
		} else {
			BillBodyZoomAction bean = new BillBodyZoomAction();
			this.context.put("nc.ui.arap.actions.BillBodyZoomAction#110c301", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList5() {
		List list = new ArrayList();
		list.add(this.getFirstLineAction());
		list.add(this.getPreLineAction());
		list.add(this.getNextLineAction());
		list.add(this.getLastLineAction());
		return list;
	}

	private UserdefitemContainerPreparator getUserdefitemContainerPreparator_172b6cc() {
		if (this.context.get("nc.ui.uif2.editor.UserdefitemContainerPreparator#172b6cc") != null) {
			return (UserdefitemContainerPreparator) this.context
					.get("nc.ui.uif2.editor.UserdefitemContainerPreparator#172b6cc");
		} else {
			UserdefitemContainerPreparator bean = new UserdefitemContainerPreparator();
			this.context.put("nc.ui.uif2.editor.UserdefitemContainerPreparator#172b6cc", bean);
			bean.setContainer(this.getUserdefitemContainer());
			bean.setParams(this.getManagedList6());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList6() {
		List list = new ArrayList();
		list.add(this.getCardUserdefitemQueryParam());
		list.add(this.getCardUserdefitemQueryParam1());
		return list;
	}

	private UserdefQueryParam getCardUserdefitemQueryParam() {
		if (this.context.get("cardUserdefitemQueryParam") != null) {
			return (UserdefQueryParam) this.context.get("cardUserdefitemQueryParam");
		} else {
			UserdefQueryParam bean = new UserdefQueryParam();
			this.context.put("cardUserdefitemQueryParam", bean);
			bean.setMdfullname("arap.recbill");
			bean.setPos(0);
			bean.setPrefix("def");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private UserdefQueryParam getCardUserdefitemQueryParam1() {
		if (this.context.get("cardUserdefitemQueryParam1") != null) {
			return (UserdefQueryParam) this.context.get("cardUserdefitemQueryParam1");
		} else {
			UserdefQueryParam bean = new UserdefQueryParam();
			this.context.put("cardUserdefitemQueryParam1", bean);
			bean.setMdfullname("arap.recitem");
			bean.setPos(1);
			bean.setPrefix("def");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}
	public nc.ui.arap.actions.OutputBodyAction getOutputBodyAction() {
		if (context.get("nc.ui.arap.actions.OutputBodyAction") != null)
			return (nc.ui.arap.actions.OutputBodyAction) context.get("nc.ui.arap.actions.OutputBodyAction");
		nc.ui.arap.actions.OutputBodyAction bean = new nc.ui.arap.actions.OutputBodyAction();
		context.put("nc.ui.arap.actions.OutputBodyAction", bean);
		bean.setEditorModel(getBillFormEditor());
		setBeanFacotryIfBeanFacatoryAware(bean);
		invokeInitializingBean(bean);
		return bean;
	}

	public nc.ui.arap.actions.ImportBodyAction getImportBodyAction() {
		if (context.get("nc.ui.arap.actions.ImportBodyAction") != null)
			return (nc.ui.arap.actions.ImportBodyAction) context.get("nc.ui.arap.actions.ImportBodyAction");
		nc.ui.arap.actions.ImportBodyAction bean = new nc.ui.arap.actions.ImportBodyAction();
		context.put("nc.ui.arap.actions.ImportBodyAction", bean);
		bean.setEditorModel(getBillFormEditor());
		setBeanFacotryIfBeanFacatoryAware(bean);
		invokeInitializingBean(bean);
		return bean;
	}

	public AddLineAction getAddLineAction() {
		if (this.context.get("AddLineAction") != null) {
			return (AddLineAction) this.context.get("AddLineAction");
		} else {
			AddLineAction bean = new AddLineAction();
			this.context.put("AddLineAction", bean);
			bean.setHbrealtion(this.getRelationEditHandler());
			bean.setEditor(this.getBillFormEditor());
			bean.setIArapLineDefValUtil(this.getIArapLineDefValUtil());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public LoginContext getContext() {
		if (this.context.get("context") != null) {
			return (LoginContext) this.context.get("context");
		} else {
			LoginContext bean = new LoginContext();
			this.context.put("context", bean);
			bean.setNodeType(NODE_TYPE.ORG_NODE);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BDObjectAdpaterFactory getBoadatorfactory() {
		if (this.context.get("boadatorfactory") != null) {
			return (BDObjectAdpaterFactory) this.context.get("boadatorfactory");
		} else {
			BDObjectAdpaterFactory bean = new BDObjectAdpaterFactory();
			this.context.put("boadatorfactory", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public ArapBillManageModel getManageAppModel() {
		if (this.context.get("ManageAppModel") != null) {
			return (ArapBillManageModel) this.context.get("ManageAppModel");
		} else {
			ArapBillManageModel bean = new ArapBillManageModel();
			this.context.put("ManageAppModel", bean);
			bean.setService(this.getManageModelService());
			bean.setBusinessObjectAdapterFactory(this.getBoadatorfactory());
			bean.setContext(this.getContext());
			bean.setSupportLazilyLoad(true);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PrintPreviewAction getPrintPreview() {
		if (this.context.get("printPreview") != null) {
			return (PrintPreviewAction) this.context.get("printPreview");
		} else {
			PrintPreviewAction bean = new PrintPreviewAction();
			this.context.put("printPreview", bean);
			bean.setModel(this.getManageAppModel());
			bean.setInterceptor(this.getInterceptor());
			bean.setTaxForm(this.getTaxForm());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PrintOutputAction getPrintOutput() {
		if (this.context.get("printOutput") != null) {
			return (PrintOutputAction) this.context.get("printOutput");
		} else {
			PrintOutputAction bean = new PrintOutputAction();
			this.context.put("printOutput", bean);
			bean.setModel(this.getManageAppModel());
			bean.setInterceptor(this.getInterceptor());
			bean.setTaxForm(this.getTaxForm());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public LoadBillCardTemplate getLoadBillCardTemplate() {
		if (this.context.get("LoadBillCardTemplate") != null) {
			return (LoadBillCardTemplate) this.context.get("LoadBillCardTemplate");
		} else {
			LoadBillCardTemplate bean = new LoadBillCardTemplate();
			this.context.put("LoadBillCardTemplate", bean);
			bean.setBspsp(this.getScaleProcessor());
			bean.setBillform(this.getBillFormEditor());
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public CardAfterEditCalculateHandler getCardAfterEditCalculateHandler() {
		if (this.context.get("CardAfterEditCalculateHandler") != null) {
			return (CardAfterEditCalculateHandler) this.context.get("CardAfterEditCalculateHandler");
		} else {
			CardAfterEditCalculateHandler bean = new CardAfterEditCalculateHandler();
			this.context.put("CardAfterEditCalculateHandler", bean);
			bean.setCalitf(this.getBillCardCalculator());
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BodyCurrTypeAfterEditHandler getBodyCurrTypeAfterEditHandler() {
		if (this.context.get("BodyCurrTypeAfterEditHandler") != null) {
			return (BodyCurrTypeAfterEditHandler) this.context.get("BodyCurrTypeAfterEditHandler");
		} else {
			BodyCurrTypeAfterEditHandler bean = new BodyCurrTypeAfterEditHandler();
			this.context.put("BodyCurrTypeAfterEditHandler", bean);
			bean.setBcpsp(this.getScaleProcessor());
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public OtherOrgBodyAfterEditHandler getOtherOrgBodyAfterEditHandler() {
		if (this.context.get("OtherOrgBodyAfterEditHandler") != null) {
			return (OtherOrgBodyAfterEditHandler) this.context.get("OtherOrgBodyAfterEditHandler");
		} else {
			OtherOrgBodyAfterEditHandler bean = new OtherOrgBodyAfterEditHandler();
			this.context.put("OtherOrgBodyAfterEditHandler", bean);
			bean.setHtob(this.getArapH2B());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public OtherOrgHeadAfterEdithandler getOtherOrgHeadAfterEdithandler() {
		if (this.context.get("OtherOrgHeadAfterEdithandler") != null) {
			return (OtherOrgHeadAfterEdithandler) this.context.get("OtherOrgHeadAfterEdithandler");
		} else {
			OtherOrgHeadAfterEdithandler bean = new OtherOrgHeadAfterEdithandler();
			this.context.put("OtherOrgHeadAfterEdithandler", bean);
			bean.setHtob(this.getArapH2B());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public OtherOrgBodyBeforeEditHandler getOtherOrgBodyBeforeEditHandler() {
		if (this.context.get("OtherOrgBodyBeforeEditHandler") != null) {
			return (OtherOrgBodyBeforeEditHandler) this.context.get("OtherOrgBodyBeforeEditHandler");
		} else {
			OtherOrgBodyBeforeEditHandler bean = new OtherOrgBodyBeforeEditHandler();
			this.context.put("OtherOrgBodyBeforeEditHandler", bean);
			bean.setHtob(this.getArapH2B());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public OtherOrgHeadBeforeEditHandler getOtherOrgHeadBeforeEditHandler() {
		if (this.context.get("OtherOrgHeadBeforeEditHandler") != null) {
			return (OtherOrgHeadBeforeEditHandler) this.context.get("OtherOrgHeadBeforeEditHandler");
		} else {
			OtherOrgHeadBeforeEditHandler bean = new OtherOrgHeadBeforeEditHandler();
			this.context.put("OtherOrgHeadBeforeEditHandler", bean);
			bean.setHtob(this.getArapH2B());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public HeadBankAccBeforeEditHandler getHeadBankAccBeforeEditHandler() {
		if (this.context.get("HeadBankAccBeforeEditHandler") != null) {
			return (HeadBankAccBeforeEditHandler) this.context.get("HeadBankAccBeforeEditHandler");
		} else {
			HeadBankAccBeforeEditHandler bean = new HeadBankAccBeforeEditHandler();
			this.context.put("HeadBankAccBeforeEditHandler", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BodyObjTypeBeforeEditHandler getBodyObjTypeBeforeEditHandler() {
		if (this.context.get("BodyObjTypeBeforeEditHandler") != null) {
			return (BodyObjTypeBeforeEditHandler) this.context.get("BodyObjTypeBeforeEditHandler");
		} else {
			BodyObjTypeBeforeEditHandler bean = new BodyObjTypeBeforeEditHandler();
			this.context.put("BodyObjTypeBeforeEditHandler", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public HeadEuroBeforeEditHandler getHeadEuroBeforeEditHandler() {
		if (this.context.get("HeadEuroBeforeEditHandler") != null) {
			return (HeadEuroBeforeEditHandler) this.context.get("HeadEuroBeforeEditHandler");
		} else {
			HeadEuroBeforeEditHandler bean = new HeadEuroBeforeEditHandler();
			this.context.put("HeadEuroBeforeEditHandler", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BodyEuroBeforeEditHandler getBodyEuroBeforeEditHandler() {
		if (this.context.get("BodyEuroBeforeEditHandler") != null) {
			return (BodyEuroBeforeEditHandler) this.context.get("BodyEuroBeforeEditHandler");
		} else {
			BodyEuroBeforeEditHandler bean = new BodyEuroBeforeEditHandler();
			this.context.put("BodyEuroBeforeEditHandler", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public HeadObjTypeBeforeEditHandler getHeadObjTypeBeforeEditHandler() {
		if (this.context.get("HeadObjTypeBeforeEditHandler") != null) {
			return (HeadObjTypeBeforeEditHandler) this.context.get("HeadObjTypeBeforeEditHandler");
		} else {
			HeadObjTypeBeforeEditHandler bean = new HeadObjTypeBeforeEditHandler();
			this.context.put("HeadObjTypeBeforeEditHandler", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public HeadFundplanAfterEditHandler getHeadFundplanAfterEditHandler() {
		if (this.context.get("HeadFundplanAfterEditHandler") != null) {
			return (HeadFundplanAfterEditHandler) this.context.get("HeadFundplanAfterEditHandler");
		} else {
			HeadFundplanAfterEditHandler bean = new HeadFundplanAfterEditHandler();
			this.context.put("HeadFundplanAfterEditHandler", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BodyFundplanAfterEditHandler getBodyFundplanAfterEditHandler() {
		if (this.context.get("BodyFundplanAfterEditHandler") != null) {
			return (BodyFundplanAfterEditHandler) this.context.get("BodyFundplanAfterEditHandler");
		} else {
			BodyFundplanAfterEditHandler bean = new BodyFundplanAfterEditHandler();
			this.context.put("BodyFundplanAfterEditHandler", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public HBRelationAfterEditHandler getHBRelationAfterEditHandler() {
		if (this.context.get("HBRelationAfterEditHandler") != null) {
			return (HBRelationAfterEditHandler) this.context.get("HBRelationAfterEditHandler");
		} else {
			HBRelationAfterEditHandler bean = new HBRelationAfterEditHandler();
			this.context.put("HBRelationAfterEditHandler", bean);
			bean.setHtob(this.getArapH2B());
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public HeadCurrTypeAfterEditHandler getHeadCurrTypeAfterEditHandler() {
		if (this.context.get("HeadCurrTypeAfterEditHandler") != null) {
			return (HeadCurrTypeAfterEditHandler) this.context.get("HeadCurrTypeAfterEditHandler");
		} else {
			HeadCurrTypeAfterEditHandler bean = new HeadCurrTypeAfterEditHandler();
			this.context.put("HeadCurrTypeAfterEditHandler", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public ObjTypeHeadAfterEdithandler getObjTypeHeadAfterEdithandler() {
		if (this.context.get("ObjTypeHeadAfterEdithandler") != null) {
			return (ObjTypeHeadAfterEdithandler) this.context.get("ObjTypeHeadAfterEdithandler");
		} else {
			ObjTypeHeadAfterEdithandler bean = new ObjTypeHeadAfterEdithandler();
			this.context.put("ObjTypeHeadAfterEdithandler", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BodyCheckNoAfterEditHandler getBodyCheckNoAfterEditHandler() {
		if (this.context.get("BodyCheckNoAfterEditHandler") != null) {
			return (BodyCheckNoAfterEditHandler) this.context.get("BodyCheckNoAfterEditHandler");
		} else {
			BodyCheckNoAfterEditHandler bean = new BodyCheckNoAfterEditHandler();
			this.context.put("BodyCheckNoAfterEditHandler", bean);
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BodyMaterialAfterEditHandler getBodyMaterialAfterEditHandler() {
		if (this.context.get("BodyMaterialAfterEditHandler") != null) {
			return (BodyMaterialAfterEditHandler) this.context.get("BodyMaterialAfterEditHandler");
		} else {
			BodyMaterialAfterEditHandler bean = new BodyMaterialAfterEditHandler();
			this.context.put("BodyMaterialAfterEditHandler", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BodyCrossCheckBeforeHandler getBodyCrossCheckBeforeHandler() {
		if (this.context.get("BodyCrossCheckBeforeHandler") != null) {
			return (BodyCrossCheckBeforeHandler) this.context.get("BodyCrossCheckBeforeHandler");
		} else {
			BodyCrossCheckBeforeHandler bean = new BodyCrossCheckBeforeHandler();
			this.context.put("BodyCrossCheckBeforeHandler", bean);
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public HeadCrossCheckBeforeHandler getHeadCrossCheckBeforeHandler() {
		if (this.context.get("HeadCrossCheckBeforeHandler") != null) {
			return (HeadCrossCheckBeforeHandler) this.context.get("HeadCrossCheckBeforeHandler");
		} else {
			HeadCrossCheckBeforeHandler bean = new HeadCrossCheckBeforeHandler();
			this.context.put("HeadCrossCheckBeforeHandler", bean);
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public LoadBillListTemplate getLoadBillListTemplate() {
		if (this.context.get("LoadBillListTemplate") != null) {
			return (LoadBillListTemplate) this.context.get("LoadBillListTemplate");
		} else {
			LoadBillListTemplate bean = new LoadBillListTemplate();
			this.context.put("LoadBillListTemplate", bean);
			bean.setModel(this.getManageAppModel());
			bean.setBlpsp(this.getListScaleProcessor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public ListHeadRowChangeListener getListHeadRowChangeListener() {
		if (this.context.get("ListHeadRowChangeListener") != null) {
			return (ListHeadRowChangeListener) this.context.get("ListHeadRowChangeListener");
		} else {
			ListHeadRowChangeListener bean = new ListHeadRowChangeListener();
			this.context.put("ListHeadRowChangeListener", bean);
			bean.setBlpsp(this.getListScaleProcessor());
			bean.setBillFormEditor(this.getBillFormEditor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public ListHeadModelListener getListHeadModelListener() {
		if (this.context.get("ListHeadModelListener") != null) {
			return (ListHeadModelListener) this.context.get("ListHeadModelListener");
		} else {
			ListHeadModelListener bean = new ListHeadModelListener();
			this.context.put("ListHeadModelListener", bean);
			bean.setBlpsp(this.getListScaleProcessor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BodyBankAccBeforeEditHandler getBodyBankAccBeforeEditHandler() {
		if (this.context.get("BodyBankAccBeforeEditHandler") != null) {
			return (BodyBankAccBeforeEditHandler) this.context.get("BodyBankAccBeforeEditHandler");
		} else {
			BodyBankAccBeforeEditHandler bean = new BodyBankAccBeforeEditHandler();
			this.context.put("BodyBankAccBeforeEditHandler", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BodySoBilltypeBeforeEditHandler getBodySoBilltypeBeforeEditHandler() {
		if (this.context.get("BodySoBilltypeBeforeEditHandler") != null) {
			return (BodySoBilltypeBeforeEditHandler) this.context.get("BodySoBilltypeBeforeEditHandler");
		} else {
			BodySoBilltypeBeforeEditHandler bean = new BodySoBilltypeBeforeEditHandler();
			this.context.put("BodySoBilltypeBeforeEditHandler", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BodyAccountRefBeforeEditHandler getBodyAccountRefBeforeEditHandler() {
		if (this.context.get("BodyAccountRefBeforeEditHandler") != null) {
			return (BodyAccountRefBeforeEditHandler) this.context.get("BodyAccountRefBeforeEditHandler");
		} else {
			BodyAccountRefBeforeEditHandler bean = new BodyAccountRefBeforeEditHandler();
			this.context.put("BodyAccountRefBeforeEditHandler", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public HeadAccountRefBeforeEditHandler getHeadAccountRefBeforeEditHandler() {
		if (this.context.get("HeadAccountRefBeforeEditHandler") != null) {
			return (HeadAccountRefBeforeEditHandler) this.context.get("HeadAccountRefBeforeEditHandler");
		} else {
			HeadAccountRefBeforeEditHandler bean = new HeadAccountRefBeforeEditHandler();
			this.context.put("HeadAccountRefBeforeEditHandler", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BodyCostCenterRefBeforeEditHandler getBodyCostCenterRefBeforeEditHandler() {
		if (this.context.get("BodyCostCenterRefBeforeEditHandler") != null) {
			return (BodyCostCenterRefBeforeEditHandler) this.context.get("BodyCostCenterRefBeforeEditHandler");
		} else {
			BodyCostCenterRefBeforeEditHandler bean = new BodyCostCenterRefBeforeEditHandler();
			this.context.put("BodyCostCenterRefBeforeEditHandler", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public HeadCostCenterRefBeforeEditHandler getHeadCostCenterRefBeforeEditHandler() {
		if (this.context.get("HeadCostCenterRefBeforeEditHandler") != null) {
			return (HeadCostCenterRefBeforeEditHandler) this.context.get("HeadCostCenterRefBeforeEditHandler");
		} else {
			HeadCostCenterRefBeforeEditHandler bean = new HeadCostCenterRefBeforeEditHandler();
			this.context.put("HeadCostCenterRefBeforeEditHandler", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BodyFreeCustBeforeEditHandler getBodyFreeCustBeforeEditHandler() {
		if (this.context.get("BodyFreeCustBeforeEditHandler") != null) {
			return (BodyFreeCustBeforeEditHandler) this.context.get("BodyFreeCustBeforeEditHandler");
		} else {
			BodyFreeCustBeforeEditHandler bean = new BodyFreeCustBeforeEditHandler();
			this.context.put("BodyFreeCustBeforeEditHandler", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BodyProjectBeforeEditHandler getBodyProjectBeforeEditHandler() {
		if (this.context.get("BodyProjectBeforeEditHandler") != null) {
			return (BodyProjectBeforeEditHandler) this.context.get("BodyProjectBeforeEditHandler");
		} else {
			BodyProjectBeforeEditHandler bean = new BodyProjectBeforeEditHandler();
			this.context.put("BodyProjectBeforeEditHandler", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public HeadSummaryBeforeEditHandler getHeadSummaryBeforeEditHandler() {
		if (this.context.get("HeadSummaryBeforeEditHandler") != null) {
			return (HeadSummaryBeforeEditHandler) this.context.get("HeadSummaryBeforeEditHandler");
		} else {
			HeadSummaryBeforeEditHandler bean = new HeadSummaryBeforeEditHandler();
			this.context.put("HeadSummaryBeforeEditHandler", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BodySummaryBeforeEditHandler getBodySummaryBeforeEditHandler() {
		if (this.context.get("BodySummaryBeforeEditHandler") != null) {
			return (BodySummaryBeforeEditHandler) this.context.get("BodySummaryBeforeEditHandler");
		} else {
			BodySummaryBeforeEditHandler bean = new BodySummaryBeforeEditHandler();
			this.context.put("BodySummaryBeforeEditHandler", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public HeadCostCenterAfterEditHandler getHeadCostCenterAfterEditHandler() {
		if (this.context.get("HeadCostCenterAfterEditHandler") != null) {
			return (HeadCostCenterAfterEditHandler) this.context.get("HeadCostCenterAfterEditHandler");
		} else {
			HeadCostCenterAfterEditHandler bean = new HeadCostCenterAfterEditHandler();
			this.context.put("HeadCostCenterAfterEditHandler", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BodyCostCenterAfterEditHandler getBodyCostCenterAfterEditHandler() {
		if (this.context.get("BodyCostCenterAfterEditHandler") != null) {
			return (BodyCostCenterAfterEditHandler) this.context.get("BodyCostCenterAfterEditHandler");
		} else {
			BodyCostCenterAfterEditHandler bean = new BodyCostCenterAfterEditHandler();
			this.context.put("BodyCostCenterAfterEditHandler", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BodyTaxcodeBeforeEditHandler getBodyTaxcodeBeforeEditHandler() {
		if (this.context.get("BodyTaxcodeBeforeEditHandler") != null) {
			return (BodyTaxcodeBeforeEditHandler) this.context.get("BodyTaxcodeBeforeEditHandler");
		} else {
			BodyTaxcodeBeforeEditHandler bean = new BodyTaxcodeBeforeEditHandler();
			this.context.put("BodyTaxcodeBeforeEditHandler", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public HeadVersionRefBeforeEditHandler getHeadVersionRefBeforeEditHandler() {
		if (this.context.get("HeadVersionRefBeforeEditHandler") != null) {
			return (HeadVersionRefBeforeEditHandler) this.context.get("HeadVersionRefBeforeEditHandler");
		} else {
			HeadVersionRefBeforeEditHandler bean = new HeadVersionRefBeforeEditHandler();
			this.context.put("HeadVersionRefBeforeEditHandler", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BodyVersionRefBeforeEditHandler getBodyVersionRefBeforeEditHandler() {
		if (this.context.get("BodyVersionRefBeforeEditHandler") != null) {
			return (BodyVersionRefBeforeEditHandler) this.context.get("BodyVersionRefBeforeEditHandler");
		} else {
			BodyVersionRefBeforeEditHandler bean = new BodyVersionRefBeforeEditHandler();
			this.context.put("BodyVersionRefBeforeEditHandler", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public HeadVersionRefAfterEditHandler getHeadVersionRefAfterEditHandler() {
		if (this.context.get("HeadVersionRefAfterEditHandler") != null) {
			return (HeadVersionRefAfterEditHandler) this.context.get("HeadVersionRefAfterEditHandler");
		} else {
			HeadVersionRefAfterEditHandler bean = new HeadVersionRefAfterEditHandler();
			this.context.put("HeadVersionRefAfterEditHandler", bean);
			bean.setHtob(this.getArapH2B());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BodyVersionRefAfterEditHandler getBodyVersionRefAfterEditHandler() {
		if (this.context.get("BodyVersionRefAfterEditHandler") != null) {
			return (BodyVersionRefAfterEditHandler) this.context.get("BodyVersionRefAfterEditHandler");
		} else {
			BodyVersionRefAfterEditHandler bean = new BodyVersionRefAfterEditHandler();
			this.context.put("BodyVersionRefAfterEditHandler", bean);
			bean.setHtob(this.getArapH2B());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PayTermBodyBeforeEditHandler getPayTermBodyBeforeEditHandler() {
		if (this.context.get("PayTermBodyBeforeEditHandler") != null) {
			return (PayTermBodyBeforeEditHandler) this.context.get("PayTermBodyBeforeEditHandler");
		} else {
			PayTermBodyBeforeEditHandler bean = new PayTermBodyBeforeEditHandler();
			this.context.put("PayTermBodyBeforeEditHandler", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BodyChecNoRefBeforeEditHandler getBodyChecNoRefBeforeEditHandler() {
		if (this.context.get("BodyChecNoRefBeforeEditHandler") != null) {
			return (BodyChecNoRefBeforeEditHandler) this.context.get("BodyChecNoRefBeforeEditHandler");
		} else {
			BodyChecNoRefBeforeEditHandler bean = new BodyChecNoRefBeforeEditHandler();
			this.context.put("BodyChecNoRefBeforeEditHandler", bean);
			bean.setIsGatherbill(true);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BodyChecNoRefBeforeEditHandler getBodyChecNoRefBeforeEditHandler4Pay() {
		if (this.context.get("BodyChecNoRefBeforeEditHandler4Pay") != null) {
			return (BodyChecNoRefBeforeEditHandler) this.context.get("BodyChecNoRefBeforeEditHandler4Pay");
		} else {
			BodyChecNoRefBeforeEditHandler bean = new BodyChecNoRefBeforeEditHandler();
			this.context.put("BodyChecNoRefBeforeEditHandler4Pay", bean);
			bean.setIsGatherbill(false);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BodyCuspAfterEditHandler getBodyCuspAfterEditHandler() {
		if (this.context.get("BodyCuspAfterEditHandler") != null) {
			return (BodyCuspAfterEditHandler) this.context.get("BodyCuspAfterEditHandler");
		} else {
			BodyCuspAfterEditHandler bean = new BodyCuspAfterEditHandler();
			this.context.put("BodyCuspAfterEditHandler", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BodyDeptAfterEditHandler getBodyDeptAfterEditHandler() {
		if (this.context.get("BodyDeptAfterEditHandler") != null) {
			return (BodyDeptAfterEditHandler) this.context.get("BodyDeptAfterEditHandler");
		} else {
			BodyDeptAfterEditHandler bean = new BodyDeptAfterEditHandler();
			this.context.put("BodyDeptAfterEditHandler", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BodyPsnDocAfterEditHandler getBodyPsnDocAfterEditHandler() {
		if (this.context.get("BodyPsnDocAfterEditHandler") != null) {
			return (BodyPsnDocAfterEditHandler) this.context.get("BodyPsnDocAfterEditHandler");
		} else {
			BodyPsnDocAfterEditHandler bean = new BodyPsnDocAfterEditHandler();
			this.context.put("BodyPsnDocAfterEditHandler", bean);
			bean.setHtob(this.getArapH2B());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BodyLocalMoneyAfterEditHandler getBodyLocalMoneyAfterEditHandler() {
		if (this.context.get("BodyLocalMoneyAfterEditHandler") != null) {
			return (BodyLocalMoneyAfterEditHandler) this.context.get("BodyLocalMoneyAfterEditHandler");
		} else {
			BodyLocalMoneyAfterEditHandler bean = new BodyLocalMoneyAfterEditHandler();
			this.context.put("BodyLocalMoneyAfterEditHandler", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BodyRateAfterEditHandler getBodyRateAfterEditHandler() {
		if (this.context.get("BodyRateAfterEditHandler") != null) {
			return (BodyRateAfterEditHandler) this.context.get("BodyRateAfterEditHandler");
		} else {
			BodyRateAfterEditHandler bean = new BodyRateAfterEditHandler();
			this.context.put("BodyRateAfterEditHandler", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BodyEuroAfterEditHandler getBodyEuroAfterEditHandler() {
		if (this.context.get("BodyEuroAfterEditHandler") != null) {
			return (BodyEuroAfterEditHandler) this.context.get("BodyEuroAfterEditHandler");
		} else {
			BodyEuroAfterEditHandler bean = new BodyEuroAfterEditHandler();
			this.context.put("BodyEuroAfterEditHandler", bean);
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public HeadEuroAfterEditHandler getHeadEuroAfterEditHandler() {
		if (this.context.get("HeadEuroAfterEditHandler") != null) {
			return (HeadEuroAfterEditHandler) this.context.get("HeadEuroAfterEditHandler");
		} else {
			HeadEuroAfterEditHandler bean = new HeadEuroAfterEditHandler();
			this.context.put("HeadEuroAfterEditHandler", bean);
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BodyMoneyBalanceAfterEditHandler getBodyMoneyBalanceAfterEditHandler() {
		if (this.context.get("BodyMoneyBalanceAfterEditHandler") != null) {
			return (BodyMoneyBalanceAfterEditHandler) this.context.get("BodyMoneyBalanceAfterEditHandler");
		} else {
			BodyMoneyBalanceAfterEditHandler bean = new BodyMoneyBalanceAfterEditHandler();
			this.context.put("BodyMoneyBalanceAfterEditHandler", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public EnableCtrlBodyAfterEditHandler getEnableCtrlBodyAfterEditHandler() {
		if (this.context.get("EnableCtrlBodyAfterEditHandler") != null) {
			return (EnableCtrlBodyAfterEditHandler) this.context.get("EnableCtrlBodyAfterEditHandler");
		} else {
			EnableCtrlBodyAfterEditHandler bean = new EnableCtrlBodyAfterEditHandler();
			this.context.put("EnableCtrlBodyAfterEditHandler", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public HeadBankAccAfterEditHandler getHeadBankAccAfterEditHandler() {
		if (this.context.get("HeadBankAccAfterEditHandler") != null) {
			return (HeadBankAccAfterEditHandler) this.context.get("HeadBankAccAfterEditHandler");
		} else {
			HeadBankAccAfterEditHandler bean = new HeadBankAccAfterEditHandler();
			this.context.put("HeadBankAccAfterEditHandler", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BodyBankAccAfterEditHandler getBodyBankAccAfterEditHandler() {
		if (this.context.get("BodyBankAccAfterEditHandler") != null) {
			return (BodyBankAccAfterEditHandler) this.context.get("BodyBankAccAfterEditHandler");
		} else {
			BodyBankAccAfterEditHandler bean = new BodyBankAccAfterEditHandler();
			this.context.put("BodyBankAccAfterEditHandler", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public HeadPsnDocAfterEditHandler getHeadPsnDocAfterEditHandler() {
		if (this.context.get("HeadPsnDocAfterEditHandler") != null) {
			return (HeadPsnDocAfterEditHandler) this.context.get("HeadPsnDocAfterEditHandler");
		} else {
			HeadPsnDocAfterEditHandler bean = new HeadPsnDocAfterEditHandler();
			this.context.put("HeadPsnDocAfterEditHandler", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public CardBodyAfterRowEditHandler getCardBodyAfterRowEditHandler() {
		if (this.context.get("CardBodyAfterRowEditHandler") != null) {
			return (CardBodyAfterRowEditHandler) this.context.get("CardBodyAfterRowEditHandler");
		} else {
			CardBodyAfterRowEditHandler bean = new CardBodyAfterRowEditHandler();
			this.context.put("CardBodyAfterRowEditHandler", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public CardBodyRowChangeHandler getCardBodyRowChangeHandler() {
		if (this.context.get("CardBodyRowChangeHandler") != null) {
			return (CardBodyRowChangeHandler) this.context.get("CardBodyRowChangeHandler");
		} else {
			CardBodyRowChangeHandler bean = new CardBodyRowChangeHandler();
			this.context.put("CardBodyRowChangeHandler", bean);
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public RowNoMediator getRowNoMediator() {
		if (this.context.get("RowNoMediator") != null) {
			return (RowNoMediator) this.context.get("RowNoMediator");
		} else {
			RowNoMediator bean = new RowNoMediator();
			this.context.put("RowNoMediator", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public HeadCuspAfterEditHandler getHeadCuspAfterEditHandler() {
		if (this.context.get("HeadCuspAfterEditHandler") != null) {
			return (HeadCuspAfterEditHandler) this.context.get("HeadCuspAfterEditHandler");
		} else {
			HeadCuspAfterEditHandler bean = new HeadCuspAfterEditHandler();
			this.context.put("HeadCuspAfterEditHandler", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public HeadDeptAfterEditHandler getHeadDeptAfterEditHandler() {
		if (this.context.get("HeadDeptAfterEditHandler") != null) {
			return (HeadDeptAfterEditHandler) this.context.get("HeadDeptAfterEditHandler");
		} else {
			HeadDeptAfterEditHandler bean = new HeadDeptAfterEditHandler();
			this.context.put("HeadDeptAfterEditHandler", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BodyAutoAddLineBeforeEditHandler getBodyAutoAddLineBeforeEditHandler() {
		if (this.context.get("BodyAutoAddLineBeforeEditHandler") != null) {
			return (BodyAutoAddLineBeforeEditHandler) this.context.get("BodyAutoAddLineBeforeEditHandler");
		} else {
			BodyAutoAddLineBeforeEditHandler bean = new BodyAutoAddLineBeforeEditHandler();
			this.context.put("BodyAutoAddLineBeforeEditHandler", bean);
			bean.setAddLineAction(this.getAddLineAction());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public TaxForm getTaxForm() {
		if (this.context.get("taxForm") != null) {
			return (TaxForm) this.context.get("taxForm");
		} else {
			TaxForm bean = new TaxForm();
			this.context.put("taxForm", bean);
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BesideWidget getBesidewidget() {
		if (this.context.get("besidewidget") != null) {
			return (BesideWidget) this.context.get("besidewidget");
		} else {
			BesideWidget bean = new BesideWidget();
			this.context.put("besidewidget", bean);
			bean.setBesideWidgetlets(this.getManagedList7());
			bean.setContext(this.getContext());
			bean.setShowAllAction(this.getShowAllAction());
			bean.initUI();
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList7() {
		List list = new ArrayList();
		list.add(this.getTermForm());
		list.add(this.getCreditForm());
		return list;
	}

	public MultiBesideWidget getMultiBesideWidget() {
		if (this.context.get("multiBesideWidget") != null) {
			return (MultiBesideWidget) this.context.get("multiBesideWidget");
		} else {
			MultiBesideWidget bean = new MultiBesideWidget();
			this.context.put("multiBesideWidget", bean);
			bean.setBesideWidgetInfoMap(this.getManagedMap0());
			bean.setContext(this.getContext());
			bean.initUI();
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private Map getManagedMap0() {
		Map map = new HashMap();
		map.put(this.getI18nFB_3f37ee(), this.getManagedList8());
		map.put(this.getI18nFB_7100f3(), this.getManagedList9());
		return map;
	}

	private String getI18nFB_3f37ee() {
		if (this.context.get("nc.ui.uif2.I18nFB#3f37ee") != null) {
			return (String) this.context.get("nc.ui.uif2.I18nFB#3f37ee");
		} else {
			I18nFB bean = new I18nFB();
			this.context.put("&nc.ui.uif2.I18nFB#3f37ee", bean);
			bean.setResDir("uif2");
			bean.setResId("BesideWidget-000001");
			bean.setDefaultValue("Ϣ");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);

			try {
				Object product = bean.getObject();
				this.context.put("nc.ui.uif2.I18nFB#3f37ee", product);
				return (String) product;
			} catch (Exception var3) {
				throw new RuntimeException(var3);
			}
		}
	}

	private List getManagedList8() {
		List list = new ArrayList();
		list.add(this.getTermForm());
		list.add(this.getCreditForm());
		list.add(this.getShowAllActionForm());
		return list;
	}

	private String getI18nFB_7100f3() {
		if (this.context.get("nc.ui.uif2.I18nFB#7100f3") != null) {
			return (String) this.context.get("nc.ui.uif2.I18nFB#7100f3");
		} else {
			I18nFB bean = new I18nFB();
			this.context.put("&nc.ui.uif2.I18nFB#7100f3", bean);
			bean.setResDir("uif2");
			bean.setResId("ActionRegistry-000055");
			bean.setDefaultValue("");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);

			try {
				Object product = bean.getObject();
				this.context.put("nc.ui.uif2.I18nFB#7100f3", product);
				return (String) product;
			} catch (Exception var3) {
				throw new RuntimeException(var3);
			}
		}
	}

	private List getManagedList9() {
		List list = new ArrayList();
		list.add(this.getBesideApproveForm());
		list.add(this.getBesideHintMessageForm());
		list.add(this.getBesideHistoryForm());
		return list;
	}

	public ShowAllAction getShowAllAction() {
		if (this.context.get("showAllAction") != null) {
			return (ShowAllAction) this.context.get("showAllAction");
		} else {
			ShowAllAction bean = new ShowAllAction();
			this.context.put("showAllAction", bean);
			bean.setMediator(this.getSideFormMediator());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public ArapSideFormMediator getSideFormMediator() {
		if (this.context.get("sideFormMediator") != null) {
			return (ArapSideFormMediator) this.context.get("sideFormMediator");
		} else {
			ArapSideFormMediator bean = new ArapSideFormMediator();
			this.context.put("sideFormMediator", bean);
			bean.setSideFormList(this.getManagedList10());
			bean.setCardPanel(this.getBillFormEditor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList10() {
		List list = new ArrayList();
		list.add(this.getTermForm());
		list.add(this.getCreditForm());
		return list;
	}

	public TermForm getTermForm() {
		if (this.context.get("termForm") != null) {
			return (TermForm) this.context.get("termForm");
		} else {
			TermForm bean = new TermForm();
			this.context.put("termForm", bean);
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public CreditForm getCreditForm() {
		if (this.context.get("creditForm") != null) {
			return (CreditForm) this.context.get("creditForm");
		} else {
			CreditForm bean = new CreditForm();
			this.context.put("creditForm", bean);
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public ShowAllActionForm getShowAllActionForm() {
		if (this.context.get("showAllActionForm") != null) {
			return (ShowAllActionForm) this.context.get("showAllActionForm");
		} else {
			ShowAllActionForm bean = new ShowAllActionForm();
			this.context.put("showAllActionForm", bean);
			bean.setShowAllAction(this.getShowAllAction());
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public ArapBesideApproveForm getBesideApproveForm() {
		if (this.context.get("besideApproveForm") != null) {
			return (ArapBesideApproveForm) this.context.get("besideApproveForm");
		} else {
			ArapBesideApproveForm bean = new ArapBesideApproveForm();
			this.context.put("besideApproveForm", bean);
			bean.setModel(this.getManageAppModel());
			bean.setBesideapproveAction(this.getBillApproveAction());
			bean.setBesideunapproveaction(this.getBillUnApproveAction());
			bean.setBillSourceEditor(this.getBillFormEditor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public ArapBesideHistoryForm getBesideHistoryForm() {
		if (this.context.get("besideHistoryForm") != null) {
			return (ArapBesideHistoryForm) this.context.get("besideHistoryForm");
		} else {
			ArapBesideHistoryForm bean = new ArapBesideHistoryForm();
			this.context.put("besideHistoryForm", bean);
			bean.setModel(this.getManageAppModel());
			bean.setBillSourceEditor(this.getBillFormEditor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public ArapBesideHintMessageForm getBesideHintMessageForm() {
		if (this.context.get("besideHintMessageForm") != null) {
			return (ArapBesideHintMessageForm) this.context.get("besideHintMessageForm");
		} else {
			ArapBesideHintMessageForm bean = new ArapBesideHintMessageForm();
			this.context.put("besideHintMessageForm", bean);
			bean.setModel(this.getManageAppModel());
			bean.setBillSourceEditor(this.getBillFormEditor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BillApproveAction getBillApproveAction() {
		if (this.context.get("BillApproveAction") != null) {
			return (BillApproveAction) this.context.get("BillApproveAction");
		} else {
			BillApproveAction bean = new BillApproveAction();
			this.context.put("BillApproveAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BillUnApproveAction getBillUnApproveAction() {
		if (this.context.get("BillUnApproveAction") != null) {
			return (BillUnApproveAction) this.context.get("BillUnApproveAction");
		} else {
			BillUnApproveAction bean = new BillUnApproveAction();
			this.context.put("BillUnApproveAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public RetAddLoader getRetAddLoader() {
		if (this.context.get("retAddLoader") != null) {
			return (RetAddLoader) this.context.get("retAddLoader");
		} else {
			RetAddLoader bean = new RetAddLoader();
			this.context.put("retAddLoader", bean);
			bean.setBilltype(this.getDefBillType());
			bean.setTranstype(this.getNodeKeyQry());
			bean.prepare();
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public ArapAddFlowMenuAciton getAddActionGroup() {
		if (this.context.get("addActionGroup") != null) {
			return (ArapAddFlowMenuAciton) this.context.get("addActionGroup");
		} else {
			ArapAddFlowMenuAciton bean = new ArapAddFlowMenuAciton(this.getNodeKeyQry(), this.getBillFormEditor(),
					this.getInterceptor());
			this.context.put("addActionGroup", bean);
			bean.setList(this.getListView());
			bean.setLoader(this.getRetAddLoader());
			bean.setModel(this.getManageAppModel());
			bean.setTransferBillViewProcessor(this.getTransferProcessor());
			bean.setOrgChangedImpl(this.getOrgchange());
			bean.setCode("add");
			bean.setName(this.getI18nFB_f5881d());
			bean.refreshChildBtns();
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private String getI18nFB_f5881d() {
		if (this.context.get("nc.ui.uif2.I18nFB#f5881d") != null) {
			return (String) this.context.get("nc.ui.uif2.I18nFB#f5881d");
		} else {
			I18nFB bean = new I18nFB();
			this.context.put("&nc.ui.uif2.I18nFB#f5881d", bean);
			bean.setResDir("pubapp_0");
			bean.setResId("0pubapp-0121");
			bean.setDefaultValue("");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);

			try {
				Object product = bean.getObject();
				this.context.put("nc.ui.uif2.I18nFB#f5881d", product);
				return (String) product;
			} catch (Exception var3) {
				throw new RuntimeException(var3);
			}
		}
	}

	public ArapTransferBillViewProcessor getTransferProcessor() {
		if (this.context.get("transferProcessor") != null) {
			return (ArapTransferBillViewProcessor) this.context.get("transferProcessor");
		} else {
			ArapTransferBillViewProcessor bean = new ArapTransferBillViewProcessor();
			this.context.put("transferProcessor", bean);
			bean.setList(this.getListView());
			bean.setTransferLogic(this.getTransferLogic());
			bean.setActionContainer(this.getListActions());
			bean.setBillForm(this.getBillFormEditor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public DefaultBillDataLogic getTransferLogic() {
		if (this.context.get("transferLogic") != null) {
			return (DefaultBillDataLogic) this.context.get("transferLogic");
		} else {
			DefaultBillDataLogic bean = new DefaultBillDataLogic();
			this.context.put("transferLogic", bean);
			bean.setBillForm(this.getBillFormEditor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public ExportActionInterceptor getExportActionInterceptor() {
		if (this.context.get("exportActionInterceptor") != null) {
			return (ExportActionInterceptor) this.context.get("exportActionInterceptor");
		} else {
			ExportActionInterceptor bean = new ExportActionInterceptor();
			this.context.put("exportActionInterceptor", bean);
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public CompositeActionInterceptor getInterceptor() {
		if (this.context.get("interceptor") != null) {
			return (CompositeActionInterceptor) this.context.get("interceptor");
		} else {
			CompositeActionInterceptor bean = new CompositeActionInterceptor();
			this.context.put("interceptor", bean);
			bean.setInterceptors(this.getManagedList11());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList11() {
		List list = new ArrayList();
		list.add(this.getCaActionInterceptor());
		list.add(this.getPauseTransactActionInterceptor());
		list.add(this.getBillVersionActionInterceptor());
		list.add(this.getOperPowerInterceptor());
		list.add(this.getBillVerifyActionInterceptor());
		list.add(this.getOrgCheckActionInterceptor());
		return list;
	}

	public ArapPageModelDataManager getModelDataManager() {
		if (this.context.get("modelDataManager") != null) {
			return (ArapPageModelDataManager) this.context.get("modelDataManager");
		} else {
			ArapPageModelDataManager bean = new ArapPageModelDataManager();
			this.context.put("modelDataManager", bean);
			bean.setModel(this.getManageAppModel());
			bean.setService(this.getManageModelService());
			bean.setPaginationDelegator(this.getPaginationDelegator());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public ActionContributors getToftpanelActionContributors() {
		if (this.context.get("toftpanelActionContributors") != null) {
			return (ActionContributors) this.context.get("toftpanelActionContributors");
		} else {
			ActionContributors bean = new ActionContributors();
			this.context.put("toftpanelActionContributors", bean);
			bean.setContributors(this.getManagedList12());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList12() {
		List list = new ArrayList();
		list.add(this.getListActions());
		list.add(this.getCardActions());
		list.add(this.getVerifyActions());
		list.add(this.getMakeupActions());
		return list;
	}

	public FunNodeClosingHandler getClosingListener() {
		if (this.context.get("ClosingListener") != null) {
			return (FunNodeClosingHandler) this.context.get("ClosingListener");
		} else {
			FunNodeClosingHandler bean = new FunNodeClosingHandler();
			this.context.put("ClosingListener", bean);
			bean.setModel(this.getManageAppModel());
			bean.setSaveaction(this.getSaveAction());
			bean.setCancelaction(this.getCancelAction());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public ArapBillCardPanelScaleProcessor getScaleProcessor() {
		if (this.context.get("scaleProcessor") != null) {
			return (ArapBillCardPanelScaleProcessor) this.context.get("scaleProcessor");
		} else {
			ArapBillCardPanelScaleProcessor bean = new ArapBillCardPanelScaleProcessor();
			this.context.put("scaleProcessor", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public ArapBillListPanelScaleProcessor getListScaleProcessor() {
		if (this.context.get("listScaleProcessor") != null) {
			return (ArapBillListPanelScaleProcessor) this.context.get("listScaleProcessor");
		} else {
			ArapBillListPanelScaleProcessor bean = new ArapBillListPanelScaleProcessor();
			this.context.put("listScaleProcessor", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public ArapOrgChanged getOrgchange() {
		if (this.context.get("orgchange") != null) {
			return (ArapOrgChanged) this.context.get("orgchange");
		} else {
			ArapOrgChanged bean = new ArapOrgChanged();
			this.context.put("orgchange", bean);
			bean.setBcpsp(this.getScaleProcessor());
			bean.setHtob(this.getArapH2B());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public TangramContainer getContainer() {
		if (this.context.get("container") != null) {
			return (TangramContainer) this.context.get("container");
		} else {
			TangramContainer bean = new TangramContainer();
			this.context.put("container", bean);
			bean.setTangramLayoutRoot(this.getTBNode_a58ed9());
			bean.initUI();
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private TBNode getTBNode_a58ed9() {
		if (this.context.get("nc.ui.uif2.tangramlayout.node.TBNode#a58ed9") != null) {
			return (TBNode) this.context.get("nc.ui.uif2.tangramlayout.node.TBNode#a58ed9");
		} else {
			TBNode bean = new TBNode();
			this.context.put("nc.ui.uif2.tangramlayout.node.TBNode#a58ed9", bean);
			bean.setTabs(this.getManagedList13());
			bean.setShowMode("CardLayout");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList13() {
		List list = new ArrayList();
		list.add(this.getCNode_17694c2());
		list.add(this.getHSNode_5ff941());
		list.add(this.getHSNode_1292165());
		list.add(this.getCNode_2ebda8());
		return list;
	}

	private CNode getCNode_17694c2() {
		if (this.context.get("nc.ui.uif2.tangramlayout.node.CNode#17694c2") != null) {
			return (CNode) this.context.get("nc.ui.uif2.tangramlayout.node.CNode#17694c2");
		} else {
			CNode bean = new CNode();
			this.context.put("nc.ui.uif2.tangramlayout.node.CNode#17694c2", bean);
			bean.setName(this.getI18nFB_29d942());
			bean.setComponent(this.getVerifyui());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private String getI18nFB_29d942() {
		if (this.context.get("nc.ui.uif2.I18nFB#29d942") != null) {
			return (String) this.context.get("nc.ui.uif2.I18nFB#29d942");
		} else {
			I18nFB bean = new I18nFB();
			this.context.put("&nc.ui.uif2.I18nFB#29d942", bean);
			bean.setResDir("common");
			bean.setResId("arapcommonv6-0140");
			bean.setDefaultValue("");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);

			try {
				Object product = bean.getObject();
				this.context.put("nc.ui.uif2.I18nFB#29d942", product);
				return (String) product;
			} catch (Exception var3) {
				throw new RuntimeException(var3);
			}
		}
	}

	private HSNode getHSNode_5ff941() {
		if (this.context.get("nc.ui.uif2.tangramlayout.node.HSNode#5ff941") != null) {
			return (HSNode) this.context.get("nc.ui.uif2.tangramlayout.node.HSNode#5ff941");
		} else {
			HSNode bean = new HSNode();
			this.context.put("nc.ui.uif2.tangramlayout.node.HSNode#5ff941", bean);
			bean.setLeft(this.getCNode_20526f());
			bean.setRight(this.getVSNode_1cbab5f());
			bean.setDividerLocation(0.2F);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private CNode getCNode_20526f() {
		if (this.context.get("nc.ui.uif2.tangramlayout.node.CNode#20526f") != null) {
			return (CNode) this.context.get("nc.ui.uif2.tangramlayout.node.CNode#20526f");
		} else {
			CNode bean = new CNode();
			this.context.put("nc.ui.uif2.tangramlayout.node.CNode#20526f", bean);
			bean.setComponent(this.getQueryAreaShell());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private VSNode getVSNode_1cbab5f() {
		if (this.context.get("nc.ui.uif2.tangramlayout.node.VSNode#1cbab5f") != null) {
			return (VSNode) this.context.get("nc.ui.uif2.tangramlayout.node.VSNode#1cbab5f");
		} else {
			VSNode bean = new VSNode();
			this.context.put("nc.ui.uif2.tangramlayout.node.VSNode#1cbab5f", bean);
			bean.setUp(this.getCNode_400c2());
			bean.setDown(this.getCNode_d97201());
			bean.setShowMode("NoDivider");
			bean.setDividerLocation(30.0F);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private CNode getCNode_400c2() {
		if (this.context.get("nc.ui.uif2.tangramlayout.node.CNode#400c2") != null) {
			return (CNode) this.context.get("nc.ui.uif2.tangramlayout.node.CNode#400c2");
		} else {
			CNode bean = new CNode();
			this.context.put("nc.ui.uif2.tangramlayout.node.CNode#400c2", bean);
			bean.setComponent(this.getQueryInfo());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private CNode getCNode_d97201() {
		if (this.context.get("nc.ui.uif2.tangramlayout.node.CNode#d97201") != null) {
			return (CNode) this.context.get("nc.ui.uif2.tangramlayout.node.CNode#d97201");
		} else {
			CNode bean = new CNode();
			this.context.put("nc.ui.uif2.tangramlayout.node.CNode#d97201", bean);
			bean.setName(this.getI18nFB_cdd307());
			bean.setComponent(this.getListView());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private String getI18nFB_cdd307() {
		if (this.context.get("nc.ui.uif2.I18nFB#cdd307") != null) {
			return (String) this.context.get("nc.ui.uif2.I18nFB#cdd307");
		} else {
			I18nFB bean = new I18nFB();
			this.context.put("&nc.ui.uif2.I18nFB#cdd307", bean);
			bean.setResDir("common");
			bean.setResId("arapcommonv6-0135");
			bean.setDefaultValue("б");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);

			try {
				Object product = bean.getObject();
				this.context.put("nc.ui.uif2.I18nFB#cdd307", product);
				return (String) product;
			} catch (Exception var3) {
				throw new RuntimeException(var3);
			}
		}
	}

	private HSNode getHSNode_1292165() {
		if (this.context.get("nc.ui.uif2.tangramlayout.node.HSNode#1292165") != null) {
			return (HSNode) this.context.get("nc.ui.uif2.tangramlayout.node.HSNode#1292165");
		} else {
			HSNode bean = new HSNode();
			this.context.put("nc.ui.uif2.tangramlayout.node.HSNode#1292165", bean);
			bean.setLeft(this.getVSNode_1fcb4f7());
			bean.setRight(this.getCNode_1ccee2e());
			bean.setDividerLocation(0.8F);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private VSNode getVSNode_1fcb4f7() {
		if (this.context.get("nc.ui.uif2.tangramlayout.node.VSNode#1fcb4f7") != null) {
			return (VSNode) this.context.get("nc.ui.uif2.tangramlayout.node.VSNode#1fcb4f7");
		} else {
			VSNode bean = new VSNode();
			this.context.put("nc.ui.uif2.tangramlayout.node.VSNode#1fcb4f7", bean);
			bean.setUp(this.getCNode_e52e15());
			bean.setDown(this.getCNode_1480012());
			bean.setShowMode("NoDivider");
			bean.setDividerLocation(30.0F);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private CNode getCNode_e52e15() {
		if (this.context.get("nc.ui.uif2.tangramlayout.node.CNode#e52e15") != null) {
			return (CNode) this.context.get("nc.ui.uif2.tangramlayout.node.CNode#e52e15");
		} else {
			CNode bean = new CNode();
			this.context.put("nc.ui.uif2.tangramlayout.node.CNode#e52e15", bean);
			bean.setComponent(this.getCardInfoPnl());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private CNode getCNode_1480012() {
		if (this.context.get("nc.ui.uif2.tangramlayout.node.CNode#1480012") != null) {
			return (CNode) this.context.get("nc.ui.uif2.tangramlayout.node.CNode#1480012");
		} else {
			CNode bean = new CNode();
			this.context.put("nc.ui.uif2.tangramlayout.node.CNode#1480012", bean);
			bean.setName(this.getI18nFB_349979());
			bean.setComponent(this.getBillFormEditor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private String getI18nFB_349979() {
		if (this.context.get("nc.ui.uif2.I18nFB#349979") != null) {
			return (String) this.context.get("nc.ui.uif2.I18nFB#349979");
		} else {
			I18nFB bean = new I18nFB();
			this.context.put("&nc.ui.uif2.I18nFB#349979", bean);
			bean.setResDir("common");
			bean.setResId("arapcommonv6-0136");
			bean.setDefaultValue("Ƭ");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);

			try {
				Object product = bean.getObject();
				this.context.put("nc.ui.uif2.I18nFB#349979", product);
				return (String) product;
			} catch (Exception var3) {
				throw new RuntimeException(var3);
			}
		}
	}

	private CNode getCNode_1ccee2e() {
		if (this.context.get("nc.ui.uif2.tangramlayout.node.CNode#1ccee2e") != null) {
			return (CNode) this.context.get("nc.ui.uif2.tangramlayout.node.CNode#1ccee2e");
		} else {
			CNode bean = new CNode();
			this.context.put("nc.ui.uif2.tangramlayout.node.CNode#1ccee2e", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private CNode getCNode_2ebda8() {
		if (this.context.get("nc.ui.uif2.tangramlayout.node.CNode#2ebda8") != null) {
			return (CNode) this.context.get("nc.ui.uif2.tangramlayout.node.CNode#2ebda8");
		} else {
			CNode bean = new CNode();
			this.context.put("nc.ui.uif2.tangramlayout.node.CNode#2ebda8", bean);
			bean.setName(this.getI18nFB_14f871a());
			bean.setComponent(this.getMakeupEditor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private String getI18nFB_14f871a() {
		if (this.context.get("nc.ui.uif2.I18nFB#14f871a") != null) {
			return (String) this.context.get("nc.ui.uif2.I18nFB#14f871a");
		} else {
			I18nFB bean = new I18nFB();
			this.context.put("&nc.ui.uif2.I18nFB#14f871a", bean);
			bean.setResDir("common");
			bean.setResId("arapcommonv6-0141");
			bean.setDefaultValue("");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);

			try {
				Object product = bean.getObject();
				this.context.put("nc.ui.uif2.I18nFB#14f871a", product);
				return (String) product;
			} catch (Exception var3) {
				throw new RuntimeException(var3);
			}
		}
	}

	public CardLayoutToolbarPanel getQueryInfo() {
		if (this.context.get("queryInfo") != null) {
			return (CardLayoutToolbarPanel) this.context.get("queryInfo");
		} else {
			CardLayoutToolbarPanel bean = new CardLayoutToolbarPanel();
			this.context.put("queryInfo", bean);
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public UEQueryAreaShell getQueryAreaShell() {
		if (this.context.get("queryAreaShell") != null) {
			return (UEQueryAreaShell) this.context.get("queryAreaShell");
		} else {
			UEQueryAreaShell bean = new UEQueryAreaShell();
			this.context.put("queryAreaShell", bean);
			bean.setQueryAreaCreator(this.getQueryAction());
			//20240328ؿٲѯ
			//bean.initUI();
			bean.hide();
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public UECardLayoutToolbarPanel getCardInfoPnl() {
		if (this.context.get("cardInfoPnl") != null) {
			return (UECardLayoutToolbarPanel) this.context.get("cardInfoPnl");
		} else {
			UECardLayoutToolbarPanel bean = new UECardLayoutToolbarPanel();
			this.context.put("cardInfoPnl", bean);
			bean.setActions(this.getManagedList14());
			bean.setTitleAction(this.getReturnaction());
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList14() {
		List list = new ArrayList();
		list.add(this.getDocumentManage());
		list.add(this.getActionsBarSeparator());
		list.add(this.getFirstLineAction());
		list.add(this.getPreLineAction());
		list.add(this.getNextLineAction());
		list.add(this.getLastLineAction());
		list.add(this.getActionsBarSeparator());
		list.add(this.getBillHeadZoomAction_aa5b12());
		return list;
	}

	private BillHeadZoomAction getBillHeadZoomAction_aa5b12() {
		if (this.context.get("nc.ui.arap.actions.BillHeadZoomAction#aa5b12") != null) {
			return (BillHeadZoomAction) this.context.get("nc.ui.arap.actions.BillHeadZoomAction#aa5b12");
		} else {
			BillHeadZoomAction bean = new BillHeadZoomAction();
			this.context.put("nc.ui.arap.actions.BillHeadZoomAction#aa5b12", bean);
			bean.setModel(this.getManageAppModel());
			bean.setBillForm(this.getBillFormEditor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private ArapReturnAction getReturnaction() {
		if (this.context.get("returnaction") != null) {
			return (ArapReturnAction) this.context.get("returnaction");
		} else {
			ArapReturnAction bean = new ArapReturnAction();
			this.context.put("returnaction", bean);
			bean.setGoComponent(this.getListView());
			bean.setSaveAction(this.getSaveAction());
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public OppUIContainer getVerifyui() {
		if (this.context.get("verifyui") != null) {
			return (OppUIContainer) this.context.get("verifyui");
		} else {
			OppUIContainer bean = new OppUIContainer();
			this.context.put("verifyui", bean);
			bean.setClosingListener(this.getClosingListener());
			bean.initUI();
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BillManageModel getMakeupAppModel() {
		if (this.context.get("makeupAppModel") != null) {
			return (BillManageModel) this.context.get("makeupAppModel");
		} else {
			BillManageModel bean = new BillManageModel();
			this.context.put("makeupAppModel", bean);
			bean.setService(this.getManageModelService());
			bean.setBusinessObjectAdapterFactory(this.getBoadatorfactory());
			bean.setContext(this.getContext());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BillCardAllDataValueStrategy getMakeupValueManager() {
		if (this.context.get("makeupValueManager") != null) {
			return (BillCardAllDataValueStrategy) this.context.get("makeupValueManager");
		} else {
			BillCardAllDataValueStrategy bean = new BillCardAllDataValueStrategy();
			this.context.put("makeupValueManager", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public NodeKeyQry getMakeupNodeKeyQry() {
		if (this.context.get("makeupNodeKeyQry") != null) {
			return (NodeKeyQry) this.context.get("makeupNodeKeyQry");
		} else {
			NodeKeyQry bean = new NodeKeyQry();
			this.context.put("makeupNodeKeyQry", bean);
			bean.setModel(this.getMakeupAppModel());
			bean.setDefNodekey(this.getDefNodeKey());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public ArapBillCardForm getMakeupEditor() {
		if (this.context.get("makeupEditor") != null) {
			return (ArapBillCardForm) this.context.get("makeupEditor");
		} else {
			ArapBillCardForm bean = new ArapBillCardForm();
			this.context.put("makeupEditor", bean);
			bean.setModel(this.getMakeupAppModel());
			bean.setComponentValueManager(this.getMakeupValueManager());
			bean.setNodekeyQry(this.getMakeupNodeKeyQry());
			bean.setClosingListener(this.getClosingListener());
			bean.setAutoAddLine(false);
			bean.setTemplateNotNullValidate(true);
			bean.setUserdefitemPreparator(this.getUserdefitemContainerPreparator_40fd22());
			bean.initRealUI();
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private UserdefitemContainerPreparator getUserdefitemContainerPreparator_40fd22() {
		if (this.context.get("nc.ui.uif2.editor.UserdefitemContainerPreparator#40fd22") != null) {
			return (UserdefitemContainerPreparator) this.context
					.get("nc.ui.uif2.editor.UserdefitemContainerPreparator#40fd22");
		} else {
			UserdefitemContainerPreparator bean = new UserdefitemContainerPreparator();
			this.context.put("nc.ui.uif2.editor.UserdefitemContainerPreparator#40fd22", bean);
			bean.setContainer(this.getUserdefitemContainer());
			bean.setParams(this.getManagedList15());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList15() {
		List list = new ArrayList();
		list.add(this.getCardUserdefitemQueryParam());
		list.add(this.getCardUserdefitemQueryParam1());
		return list;
	}

	public BodyVerifyAction getOnBodyVerify() {
		if (this.context.get("onBodyVerify") != null) {
			return (BodyVerifyAction) this.context.get("onBodyVerify");
		} else {
			BodyVerifyAction bean = new BodyVerifyAction();
			this.context.put("onBodyVerify", bean);
			bean.setInterceptor(this.getInterceptor());
			bean.setModel(this.getManageAppModel());
			bean.setCardPanel(this.getBillFormEditor());
			bean.setContext(this.getContext());
			bean.setOppui(this.getVerifyui());
			bean.setListView(this.getListView());
			bean.setVerifyui(this.getVerifyui());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public WholeBillVerifyAction getOnWholeBillVerifyAction() {
		if (this.context.get("onWholeBillVerifyAction") != null) {
			return (WholeBillVerifyAction) this.context.get("onWholeBillVerifyAction");
		} else {
			WholeBillVerifyAction bean = new WholeBillVerifyAction();
			this.context.put("onWholeBillVerifyAction", bean);
			bean.setInterceptor(this.getInterceptor());
			bean.setModel(this.getManageAppModel());
			bean.setCardPanel(this.getBillFormEditor());
			bean.setContext(this.getContext());
			bean.setListView(this.getListView());
			bean.setOppui(this.getVerifyui());
			bean.setVerifyui(this.getVerifyui());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public StandAloneToftPanelActionContainer getVerifyActions() {
		if (this.context.get("verifyActions") != null) {
			return (StandAloneToftPanelActionContainer) this.context.get("verifyActions");
		} else {
			StandAloneToftPanelActionContainer bean = new StandAloneToftPanelActionContainer(this.getVerifyui());
			this.context.put("verifyActions", bean);
			bean.setActions(this.getManagedList16());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList16() {
		List list = new ArrayList();
		list.add(this.getVerifyMakeupAction());
		list.add(this.getVerifyAllocationAction());
		list.add(this.getVerifyIntimeAction());
		list.add(this.getVerifyFilterAction());
		list.add(this.getVerifyAllSelectedAction());
		list.add(this.getVerifyAllCancelAction());
		list.add(this.getVerifyGoBackAction());
		list.add(this.getVerifyLinkedQueryAction());
		return list;
	}

	public VerifyMakeupAction getVerifyMakeupAction() {
		if (this.context.get("verifyMakeupAction") != null) {
			return (VerifyMakeupAction) this.context.get("verifyMakeupAction");
		} else {
			VerifyMakeupAction bean = new VerifyMakeupAction();
			this.context.put("verifyMakeupAction", bean);
			bean.setInterceptor(this.getInterceptor());
			bean.setMakeupEditor(this.getMakeupEditor());
			bean.setContext(this.getContext());
			bean.setModel(this.getMakeupAppModel());
			bean.setOrgChangedImpl(this.getOrgchange());
			bean.setCardPanel(this.getBillFormEditor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public VerifyAllocationAction getVerifyAllocationAction() {
		if (this.context.get("verifyAllocationAction") != null) {
			return (VerifyAllocationAction) this.context.get("verifyAllocationAction");
		} else {
			VerifyAllocationAction bean = new VerifyAllocationAction();
			this.context.put("verifyAllocationAction", bean);
			bean.setInterceptor(this.getInterceptor());
			bean.setModel(this.getMakeupAppModel());
			bean.setCardPanel(this.getBillFormEditor());
			bean.setContext(this.getContext());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public VerifyIntimeAction getVerifyIntimeAction() {
		if (this.context.get("verifyIntimeAction") != null) {
			return (VerifyIntimeAction) this.context.get("verifyIntimeAction");
		} else {
			VerifyIntimeAction bean = new VerifyIntimeAction();
			this.context.put("verifyIntimeAction", bean);
			bean.setInterceptor(this.getInterceptor());
			bean.setModel(this.getMakeupAppModel());
			bean.setCardPanel(this.getBillFormEditor());
			bean.setContext(this.getContext());
			bean.setBillFormEditor(this.getBillFormEditor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public VerifyFilterAction getVerifyFilterAction() {
		if (this.context.get("verifyFilterAction") != null) {
			return (VerifyFilterAction) this.context.get("verifyFilterAction");
		} else {
			VerifyFilterAction bean = new VerifyFilterAction();
			this.context.put("verifyFilterAction", bean);
			bean.setInterceptor(this.getInterceptor());
			bean.setModel(this.getMakeupAppModel());
			bean.setCardPanel(this.getBillFormEditor());
			bean.setContext(this.getContext());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public VerifyAllSelectedAction getVerifyAllSelectedAction() {
		if (this.context.get("verifyAllSelectedAction") != null) {
			return (VerifyAllSelectedAction) this.context.get("verifyAllSelectedAction");
		} else {
			VerifyAllSelectedAction bean = new VerifyAllSelectedAction();
			this.context.put("verifyAllSelectedAction", bean);
			bean.setInterceptor(this.getInterceptor());
			bean.setModel(this.getMakeupAppModel());
			bean.setCardPanel(this.getBillFormEditor());
			bean.setContext(this.getContext());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public VerifyAllCancelAction getVerifyAllCancelAction() {
		if (this.context.get("verifyAllCancelAction") != null) {
			return (VerifyAllCancelAction) this.context.get("verifyAllCancelAction");
		} else {
			VerifyAllCancelAction bean = new VerifyAllCancelAction();
			this.context.put("verifyAllCancelAction", bean);
			bean.setInterceptor(this.getInterceptor());
			bean.setModel(this.getMakeupAppModel());
			bean.setCardPanel(this.getBillFormEditor());
			bean.setContext(this.getContext());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public VerifyGoBackAction getVerifyGoBackAction() {
		if (this.context.get("verifyGoBackAction") != null) {
			return (VerifyGoBackAction) this.context.get("verifyGoBackAction");
		} else {
			VerifyGoBackAction bean = new VerifyGoBackAction();
			this.context.put("verifyGoBackAction", bean);
			bean.setInterceptor(this.getInterceptor());
			bean.setBillFormEditor(this.getBillFormEditor());
			bean.setModel(this.getMakeupAppModel());
			bean.setCardPanel(this.getBillFormEditor());
			bean.setContext(this.getContext());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public VerifyLinkedQueryAction getVerifyLinkedQueryAction() {
		if (this.context.get("verifyLinkedQueryAction") != null) {
			return (VerifyLinkedQueryAction) this.context.get("verifyLinkedQueryAction");
		} else {
			VerifyLinkedQueryAction bean = new VerifyLinkedQueryAction();
			this.context.put("verifyLinkedQueryAction", bean);
			bean.setInterceptor(this.getInterceptor());
			bean.setModel(this.getMakeupAppModel());
			bean.setCardPanel(this.getBillFormEditor());
			bean.setContext(this.getContext());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public MakeupCanelAction getMakeupCanelAction() {
		if (this.context.get("makeupCanelAction") != null) {
			return (MakeupCanelAction) this.context.get("makeupCanelAction");
		} else {
			MakeupCanelAction bean = new MakeupCanelAction();
			this.context.put("makeupCanelAction", bean);
			bean.setInterceptor(this.getInterceptor());
			bean.setVerifyui(this.getVerifyui());
			bean.setModel(this.getMakeupAppModel());
			bean.setMakeupEditor(this.getMakeupEditor());
			bean.setContext(this.getContext());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public MakeupConfirmAction getMakeupConfirmAction() {
		if (this.context.get("makeupConfirmAction") != null) {
			return (MakeupConfirmAction) this.context.get("makeupConfirmAction");
		} else {
			MakeupConfirmAction bean = new MakeupConfirmAction();
			this.context.put("makeupConfirmAction", bean);
			bean.setInterceptor(this.getInterceptor());
			bean.setBillFormEditor(this.getBillFormEditor());
			bean.setModel(this.getMakeupAppModel());
			bean.setMakeupEditor(this.getMakeupEditor());
			bean.setContext(this.getContext());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public StandAloneToftPanelActionContainer getMakeupActions() {
		if (this.context.get("makeupActions") != null) {
			return (StandAloneToftPanelActionContainer) this.context.get("makeupActions");
		} else {
			StandAloneToftPanelActionContainer bean = new StandAloneToftPanelActionContainer(this.getMakeupEditor());
			this.context.put("makeupActions", bean);
			bean.setActions(this.getManagedList17());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList17() {
		List list = new ArrayList();
		list.add(this.getMakeupConfirmAction());
		list.add(this.getMakeupCanelAction());
		return list;
	}

	public SeparatorAction getCurrNullAction() {
		if (this.context.get("currNullAction") != null) {
			return (SeparatorAction) this.context.get("currNullAction");
		} else {
			SeparatorAction bean = new SeparatorAction();
			this.context.put("currNullAction", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public CreditCheckDecoratorAction getSaveAction() {
		if (this.context.get("saveAction") != null) {
			return (CreditCheckDecoratorAction) this.context.get("saveAction");
		} else {
			CreditCheckDecoratorAction bean = new CreditCheckDecoratorAction(this.getSaveActionReal());
			this.context.put("saveAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setInterceptor(this.getInterceptor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BillEditAction getEditAction() {
		if (this.context.get("editAction") != null) {
			return (BillEditAction) this.context.get("editAction");
		} else {
			BillEditAction bean = new BillEditAction();
			this.context.put("editAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setListView(this.getListView());
			bean.setInterceptor(this.getInterceptor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BillDeleteAction getDeleteAction() {
		if (this.context.get("deleteAction") != null) {
			return (BillDeleteAction) this.context.get("deleteAction");
		} else {
			BillDeleteAction bean = new BillDeleteAction();
			this.context.put("deleteAction", bean);
			bean.setEditor(this.getBillFormEditor());
			bean.setModel(this.getManageAppModel());
			bean.setListView(this.getListView());
			bean.setInterceptor(this.getInterceptor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BillCancelAction getCancelAction() {
		if (this.context.get("cancelAction") != null) {
			return (BillCancelAction) this.context.get("cancelAction");
		} else {
			BillCancelAction bean = new BillCancelAction();
			this.context.put("cancelAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setInterceptor(this.getInterceptor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BillConferCancelAction getConferCancelAction() {
		if (this.context.get("conferCancelAction") != null) {
			return (BillConferCancelAction) this.context.get("conferCancelAction");
		} else {
			BillConferCancelAction bean = new BillConferCancelAction();
			this.context.put("conferCancelAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setInterceptor(this.getInterceptor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BillAddAction getAddAction() {
		if (this.context.get("addAction") != null) {
			return (BillAddAction) this.context.get("addAction");
		} else {
			BillAddAction bean = new BillAddAction();
			this.context.put("addAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setShowUpComponent(this.getBillFormEditor());
			bean.setInterceptor(this.getInterceptor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public nc.ui.uif2.actions.AddLineAction getAddline() {
		if (this.context.get("addline") != null) {
			return (nc.ui.uif2.actions.AddLineAction) this.context.get("addline");
		} else {
			nc.ui.uif2.actions.AddLineAction bean = new nc.ui.uif2.actions.AddLineAction();
			this.context.put("addline", bean);
			bean.setModel(this.getManageAppModel());
			bean.setCardpanel(this.getBillFormEditor());
			bean.setInterceptor(this.getInterceptor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public ArapBillQueryConditionDLGInitializer getQueryDLGInitializer() {
		if (this.context.get("queryDLGInitializer") != null) {
			return (ArapBillQueryConditionDLGInitializer) this.context.get("queryDLGInitializer");
		} else {
			ArapBillQueryConditionDLGInitializer bean = new ArapBillQueryConditionDLGInitializer();
			this.context.put("queryDLGInitializer", bean);
			bean.setModel(this.getManageAppModel());
			bean.setBillType(this.getDefBillType());
			bean.setIsInit("N");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public ArapQueryTemplateContainer getQueryTemplateContainer() {
		if (this.context.get("queryTemplateContainer") != null) {
			return (ArapQueryTemplateContainer) this.context.get("queryTemplateContainer");
		} else {
			ArapQueryTemplateContainer bean = new ArapQueryTemplateContainer();
			this.context.put("queryTemplateContainer", bean);
			bean.setContext(this.getContext());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public UIF2RemoteCallCombinatorCaller getRemoteCallCombinatorCaller() {
		if (this.context.get("remoteCallCombinatorCaller") != null) {
			return (UIF2RemoteCallCombinatorCaller) this.context.get("remoteCallCombinatorCaller");
		} else {
			UIF2RemoteCallCombinatorCaller bean = new UIF2RemoteCallCombinatorCaller();
			this.context.put("remoteCallCombinatorCaller", bean);
			bean.setRemoteCallers(this.getManagedList18());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList18() {
		List list = new ArrayList();
		list.add(this.getQueryTemplateContainer());
		list.add(this.getUserdefitemContainer());
		list.add(this.getTemplateContainer());
		list.add(this.getRetAddLoader());
		return list;
	}

	public ShowUpComponentInterceptor getListInterceptor() {
		if (this.context.get("listInterceptor") != null) {
			return (ShowUpComponentInterceptor) this.context.get("listInterceptor");
		} else {
			ShowUpComponentInterceptor bean = new ShowUpComponentInterceptor();
			this.context.put("listInterceptor", bean);
			bean.setShowUpComponent(this.getListView());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public DefaultQueryAction getQueryAction() {
		if (this.context.get("queryAction") != null) {
			return (DefaultQueryAction) this.context.get("queryAction");
		} else {
			DefaultQueryAction bean = new DefaultQueryAction();
			this.context.put("queryAction", bean);
			bean.setDataManager(this.getModelDataManager());
			bean.setQryCondDLGInitializer(this.getQueryDLGInitializer());
			bean.setModel(this.getManageAppModel());
			bean.setTemplateContainer(this.getQueryTemplateContainer());
			bean.setInterceptor(this.getListInterceptor());
			bean.setShowUpComponent(this.getListView());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BillLinkQueryAction getLinkQueryAction() {
		if (this.context.get("linkQueryAction") != null) {
			return (BillLinkQueryAction) this.context.get("linkQueryAction");
		} else {
			BillLinkQueryAction bean = new BillLinkQueryAction();
			this.context.put("linkQueryAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setInterceptor(this.getInterceptor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public LinkVoucharQueryAction getLinkVoucharQueryAction() {
		if (this.context.get("linkVoucharQueryAction") != null) {
			return (LinkVoucharQueryAction) this.context.get("linkVoucharQueryAction");
		} else {
			LinkVoucharQueryAction bean = new LinkVoucharQueryAction();
			this.context.put("linkVoucharQueryAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setInterceptor(this.getInterceptor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public LinkBConferQueryAction getBconferQueryAction() {
		if (this.context.get("bconferQueryAction") != null) {
			return (LinkBConferQueryAction) this.context.get("bconferQueryAction");
		} else {
			LinkBConferQueryAction bean = new LinkBConferQueryAction();
			this.context.put("bconferQueryAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setContainer(this.getBillFormEditor());
			bean.setInterceptor(this.getInterceptor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BillFlowStateQueryAction getFlowStateQueryAction() {
		if (this.context.get("flowStateQueryAction") != null) {
			return (BillFlowStateQueryAction) this.context.get("flowStateQueryAction");
		} else {
			BillFlowStateQueryAction bean = new BillFlowStateQueryAction();
			this.context.put("flowStateQueryAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setContainer(this.getBillFormEditor());
			bean.setInterceptor(this.getInterceptor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BillBalanceLinkQueryAction getBalanceLinkQueryAction() {
		if (this.context.get("balanceLinkQueryAction") != null) {
			return (BillBalanceLinkQueryAction) this.context.get("balanceLinkQueryAction");
		} else {
			BillBalanceLinkQueryAction bean = new BillBalanceLinkQueryAction();
			this.context.put("balanceLinkQueryAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setInterceptor(this.getInterceptor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BillTbbLinkAction getTbbLinkAction() {
		if (this.context.get("tbbLinkAction") != null) {
			return (BillTbbLinkAction) this.context.get("tbbLinkAction");
		} else {
			BillTbbLinkAction bean = new BillTbbLinkAction();
			this.context.put("tbbLinkAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setInterceptor(this.getInterceptor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BillDealLinkQueryAction getDealLinkQueryAction() {
		if (this.context.get("dealLinkQueryAction") != null) {
			return (BillDealLinkQueryAction) this.context.get("dealLinkQueryAction");
		} else {
			BillDealLinkQueryAction bean = new BillDealLinkQueryAction();
			this.context.put("dealLinkQueryAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setContainer(this.getContainer());
			bean.setInterceptor(this.getInterceptor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public LinkTermQueryAction getTermLinkQueryAction() {
		if (this.context.get("termLinkQueryAction") != null) {
			return (LinkTermQueryAction) this.context.get("termLinkQueryAction");
		} else {
			LinkTermQueryAction bean = new LinkTermQueryAction();
			this.context.put("termLinkQueryAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setInterceptor(this.getInterceptor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public InitBillCancelCloseAction getInitCancelCloseAction() {
		if (this.context.get("initCancelCloseAction") != null) {
			return (InitBillCancelCloseAction) this.context.get("initCancelCloseAction");
		} else {
			InitBillCancelCloseAction bean = new InitBillCancelCloseAction();
			this.context.put("initCancelCloseAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setInterceptor(this.getInterceptor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BillRefreshSingAction getRefreshSingAction() {
		if (this.context.get("refreshSingAction") != null) {
			return (BillRefreshSingAction) this.context.get("refreshSingAction");
		} else {
			BillRefreshSingAction bean = new BillRefreshSingAction();
			this.context.put("refreshSingAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setInterceptor(this.getInterceptor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BillApproveAction getApproveAction() {
		if (this.context.get("ApproveAction") != null) {
			return (BillApproveAction) this.context.get("ApproveAction");
		} else {
			BillApproveAction bean = new BillApproveAction();
			this.context.put("ApproveAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setInterceptor(this.getInterceptor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BillUnApproveAction getUnApproveAction() {
		if (this.context.get("UnApproveAction") != null) {
			return (BillUnApproveAction) this.context.get("UnApproveAction");
		} else {
			BillUnApproveAction bean = new BillUnApproveAction();
			this.context.put("UnApproveAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setInterceptor(this.getInterceptor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BillListApproveAction getApproveListBatchAction() {
		if (this.context.get("ApproveListBatchAction") != null) {
			return (BillListApproveAction) this.context.get("ApproveListBatchAction");
		} else {
			BillListApproveAction bean = new BillListApproveAction();
			this.context.put("ApproveListBatchAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getListView());
			bean.setIsbatch("Y");
			bean.setInterceptor(this.getInterceptor());
			bean.setTpaProgressUtil(this.getTPAProgressUtil_aaea4a());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private TPAProgressUtil getTPAProgressUtil_aaea4a() {
		if (this.context.get("nc.ui.uif2.components.progress.TPAProgressUtil#aaea4a") != null) {
			return (TPAProgressUtil) this.context.get("nc.ui.uif2.components.progress.TPAProgressUtil#aaea4a");
		} else {
			TPAProgressUtil bean = new TPAProgressUtil();
			this.context.put("nc.ui.uif2.components.progress.TPAProgressUtil#aaea4a", bean);
			bean.setContext(this.getContext());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BillListUnApproveAction getUnApproveListBatchAction() {
		if (this.context.get("UnApproveListBatchAction") != null) {
			return (BillListUnApproveAction) this.context.get("UnApproveListBatchAction");
		} else {
			BillListUnApproveAction bean = new BillListUnApproveAction();
			this.context.put("UnApproveListBatchAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getListView());
			bean.setIsbatch("Y");
			bean.setInterceptor(this.getInterceptor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BillListApproveAction getApproveListAction() {
		if (this.context.get("ApproveListAction") != null) {
			return (BillListApproveAction) this.context.get("ApproveListAction");
		} else {
			BillListApproveAction bean = new BillListApproveAction();
			this.context.put("ApproveListAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getListView());
			bean.setIsbatch("N");
			bean.setInterceptor(this.getInterceptor());
			bean.setTpaProgressUtil(this.getTPAProgressUtil_fbc06a());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private TPAProgressUtil getTPAProgressUtil_fbc06a() {
		if (this.context.get("nc.ui.uif2.components.progress.TPAProgressUtil#fbc06a") != null) {
			return (TPAProgressUtil) this.context.get("nc.ui.uif2.components.progress.TPAProgressUtil#fbc06a");
		} else {
			TPAProgressUtil bean = new TPAProgressUtil();
			this.context.put("nc.ui.uif2.components.progress.TPAProgressUtil#fbc06a", bean);
			bean.setContext(this.getContext());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BillListUnApproveAction getUnApproveListAction() {
		if (this.context.get("UnApproveListAction") != null) {
			return (BillListUnApproveAction) this.context.get("UnApproveListAction");
		} else {
			BillListUnApproveAction bean = new BillListUnApproveAction();
			this.context.put("UnApproveListAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getListView());
			bean.setIsbatch("N");
			bean.setInterceptor(this.getInterceptor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BillTempSaveAction getTempSaveAction() {
		if (this.context.get("tempSaveAction") != null) {
			return (BillTempSaveAction) this.context.get("tempSaveAction");
		} else {
			BillTempSaveAction bean = new BillTempSaveAction();
			this.context.put("tempSaveAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setInterceptor(this.getInterceptor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BillCopyAction getCopyAction() {
		if (this.context.get("copyAction") != null) {
			return (BillCopyAction) this.context.get("copyAction");
		} else {
			BillCopyAction bean = new BillCopyAction();
			this.context.put("copyAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setListView(this.getListView());
			bean.setInterceptor(this.getInterceptor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BillWriteBackAction getWriteBack() {
		if (this.context.get("writeBack") != null) {
			return (BillWriteBackAction) this.context.get("writeBack");
		} else {
			BillWriteBackAction bean = new BillWriteBackAction();
			this.context.put("writeBack", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setListView(this.getListView());
			bean.setInterceptor(this.getInterceptor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public DocumentManageAction getDocumentManage() {
		if (this.context.get("documentManage") != null) {
			return (DocumentManageAction) this.context.get("documentManage");
		} else {
			DocumentManageAction bean = new DocumentManageAction();
			this.context.put("documentManage", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setInterceptor(this.getInterceptor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public RentAffiliatedAction getRentAffiliated() {
		if (this.context.get("rentAffiliated") != null) {
			return (RentAffiliatedAction) this.context.get("rentAffiliated");
		} else {
			RentAffiliatedAction bean = new RentAffiliatedAction();
			this.context.put("rentAffiliated", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setInterceptor(this.getInterceptor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public NoteRegisterAction getNoteRegister() {
		if (this.context.get("noteRegister") != null) {
			return (NoteRegisterAction) this.context.get("noteRegister");
		} else {
			NoteRegisterAction bean = new NoteRegisterAction();
			this.context.put("noteRegister", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setInterceptor(this.getInterceptor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public MakeAlterBillAction getMakeAlterBill() {
		if (this.context.get("makeAlterBill") != null) {
			return (MakeAlterBillAction) this.context.get("makeAlterBill");
		} else {
			MakeAlterBillAction bean = new MakeAlterBillAction();
			this.context.put("makeAlterBill", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setInterceptor(this.getInterceptor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PauseTransactAction getPauseTransact() {
		if (this.context.get("pauseTransact") != null) {
			return (PauseTransactAction) this.context.get("pauseTransact");
		} else {
			PauseTransactAction bean = new PauseTransactAction();
			this.context.put("pauseTransact", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setListView(this.getListView());
			bean.setInterceptor(this.getInterceptor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public CancelPauseTransactAction getCancelPauseTransact() {
		if (this.context.get("cancelPauseTransact") != null) {
			return (CancelPauseTransactAction) this.context.get("cancelPauseTransact");
		} else {
			CancelPauseTransactAction bean = new CancelPauseTransactAction();
			this.context.put("cancelPauseTransact", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setListView(this.getListView());
			bean.setInterceptor(this.getInterceptor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BillPrintAction getPrintBill() {
		if (this.context.get("printBill") != null) {
			return (BillPrintAction) this.context.get("printBill");
		} else {
			BillPrintAction bean = new BillPrintAction();
			this.context.put("printBill", bean);
			bean.setModel(this.getManageAppModel());
			bean.setInterceptor(this.getInterceptor());
			bean.setTaxForm(this.getTaxForm());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public OfficialPrintAction getOfficialPrint() {
		if (this.context.get("officialPrint") != null) {
			return (OfficialPrintAction) this.context.get("officialPrint");
		} else {
			OfficialPrintAction bean = new OfficialPrintAction();
			this.context.put("officialPrint", bean);
			bean.setModel(this.getManageAppModel());
			bean.setInterceptor(this.getInterceptor());
			bean.setTaxForm(this.getTaxForm());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public CancelPrintAction getCancelPrint() {
		if (this.context.get("cancelPrint") != null) {
			return (CancelPrintAction) this.context.get("cancelPrint");
		} else {
			CancelPrintAction bean = new CancelPrintAction();
			this.context.put("cancelPrint", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setInterceptor(this.getInterceptor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PrintListAction getPrintList() {
		if (this.context.get("printList") != null) {
			return (PrintListAction) this.context.get("printList");
		} else {
			PrintListAction bean = new PrintListAction();
			this.context.put("printList", bean);
			bean.setModel(this.getManageAppModel());
			bean.setInterceptor(this.getInterceptor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public MadeBillAction getMadeBillAction() {
		if (this.context.get("madeBillAction") != null) {
			return (MadeBillAction) this.context.get("madeBillAction");
		} else {
			MadeBillAction bean = new MadeBillAction();
			this.context.put("madeBillAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setListView(this.getListView());
			bean.setLoginContext(this.getContext());
			bean.setInterceptor(this.getInterceptor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BillPrepayAction getPrepayAction() {
		if (this.context.get("prepayAction") != null) {
			return (BillPrepayAction) this.context.get("prepayAction");
		} else {
			BillPrepayAction bean = new BillPrepayAction();
			this.context.put("prepayAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setInterceptor(this.getInterceptor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public MenuAction getBillOperateActionGroup() {
		if (this.context.get("billOperateActionGroup") != null) {
			return (MenuAction) this.context.get("billOperateActionGroup");
		} else {
			MenuAction bean = new MenuAction();
			this.context.put("billOperateActionGroup", bean);
			bean.setCode("billOperate");
			bean.setName(this.getI18nFB_15938e());
			bean.setActions(this.getManagedList19());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private String getI18nFB_15938e() {
		if (this.context.get("nc.ui.uif2.I18nFB#15938e") != null) {
			return (String) this.context.get("nc.ui.uif2.I18nFB#15938e");
		} else {
			I18nFB bean = new I18nFB();
			this.context.put("&nc.ui.uif2.I18nFB#15938e", bean);
			bean.setResDir("common");
			bean.setResId("arapcommonv6-0137");
			bean.setDefaultValue("ݲ");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);

			try {
				Object product = bean.getObject();
				this.context.put("nc.ui.uif2.I18nFB#15938e", product);
				return (String) product;
			} catch (Exception var3) {
				throw new RuntimeException(var3);
			}
		}
	}

	private List getManagedList19() {
		List list = new ArrayList();
		list.add(this.getDeleteAction());
		list.add(this.getEditAction());
		list.add(this.getTempSaveAction());
		list.add(this.getWriteBack());
		list.add(this.getDocumentManage());
		return list;
	}

	public MenuAction getBillOperateActionGroup_Record() {
		if (this.context.get("billOperateActionGroup_Record") != null) {
			return (MenuAction) this.context.get("billOperateActionGroup_Record");
		} else {
			MenuAction bean = new MenuAction();
			this.context.put("billOperateActionGroup_Record", bean);
			bean.setCode("billOperate");
			bean.setName(this.getI18nFB_8a6d6c());
			bean.setActions(this.getManagedList20());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private String getI18nFB_8a6d6c() {
		if (this.context.get("nc.ui.uif2.I18nFB#8a6d6c") != null) {
			return (String) this.context.get("nc.ui.uif2.I18nFB#8a6d6c");
		} else {
			I18nFB bean = new I18nFB();
			this.context.put("&nc.ui.uif2.I18nFB#8a6d6c", bean);
			bean.setResDir("common");
			bean.setResId("arapcommonv6-0137");
			bean.setDefaultValue("ݲ");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);

			try {
				Object product = bean.getObject();
				this.context.put("nc.ui.uif2.I18nFB#8a6d6c", product);
				return (String) product;
			} catch (Exception var3) {
				throw new RuntimeException(var3);
			}
		}
	}

	private List getManagedList20() {
		List list = new ArrayList();
		list.add(this.getDeleteAction());
		list.add(this.getEditAction());
		list.add(this.getTempSaveAction());
		list.add(this.getDocumentManage());
		return list;
	}

	public MenuAction getBillOperateActionGroup_Init() {
		if (this.context.get("billOperateActionGroup_Init") != null) {
			return (MenuAction) this.context.get("billOperateActionGroup_Init");
		} else {
			MenuAction bean = new MenuAction();
			this.context.put("billOperateActionGroup_Init", bean);
			bean.setCode("billOperate");
			bean.setName(this.getI18nFB_15fdf1());
			bean.setActions(this.getManagedList21());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private String getI18nFB_15fdf1() {
		if (this.context.get("nc.ui.uif2.I18nFB#15fdf1") != null) {
			return (String) this.context.get("nc.ui.uif2.I18nFB#15fdf1");
		} else {
			I18nFB bean = new I18nFB();
			this.context.put("&nc.ui.uif2.I18nFB#15fdf1", bean);
			bean.setResDir("common");
			bean.setResId("arapcommonv6-0137");
			bean.setDefaultValue("ݲ");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);

			try {
				Object product = bean.getObject();
				this.context.put("nc.ui.uif2.I18nFB#15fdf1", product);
				return (String) product;
			} catch (Exception var3) {
				throw new RuntimeException(var3);
			}
		}
	}

	private List getManagedList21() {
		List list = new ArrayList();
		list.add(this.getDeleteAction());
		list.add(this.getEditAction());
		list.add(this.getDocumentManage());
		return list;
	}

	public MenuAction getBillOperateActionGroup_List() {
		if (this.context.get("billOperateActionGroup_List") != null) {
			return (MenuAction) this.context.get("billOperateActionGroup_List");
		} else {
			MenuAction bean = new MenuAction();
			this.context.put("billOperateActionGroup_List", bean);
			bean.setCode("billOperate_List");
			bean.setName(this.getI18nFB_1d30351());
			bean.setActions(this.getManagedList22());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private String getI18nFB_1d30351() {
		if (this.context.get("nc.ui.uif2.I18nFB#1d30351") != null) {
			return (String) this.context.get("nc.ui.uif2.I18nFB#1d30351");
		} else {
			I18nFB bean = new I18nFB();
			this.context.put("&nc.ui.uif2.I18nFB#1d30351", bean);
			bean.setResDir("common");
			bean.setResId("arapcommonv6-0137");
			bean.setDefaultValue("ݲ");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);

			try {
				Object product = bean.getObject();
				this.context.put("nc.ui.uif2.I18nFB#1d30351", product);
				return (String) product;
			} catch (Exception var3) {
				throw new RuntimeException(var3);
			}
		}
	}

	private List getManagedList22() {
		List list = new ArrayList();
		list.add(this.getDeleteAction());
		list.add(this.getDocumentManage());
		return list;
	}

	public MenuAction getCloseOperateAction() {
		if (this.context.get("closeOperateAction") != null) {
			return (MenuAction) this.context.get("closeOperateAction");
		} else {
			MenuAction bean = new MenuAction();
			this.context.put("closeOperateAction", bean);
			bean.setCode("billClose");
			bean.setName(this.getI18nFB_7ecc30());
			bean.setActions(this.getManagedList23());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private String getI18nFB_7ecc30() {
		if (this.context.get("nc.ui.uif2.I18nFB#7ecc30") != null) {
			return (String) this.context.get("nc.ui.uif2.I18nFB#7ecc30");
		} else {
			I18nFB bean = new I18nFB();
			this.context.put("&nc.ui.uif2.I18nFB#7ecc30", bean);
			bean.setResDir("common");
			bean.setResId("arapcommonv6-0138");
			bean.setDefaultValue("رղ");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);

			try {
				Object product = bean.getObject();
				this.context.put("nc.ui.uif2.I18nFB#7ecc30", product);
				return (String) product;
			} catch (Exception var3) {
				throw new RuntimeException(var3);
			}
		}
	}

	private List getManagedList23() {
		List list = new ArrayList();
		return list;
	}

	public GroupAction getBillApproveActionGroup() {
		if (this.context.get("billApproveActionGroup") != null) {
			return (GroupAction) this.context.get("billApproveActionGroup");
		} else {
			GroupAction bean = new GroupAction();
			this.context.put("billApproveActionGroup", bean);
			bean.setCode("billApproveActionGroup");
			bean.setName(this.getI18nFB_8f7608());
			bean.setActions(this.getManagedList24());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private String getI18nFB_8f7608() {
		if (this.context.get("nc.ui.uif2.I18nFB#8f7608") != null) {
			return (String) this.context.get("nc.ui.uif2.I18nFB#8f7608");
		} else {
			I18nFB bean = new I18nFB();
			this.context.put("&nc.ui.uif2.I18nFB#8f7608", bean);
			bean.setResDir("common");
			bean.setResId("arapcommonv6-0142");
			bean.setDefaultValue("");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);

			try {
				Object product = bean.getObject();
				this.context.put("nc.ui.uif2.I18nFB#8f7608", product);
				return (String) product;
			} catch (Exception var3) {
				throw new RuntimeException(var3);
			}
		}
	}

	private List getManagedList24() {
		List list = new ArrayList();
		list.add(this.getApproveAction());
		list.add(this.getUnApproveAction());
		list.add(this.getFlowStateQueryAction());
		return list;
	}

	public GroupAction getBillApproveActionGroup_List() {
		if (this.context.get("billApproveActionGroup_List") != null) {
			return (GroupAction) this.context.get("billApproveActionGroup_List");
		} else {
			GroupAction bean = new GroupAction();
			this.context.put("billApproveActionGroup_List", bean);
			bean.setCode("billApproveActionGroup_List");
			bean.setName(this.getI18nFB_8e0781());
			bean.setActions(this.getManagedList25());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private String getI18nFB_8e0781() {
		if (this.context.get("nc.ui.uif2.I18nFB#8e0781") != null) {
			return (String) this.context.get("nc.ui.uif2.I18nFB#8e0781");
		} else {
			I18nFB bean = new I18nFB();
			this.context.put("&nc.ui.uif2.I18nFB#8e0781", bean);
			bean.setResDir("common");
			bean.setResId("arapcommonv6-0142");
			bean.setDefaultValue("");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);

			try {
				Object product = bean.getObject();
				this.context.put("nc.ui.uif2.I18nFB#8e0781", product);
				return (String) product;
			} catch (Exception var3) {
				throw new RuntimeException(var3);
			}
		}
	}

	private List getManagedList25() {
		List list = new ArrayList();
		list.add(this.getApproveListAction());
		list.add(this.getUnApproveListAction());
		list.add(this.getApproveListBatchAction());
		list.add(this.getUnApproveListBatchAction());
		list.add(this.getFlowStateQueryAction());
		return list;
	}

	public GroupAction getBillVerifyActionGroup() {
		if (this.context.get("billVerifyActionGroup") != null) {
			return (GroupAction) this.context.get("billVerifyActionGroup");
		} else {
			GroupAction bean = new GroupAction();
			this.context.put("billVerifyActionGroup", bean);
			bean.setCode("billVerify");
			bean.setName(this.getI18nFB_8ecc64());
			bean.setActions(this.getManagedList26());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private String getI18nFB_8ecc64() {
		if (this.context.get("nc.ui.uif2.I18nFB#8ecc64") != null) {
			return (String) this.context.get("nc.ui.uif2.I18nFB#8ecc64");
		} else {
			I18nFB bean = new I18nFB();
			this.context.put("&nc.ui.uif2.I18nFB#8ecc64", bean);
			bean.setResDir("common");
			bean.setResId("arapcommonv6-0143");
			bean.setDefaultValue("ʱ");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);

			try {
				Object product = bean.getObject();
				this.context.put("nc.ui.uif2.I18nFB#8ecc64", product);
				return (String) product;
			} catch (Exception var3) {
				throw new RuntimeException(var3);
			}
		}
	}

	private List getManagedList26() {
		List list = new ArrayList();
		list.add(this.getOnBodyVerify());
		list.add(this.getOnWholeBillVerifyAction());
		return list;
	}

	public GroupAction getPauseTransactActionGroup() {
		if (this.context.get("pauseTransactActionGroup") != null) {
			return (GroupAction) this.context.get("pauseTransactActionGroup");
		} else {
			GroupAction bean = new GroupAction();
			this.context.put("pauseTransactActionGroup", bean);
			bean.setCode("pauseTransact");
			bean.setName(this.getI18nFB_10cd32a());
			bean.setActions(this.getManagedList27());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private String getI18nFB_10cd32a() {
		if (this.context.get("nc.ui.uif2.I18nFB#10cd32a") != null) {
			return (String) this.context.get("nc.ui.uif2.I18nFB#10cd32a");
		} else {
			I18nFB bean = new I18nFB();
			this.context.put("&nc.ui.uif2.I18nFB#10cd32a", bean);
			bean.setResDir("2006pub_0");
			bean.setResId("02006pub-0644");
			bean.setDefaultValue("");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);

			try {
				Object product = bean.getObject();
				this.context.put("nc.ui.uif2.I18nFB#10cd32a", product);
				return (String) product;
			} catch (Exception var3) {
				throw new RuntimeException(var3);
			}
		}
	}

	private List getManagedList27() {
		List list = new ArrayList();
		list.add(this.getPauseTransact());
		list.add(this.getCancelPauseTransact());
		return list;
	}

	public GroupAction getPrintOperateActionGroup() {
		if (this.context.get("printOperateActionGroup") != null) {
			return (GroupAction) this.context.get("printOperateActionGroup");
		} else {
			GroupAction bean = new GroupAction();
			this.context.put("printOperateActionGroup", bean);
			bean.setCode("printOperateActionGroup");
			bean.setName(this.getI18nFB_fb89b6());
			bean.setActions(this.getManagedList28());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private String getI18nFB_fb89b6() {
		if (this.context.get("nc.ui.uif2.I18nFB#fb89b6") != null) {
			return (String) this.context.get("nc.ui.uif2.I18nFB#fb89b6");
		} else {
			I18nFB bean = new I18nFB();
			this.context.put("&nc.ui.uif2.I18nFB#fb89b6", bean);
			bean.setResDir("common");
			bean.setResId("arapcommonv6-0139");
			bean.setDefaultValue("ӡ");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);

			try {
				Object product = bean.getObject();
				this.context.put("nc.ui.uif2.I18nFB#fb89b6", product);
				return (String) product;
			} catch (Exception var3) {
				throw new RuntimeException(var3);
			}
		}
	}

	private List getManagedList28() {
		List list = new ArrayList();
		list.add(this.getPrintBill());
		list.add(this.getPrintPreview());
		list.add(this.getPrintOutput());
		list.add(this.getSeparatorAction());
		list.add(this.getOfficialPrint());
		list.add(this.getCancelPrint());
		return list;
	}

	public GroupAction getPrintOperateActionGroup_List() {
		if (this.context.get("printOperateActionGroup_List") != null) {
			return (GroupAction) this.context.get("printOperateActionGroup_List");
		} else {
			GroupAction bean = new GroupAction();
			this.context.put("printOperateActionGroup_List", bean);
			bean.setCode("printOperateActionGroup_List");
			bean.setName(this.getI18nFB_e167d());
			bean.setActions(this.getManagedList29());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private String getI18nFB_e167d() {
		if (this.context.get("nc.ui.uif2.I18nFB#e167d") != null) {
			return (String) this.context.get("nc.ui.uif2.I18nFB#e167d");
		} else {
			I18nFB bean = new I18nFB();
			this.context.put("&nc.ui.uif2.I18nFB#e167d", bean);
			bean.setResDir("common");
			bean.setResId("arapcommonv6-0139");
			bean.setDefaultValue("ӡ");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);

			try {
				Object product = bean.getObject();
				this.context.put("nc.ui.uif2.I18nFB#e167d", product);
				return (String) product;
			} catch (Exception var3) {
				throw new RuntimeException(var3);
			}
		}
	}

	private List getManagedList29() {
		List list = new ArrayList();
		list.add(this.getPrintBill());
		list.add(this.getPrintPreview());
		list.add(this.getPrintOutput());
		list.add(this.getSeparatorAction());
		list.add(this.getOfficialPrint());
		list.add(this.getCancelPrint());
		list.add(this.getSeparatorAction());
		list.add(this.getPrintList());
		return list;
	}

	public MenuAction getRelatedQueryActionGroup() {
		if (this.context.get("relatedQueryActionGroup") != null) {
			return (MenuAction) this.context.get("relatedQueryActionGroup");
		} else {
			MenuAction bean = new MenuAction();
			this.context.put("relatedQueryActionGroup", bean);
			bean.setCode("relatedQuery");
			bean.setName(this.getI18nFB_a4b7f7());
			bean.setActions(this.getManagedList30());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private String getI18nFB_a4b7f7() {
		if (this.context.get("nc.ui.uif2.I18nFB#a4b7f7") != null) {
			return (String) this.context.get("nc.ui.uif2.I18nFB#a4b7f7");
		} else {
			I18nFB bean = new I18nFB();
			this.context.put("&nc.ui.uif2.I18nFB#a4b7f7", bean);
			bean.setResDir("pubapp_0");
			bean.setResId("0pubapp-0025");
			bean.setDefaultValue("");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);

			try {
				Object product = bean.getObject();
				this.context.put("nc.ui.uif2.I18nFB#a4b7f7", product);
				return (String) product;
			} catch (Exception var3) {
				throw new RuntimeException(var3);
			}
		}
	}

	private List getManagedList30() {
		List list = new ArrayList();
		list.add(this.getLinkQueryAction());
		list.add(this.getFlowStateQueryAction());
		list.add(this.getBalanceLinkQueryAction());
		list.add(this.getDealLinkQueryAction());
		list.add(this.getLinkVoucharQueryAction());
		list.add(this.getBconferQueryAction());
		list.add(this.getTermLinkQueryAction());
		list.add(this.getTbbLinkAction());
		return list;
	}

	public FirstLineAction getFirstLineAction() {
		if (this.context.get("firstLineAction") != null) {
			return (FirstLineAction) this.context.get("firstLineAction");
		} else {
			FirstLineAction bean = new FirstLineAction();
			this.context.put("firstLineAction", bean);
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public NextLineAction getNextLineAction() {
		if (this.context.get("nextLineAction") != null) {
			return (NextLineAction) this.context.get("nextLineAction");
		} else {
			NextLineAction bean = new NextLineAction();
			this.context.put("nextLineAction", bean);
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PreLineAction getPreLineAction() {
		if (this.context.get("preLineAction") != null) {
			return (PreLineAction) this.context.get("preLineAction");
		} else {
			PreLineAction bean = new PreLineAction();
			this.context.put("preLineAction", bean);
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public LastLineAction getLastLineAction() {
		if (this.context.get("lastLineAction") != null) {
			return (LastLineAction) this.context.get("lastLineAction");
		} else {
			LastLineAction bean = new LastLineAction();
			this.context.put("lastLineAction", bean);
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public FiBillTypeRefModel getTransTypeRefModel() {
		if (this.context.get("transTypeRefModel") != null) {
			return (FiBillTypeRefModel) this.context.get("transTypeRefModel");
		} else {
			FiBillTypeRefModel bean = new FiBillTypeRefModel();
			this.context.put("transTypeRefModel", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public String getDefMoneyField() {
		if (this.context.get("defMoneyField") != null) {
			return (String) this.context.get("defMoneyField");
		} else {
			String bean = new String("money_cr");
			this.context.put("defMoneyField", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public String getDefBillType() {
		if (this.context.get("defBillType") != null) {
			return (String) this.context.get("defBillType");
		} else {
			String bean = new String("F1");
			this.context.put("defBillType", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public String getDefNodeKey() {
		if (this.context.get("defNodeKey") != null) {
			return (String) this.context.get("defNodeKey");
		} else {
			String bean = new String("D1");
			this.context.put("defNodeKey", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public String getMdFullnameHead() {
		if (this.context.get("mdFullnameHead") != null) {
			return (String) this.context.get("mdFullnameHead");
		} else {
			String bean = new String("arap.payablebill");
			this.context.put("mdFullnameHead", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public String getMdFullnameBody() {
		if (this.context.get("mdFullnameBody") != null) {
			return (String) this.context.get("mdFullnameBody");
		} else {
			String bean = new String("arap.payableitem");
			this.context.put("mdFullnameBody", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PayableLineDefValUtil getIArapLineDefValUtil() {
		if (this.context.get("iArapLineDefValUtil") != null) {
			return (PayableLineDefValUtil) this.context.get("iArapLineDefValUtil");
		} else {
			PayableLineDefValUtil bean = new PayableLineDefValUtil();
			this.context.put("iArapLineDefValUtil", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PayableBillAppModelService getManageModelService() {
		if (this.context.get("ManageModelService") != null) {
			return (PayableBillAppModelService) this.context.get("ManageModelService");
		} else {
			PayableBillAppModelService bean = new PayableBillAppModelService();
			this.context.put("ManageModelService", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PayableBillPaginationQueryService getPaginationQueryService() {
		if (this.context.get("paginationQueryService") != null) {
			return (PayableBillPaginationQueryService) this.context.get("paginationQueryService");
		} else {
			PayableBillPaginationQueryService bean = new PayableBillPaginationQueryService();
			this.context.put("paginationQueryService", bean);
			bean.setPageSize(10);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PayableBillDefValue getBillDefVauleItf() {
		if (this.context.get("billDefVauleItf") != null) {
			return (PayableBillDefValue) this.context.get("billDefVauleItf");
		} else {
			PayableBillDefValue bean = new PayableBillDefValue();
			this.context.put("billDefVauleItf", bean);
			bean.setEditor(this.getBillFormEditor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public CreditBillCalculatorFields getCalFldsItf() {
		if (this.context.get("calFldsItf") != null) {
			return (CreditBillCalculatorFields) this.context.get("calFldsItf");
		} else {
			CreditBillCalculatorFields bean = new CreditBillCalculatorFields();
			this.context.put("calFldsItf", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public TransTypeAction getTranstype() {
		if (this.context.get("transtype") != null) {
			return (TransTypeAction) this.context.get("transtype");
		} else {
			TransTypeAction bean = new TransTypeAction();
			this.context.put("transtype", bean);
			bean.setEditor(this.getBillFormEditor());
			bean.setModel(this.getManageAppModel());
			bean.setTransTypeRefModel(this.getTransTypeRefModel());
			bean.setWherepart(" bd_billtype.parentbilltype ='F1' and pk_group != 'global00000000000000'");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BillSaveAction getSaveActionReal() {
		if (this.context.get("saveActionReal") != null) {
			return (BillSaveAction) this.context.get("saveActionReal");
		} else {
			BillSaveAction bean = new BillSaveAction();
			this.context.put("saveActionReal", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setInterceptor(this.getInterceptor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public AppEventHandlerMediator getAppEventHandlerMediator() {
		if (this.context.get("AppEventHandlerMediator") != null) {
			return (AppEventHandlerMediator) this.context.get("AppEventHandlerMediator");
		} else {
			AppEventHandlerMediator bean = new AppEventHandlerMediator();
			this.context.put("AppEventHandlerMediator", bean);
			bean.setModel(this.getManageAppModel());
			bean.setHandlerMap(this.getManagedMap1());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private Map getManagedMap1() {
		Map map = new HashMap();
		map.put("nc.ui.pubapp.uif2app.event.card.CardBodyBeforeEditEvent", this.getManagedList31());
		map.put("nc.ui.pubapp.uif2app.event.card.CardBodyAfterEditEvent", this.getManagedList32());
		map.put("nc.ui.arap.viewhandler.CardBodyAfterEditEvent", this.getManagedList33());
		map.put("nc.ui.pubapp.uif2app.event.card.CardHeadTailBeforeEditEvent", this.getManagedList34());
		map.put("nc.ui.pubapp.uif2app.event.card.CardBodyAfterRowEditEvent", this.getManagedList35());
		map.put("nc.ui.pubapp.uif2app.event.card.CardHeadTailAfterEditEvent", this.getManagedList36());
		map.put("nc.ui.pubapp.uif2app.event.card.CardPanelLoadEvent", this.getManagedList37());
		map.put("nc.ui.pubapp.uif2app.event.card.CardBodyRowChangedEvent", this.getManagedList38());
		map.put("nc.ui.pubapp.uif2app.event.list.ListPanelLoadEvent", this.getManagedList39());
		map.put("nc.ui.pubapp.uif2app.event.list.ListHeadRowChangedEvent", this.getManagedList40());
		map.put("nc.ui.pubapp.uif2app.event.list.ListHeadDataChangedEvent", this.getManagedList41());
		map.put("nc.ui.pubapp.uif2app.mediator.mutiltrans.NodekeyEvent", this.getManagedList42());
		return map;
	}

	private List getManagedList31() {
		List list = new ArrayList();
		list.add(this.getBodyBankAccBeforeEditHandler());
		list.add(this.getBodyAccountRefBeforeEditHandler());
		list.add(this.getBodyFreeCustBeforeEditHandler());
		list.add(this.getBodyProjectBeforeEditHandler());
		list.add(this.getBodyCrossCheckBeforeHandler());
		list.add(this.getBodySummaryBeforeEditHandler());
		list.add(this.getBodyVersionRefBeforeEditHandler());
		list.add(this.getOtherOrgBodyBeforeEditHandler());
		list.add(this.getBodyCostCenterRefBeforeEditHandler());
		list.add(this.getBodyTaxcodeBeforeEditHandler());
		return list;
	}

	private List getManagedList32() {
		List list = new ArrayList();
		list.add(this.getBodyAutoAddLineBeforeEditHandler());
		list.add(this.getBodyMaterialAfterEditHandler());
		list.add(this.getCardAfterEditCalculateHandler());
		list.add(this.getBodyPsnDocAfterEditHandler());
		list.add(this.getBodyCurrTypeAfterEditHandler());
		list.add(this.getBodyLocalMoneyAfterEditHandler());
		list.add(this.getBodyRateAfterEditHandler());
		list.add(this.getBodyEuroAfterEditHandler());
		list.add(this.getOtherOrgBodyAfterEditHandler());
		list.add(this.getBodyMoneyBalanceAfterEditHandler());
		list.add(this.getEnableCtrlBodyAfterEditHandler());
		list.add(this.getBodyFundplanAfterEditHandler());
		list.add(this.getBodyCuspAfterEditHandler());
		list.add(this.getBodyBankAccAfterEditHandler());
		list.add(this.getBodyDeptAfterEditHandler());
		list.add(this.getBodyVersionRefAfterEditHandler());
		list.add(this.getBodyCostCenterAfterEditHandler());
		return list;
	}

	private List getManagedList33() {
		List list = new ArrayList();
		list.add(this.getBodyEuroAfterEditHandler());
		list.add(this.getBodyCuspAfterEditHandler());
		return list;
	}

	private List getManagedList34() {
		List list = new ArrayList();
		list.add(this.getHeadBankAccBeforeEditHandler());
		list.add(this.getOtherOrgHeadBeforeEditHandler());
		list.add(this.getHeadCrossCheckBeforeHandler());
		list.add(this.getHeadSummaryBeforeEditHandler());
		list.add(this.getHeadVersionRefBeforeEditHandler());
		list.add(this.getHeadCostCenterRefBeforeEditHandler());
		list.add(this.getHeadAccountRefBeforeEditHandler());
		return list;
	}

	private List getManagedList35() {
		List list = new ArrayList();
		list.add(this.getCardBodyAfterRowEditHandler());
		return list;
	}

	private List getManagedList36() {
		List list = new ArrayList();
		list.add(this.getHBRelationAfterEditHandler());
		list.add(this.getHeadCurrTypeAfterEditHandler());
		list.add(this.getHeadPsnDocAfterEditHandler());
		list.add(this.getOtherOrgHeadAfterEdithandler());
		list.add(this.getHeadFundplanAfterEditHandler());
		list.add(this.getObjTypeHeadAfterEdithandler());
		list.add(this.getHeadCuspAfterEditHandler());
		list.add(this.getHeadDeptAfterEditHandler());
		list.add(this.getHeadVersionRefAfterEditHandler());
		list.add(this.getHeadEuroAfterEditHandler());
		list.add(this.getHeadCostCenterAfterEditHandler());
		return list;
	}

	private List getManagedList37() {
		List list = new ArrayList();
		list.add(this.getLoadBillCardTemplate());
		return list;
	}

	private List getManagedList38() {
		List list = new ArrayList();
		list.add(this.getCardBodyRowChangeHandler());
		list.add(this.getSideFormMediator());
		return list;
	}

	private List getManagedList39() {
		List list = new ArrayList();
		list.add(this.getLoadBillListTemplate());
		return list;
	}

	private List getManagedList40() {
		List list = new ArrayList();
		list.add(this.getListHeadRowChangeListener());
		list.add(this.getSideFormMediator());
		return list;
	}

	private List getManagedList41() {
		List list = new ArrayList();
		list.add(this.getListHeadModelListener());
		return list;
	}

	private List getManagedList42() {
		List list = new ArrayList();
		list.add(this.getAddActionGroup());
		list.add(this.getTranstype());
		return list;
	}

	public RelationItemForCal_Credit getRelationItemForCal() {
		if (this.context.get("relationItemForCal") != null) {
			return (RelationItemForCal_Credit) this.context.get("relationItemForCal");
		} else {
			RelationItemForCal_Credit bean = new RelationItemForCal_Credit();
			this.context.put("relationItemForCal", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PayableBillRelationQueryDataListener getInitDataListener() {
		if (this.context.get("InitDataListener") != null) {
			return (PayableBillRelationQueryDataListener) this.context.get("InitDataListener");
		} else {
			PayableBillRelationQueryDataListener bean = new PayableBillRelationQueryDataListener();
			this.context.put("InitDataListener", bean);
			bean.setBillFormEditor(this.getBillFormEditor());
			bean.setListview(this.getListView());
			bean.setContext(this.getContext());
			bean.setModel(this.getManageAppModel());
			bean.setVoClassName("nc.vo.arap.payable.AggPayableBillVO");
			bean.setAutoShowUpComponent(this.getBillFormEditor());
			bean.setQueryAction(this.getQueryAction());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public MenuAction getBillAssistantActionGroup() {
		if (this.context.get("billAssistantActionGroup") != null) {
			return (MenuAction) this.context.get("billAssistantActionGroup");
		} else {
			MenuAction bean = new MenuAction();
			this.context.put("billAssistantActionGroup", bean);
			bean.setCode("billAssistant");
			bean.setName(this.getI18nFB_b2c683());
			bean.setActions(this.getManagedList43());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private String getI18nFB_b2c683() {
		if (this.context.get("nc.ui.uif2.I18nFB#b2c683") != null) {
			return (String) this.context.get("nc.ui.uif2.I18nFB#b2c683");
		} else {
			I18nFB bean = new I18nFB();
			this.context.put("&nc.ui.uif2.I18nFB#b2c683", bean);
			bean.setResDir("2006pub_0");
			bean.setResId("02006pub-0643");
			bean.setDefaultValue("");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);

			try {
				Object product = bean.getObject();
				this.context.put("nc.ui.uif2.I18nFB#b2c683", product);
				return (String) product;
			} catch (Exception var3) {
				throw new RuntimeException(var3);
			}
		}
	}

	private List getManagedList43() {
		List list = new ArrayList();
		list.add(this.getMakeAlterBill());
		list.add(this.getDocumentManage());
		return list;
	}

	public MenuAction getBillAssistantActionGroup_List() {
		if (this.context.get("billAssistantActionGroup_List") != null) {
			return (MenuAction) this.context.get("billAssistantActionGroup_List");
		} else {
			MenuAction bean = new MenuAction();
			this.context.put("billAssistantActionGroup_List", bean);
			bean.setCode("billAssistant");
			bean.setName(this.getI18nFB_106c7f1());
			bean.setActions(this.getManagedList44());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private String getI18nFB_106c7f1() {
		if (this.context.get("nc.ui.uif2.I18nFB#106c7f1") != null) {
			return (String) this.context.get("nc.ui.uif2.I18nFB#106c7f1");
		} else {
			I18nFB bean = new I18nFB();
			this.context.put("&nc.ui.uif2.I18nFB#106c7f1", bean);
			bean.setResDir("2006pub_0");
			bean.setResId("02006pub-0643");
			bean.setDefaultValue("");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);

			try {
				Object product = bean.getObject();
				this.context.put("nc.ui.uif2.I18nFB#106c7f1", product);
				return (String) product;
			} catch (Exception var3) {
				throw new RuntimeException(var3);
			}
		}
	}

	private List getManagedList44() {
		List list = new ArrayList();
		list.add(this.getDocumentManage());
		return list;
	}

	public PayableRecordImportablePanel getImportableEditor() {
		if (this.context.get("importableEditor") != null) {
			return (PayableRecordImportablePanel) this.context.get("importableEditor");
		} else {
			PayableRecordImportablePanel bean = new PayableRecordImportablePanel();
			this.context.put("importableEditor", bean);
			bean.setUiEditor(this.getBillFormEditor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public ArapImportAction getImportAction() {
		if (this.context.get("importAction") != null) {
			return (ArapImportAction) this.context.get("importAction");
		} else {
			ArapImportAction bean = new ArapImportAction();
			this.context.put("importAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setImportableEditor(this.getImportableEditor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public ArapExportAction getExportAction() {
		if (this.context.get("exportAction") != null) {
			return (ArapExportAction) this.context.get("exportAction");
		} else {
			ArapExportAction bean = new ArapExportAction();
			this.context.put("exportAction", bean);
			bean.setImportableEditor(this.getImportableEditor());
			bean.setModel(this.getManageAppModel());
			bean.setInterceptor(this.getExportActionInterceptor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public MenuAction getImportexportActionGroup() {
		if (this.context.get("importexportActionGroup") != null) {
			return (MenuAction) this.context.get("importexportActionGroup");
		} else {
			MenuAction bean = new MenuAction();
			this.context.put("importexportActionGroup", bean);
			bean.setCode("ImportExportMenu");
			bean.setName(this.getI18nFB_30cff4());
			bean.setActions(this.getManagedList45());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private String getI18nFB_30cff4() {
		if (this.context.get("nc.ui.uif2.I18nFB#30cff4") != null) {
			return (String) this.context.get("nc.ui.uif2.I18nFB#30cff4");
		} else {
			I18nFB bean = new I18nFB();
			this.context.put("&nc.ui.uif2.I18nFB#30cff4", bean);
			bean.setResDir("2006pub_0");
			bean.setResId("02006pub-0654");
			bean.setDefaultValue("뵼");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);

			try {
				Object product = bean.getObject();
				this.context.put("nc.ui.uif2.I18nFB#30cff4", product);
				return (String) product;
			} catch (Exception var3) {
				throw new RuntimeException(var3);
			}
		}
	}

	private List getManagedList45() {
		List list = new ArrayList();
		list.add(this.getImportAction());
		list.add(this.getCurrNullAction());
		list.add(this.getExportAction());
		return list;
	}

	public StandAloneToftPanelActionContainer getListActions() {
		if (this.context.get("listActions") != null) {
			return (StandAloneToftPanelActionContainer) this.context.get("listActions");
		} else {
			StandAloneToftPanelActionContainer bean = new StandAloneToftPanelActionContainer(this.getListView());
			this.context.put("listActions", bean);
			bean.setActions(this.getManagedList46());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList46() {
		List list = new ArrayList();
		list.add(this.getAddActionGroup());
		list.add(this.getEditAction());
		list.add(this.getDeleteAction());
		list.add(this.getCopyAction());
		list.add(this.getCurrNullAction());
		list.add(this.getQueryAction());
		list.add(this.getRefreshAllAction());
		list.add(this.getCurrNullAction());
		list.add(this.getTranstype());
		list.add(this.getBillAssistantActionGroup());
		list.add(this.getCurrNullAction());
		list.add(this.getRelatedQueryActionGroup());
		list.add(this.getCurrNullAction());
		list.add(this.getImportexportActionGroup());
		list.add(this.getPrintOperateActionGroup_List());
		return list;
	}

	public StandAloneToftPanelActionContainer getCardActions() {
		if (this.context.get("cardActions") != null) {
			return (StandAloneToftPanelActionContainer) this.context.get("cardActions");
		} else {
			StandAloneToftPanelActionContainer bean = new StandAloneToftPanelActionContainer(this.getBillFormEditor());
			this.context.put("cardActions", bean);
			bean.setActions(this.getManagedList47());
			bean.setEditActions(this.getManagedList48());
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList47() {
		List list = new ArrayList();
		list.add(this.getAddActionGroup());
		list.add(this.getEditAction());
		list.add(this.getDeleteAction());
		list.add(this.getCopyAction());
		list.add(this.getCurrNullAction());
		list.add(this.getQueryAction());
		list.add(this.getRefreshSingAction());
		list.add(this.getCurrNullAction());
		list.add(this.getTranstype());
		list.add(this.getBillAssistantActionGroup());
		list.add(this.getCurrNullAction());
		list.add(this.getRelatedQueryActionGroup());
		list.add(this.getCurrNullAction());
		list.add(this.getImportexportActionGroup());
		list.add(this.getPrintOperateActionGroup());
		return list;
	}

	private List getManagedList48() {
		List list = new ArrayList();
		list.add(this.getSaveAction());
		list.add(this.getTempSaveAction());
		list.add(this.getCurrNullAction());
		list.add(this.getCancelAction());
		list.add(this.getCurrNullAction());
		list.add(this.getDocumentManage());
		return list;
	}
}