package nc.bs.arap.impl;

import java.io.IOException;
import java.io.PrintWriter;
import java.io.StringWriter;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.Map;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;

import nc.bs.arap.plugin.GetDataUtil;
import nc.bs.framework.adaptor.IHttpServletAdaptor;
import nc.bs.framework.common.InvocationInfoProxy;
import nc.bs.framework.common.NCLocator;
import nc.bs.framework.server.ISecurityTokenCallback;
import nc.bs.servlet.service.BaseServlet;
import nc.itf.uap.pf.IPFBusiAction;
import nc.log.NcLog;
import nc.vo.arap.payable.AggPayableBillVO;
import nc.vo.arap.payable.PayableBillItemVO;
import nc.vo.arap.payable.PayableBillVO;
import nc.vo.org.FinanceOrgVO;
import nc.vo.pu.m25.entity.InvoiceItemVO;
import nc.vo.pub.lang.UFBoolean;
import nc.vo.pub.lang.UFDate;
import nc.vo.pub.lang.UFDateTime;
import nc.vo.pub.lang.UFDouble;
import nc.vo.pub.workflownote.WorkflownoteVO;

/**
 * Ӧ
 * @author Yaoyu
 *
 */
public class PayableBillImpl extends BaseServlet implements IHttpServletAdaptor{

	@Override
	public void doAction(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
		String billno = "";
		try {
			NCLocator.getInstance().lookup(ISecurityTokenCallback.class).token("NCSystem".getBytes(),"pfxx".getBytes());
			String createStr = buildJson(req, resp, this.getClass().getName());
			JSONObject json = JSON.parseObject(createStr);
			NcLog.info("Ӧ:"+json.toString());
			billno = json.getString("billno");
			InvocationInfoProxy.getInstance().setUserDataSource("NC6337");
			GetDataUtil.getBillno(billno);
			checkJson(json);
			AggPayableBillVO aggPayableBillVO = new AggPayableBillVO ();
			PayableBillVO payableBillVO = new PayableBillVO();
			String userPK = GetDataUtil.getUserPK(json.getString("billmaker"));
			String pk_group = GetDataUtil.getGroupPK(json.getString("pk_group"));

			InvocationInfoProxy.getInstance().setUserId(userPK);//û
			InvocationInfoProxy.getInstance().setGroupId(pk_group);//ָpk
			//
			payableBillVO.setPk_group(pk_group);
			String pk_tradetype = json.getString("pk_tradetype");
			//Ӧͱ
			payableBillVO.setPk_tradetype(pk_tradetype);
			String pk_billtypeid = GetDataUtil.getBilltypePK(pk_tradetype,pk_group);
			//Ӧ
			payableBillVO.setPk_tradetypeid(pk_billtypeid);
			FinanceOrgVO financeOrgVO = GetDataUtil.getFinanceOrgVO(json.getString("pk_org"));
			//֯
			payableBillVO.setPk_fiorg(financeOrgVO.getPk_financeorg());
			//֯汾 
			payableBillVO.setPk_fiorg_v(financeOrgVO.getPk_vid());
			//Ӧ֯
			payableBillVO.setPk_org(financeOrgVO.getPk_financeorg());
			//Ӧ֯汾
			payableBillVO.setPk_org_v(financeOrgVO.getPk_vid());
			//֯
			payableBillVO.setSett_org(financeOrgVO.getPk_financeorg());
			//֯汾
			payableBillVO.setSett_org_v(financeOrgVO.getPk_vid());
			//ҵ֯
			payableBillVO.setPu_org(financeOrgVO.getPk_financeorg());
			//ҵ֯汾
			payableBillVO.setPu_org_v(financeOrgVO.getPk_vid());
			//ݺ
			payableBillVO.setBillno(json.getString("billno"));
			//
			payableBillVO.setBilldate(new UFDate(json.getString("billdate")));
			if("F1-0xx-01".equals(pk_tradetype)) {
				//
				payableBillVO.setBusidate(new UFDate(json.getString("busidate")));	
			}else {
				//
				payableBillVO.setBusidate(new UFDate(json.getString("billdate")));	
			}
						
			//Ƶ
			payableBillVO.setBillmaker(userPK);
			//
			payableBillVO.setCreator(userPK);
			//ʱ
			payableBillVO.setCreationtime(new UFDateTime(json.getString("billdate")));
			String pk_dept = GetDataUtil.getDeptPK(json.getString("pk_deptid"));
			//ʹò
			payableBillVO.setPk_deptid(pk_dept);
			//ҵ
			payableBillVO.setPu_deptid(pk_dept);	
			String pk_vid = GetDataUtil.getDeptVPK(json.getString("pk_deptid_v"));
			if(pk_vid == null) {
				pk_vid = GetDataUtil.getDeptVPK(json.getString("pk_deptid"));
			}
			//Ű汾Ϣ
			payableBillVO.setPk_deptid_v(pk_vid);
			//ҵŰ汾
			payableBillVO.setPu_deptid_v(pk_vid);
					
			//Էλ
			payableBillVO.setSupplier(GetDataUtil.getSupplierPK(json.getString("supplier")));
			//֯ҽ
			payableBillVO.setLocal_money(new UFDouble(json.getString("local_money")));
			//ԭҽ
			payableBillVO.setMoney(new UFDouble(json.getString("local_money")));
			String recaccount = GetDataUtil.getBankaccsubPK(json.getString("recaccount"));
			//Էλ˻
			payableBillVO.setRecaccount(recaccount);
			//Ʊ
			payableBillVO.setAccessorynum(Integer.parseInt(json.getString("accessorynum")));
			//ҵ
			payableBillVO.setPk_busitype(GetDataUtil.getBusitypePK(json.getString("pk_busitype")));
			//ݻ
			payableBillVO.setBillyear(json.getString("billyear"));
			//ݻڼ
			payableBillVO.setBillperiod(json.getString("billperiod"));
			String payaccount = GetDataUtil.getBankaccsubPK(json.getString("payaccount"));
			//˻
			payableBillVO.setPayaccount(payaccount);   
			String pk_currtype = GetDataUtil.getCurrtypePK(json.getString("pk_currtype"));
			//
			payableBillVO.setPk_currtype(pk_currtype);
			String pk_psndoc = GetDataUtil.getPsndocPK(json.getString("pk_psndoc"));
			//ҵԱ
			payableBillVO.setPk_psndoc(pk_psndoc);
			//ҵԱ
			payableBillVO.setPu_psndoc(pk_psndoc);
			//Դϵͳ ĬԴɹϵͳ
			payableBillVO.setSrc_syscode(Integer.parseInt(json.getString("src_syscode")));	

			//Ƿӡע
			payableBillVO.setDef1(GetDataUtil.getDefdocPK(json.getString("def1"), "19", "Ƿӡע"));
			//鸶
			payableBillVO.setDef3(json.getString("def3"));	
			//鳤
			payableBillVO.setDef4(GetDataUtil.getPsndocPK(json.getString("def4")));
			//óе
			payableBillVO.setDef5(GetDataUtil.getDeptPK(json.getString("def5")));
			//ְ
			payableBillVO.setDef10(GetDataUtil.getDefdocPK(json.getString("def10"), "13", "ְ"));
			//Ա
			payableBillVO.setDef13(json.getString("def13"));
			//Դ
			payableBillVO.setDef15(json.getString("15"));
			//Ԥڲ
			payableBillVO.setDef20(GetDataUtil.getDeptPK(json.getString("def20")));
			//ӦĿǷ˾
			//ԤĿԤ
			//Ƿ˾
			payableBillVO.setDef21(json.getString("def21"));
			//Էλ
			payableBillVO.setDef25(json.getString("def25"));
			//Ƿһ
			payableBillVO.setDef33(json.getString("def33"));			
			//ͱ
			payableBillVO.setPk_billtype("F1");
			//ݴ
			payableBillVO.setBillclass("yf");
			//ҵ ĬCN
			String pk_country = GetDataUtil.getCountryzonePK("CN");
			payableBillVO.setRececountryid(pk_country);
			//˰ ĬCN
			payableBillVO.setTaxcountryid(pk_country);
			//ϵͳ ĬӦϵͳ
			payableBillVO.setSyscode(1);			
			//㷽ʽ ȡһиͷ
			payableBillVO.setPk_balatype(GetDataUtil.getBalatypePK(json.getJSONArray("childrenVO").getJSONObject(0).getString("pk_balatype")));
			//  ȡһиͷ
			payableBillVO.setObjtype(Integer.parseInt(json.getJSONArray("childrenVO").getJSONObject(0).getString("pk_balatype")));
			payableBillVO.setBillstatus(-1);
			payableBillVO.setStatus(2);		
			//Ƿ
			payableBillVO.setIsreded(UFBoolean.FALSE);
			//Ƿ̵
			payableBillVO.setIsflowbill(UFBoolean.FALSE);
			aggPayableBillVO.setParentVO(payableBillVO);
			List<PayableBillItemVO> listPayableBillItemVO = new ArrayList<PayableBillItemVO>();
			JSONArray josns = json.getJSONArray("childrenVO");
			for (int i = 0; i < josns.size(); i++) {
				PayableBillItemVO payableBillItemVO = new PayableBillItemVO();
				JSONObject item = josns.getJSONObject(i);
				//Ԥ
				payableBillItemVO.setDef1(item.getString("pk_subjcode"));
				//Ԥ
				payableBillItemVO.setPk_subjcode(GetDataUtil.getInoutbusiclassPK(item.getString("pk_subjcode")));
				/**
				 * ӦĿע
					ӦĿע
					ԤĿע
					ԤĿע

				 */
				//ע
				payableBillItemVO.setDef2(item.getString("def2"));
				//Ʊ/
				payableBillItemVO.setDef5(item.getString("def5"));
				//רҵ
				payableBillItemVO.setDef6(GetDataUtil.getDefdocPK(item.getString("def6"), "HR016", "רҵ"));
				//
				payableBillItemVO.setDef7(GetDataUtil.getDefdocPK(item.getString("def7"), "88", ""));
				/**
				 * ڲӦע
				 */
				//ע
				payableBillItemVO.setDef10(item.getString("def10"));
				//Ʊ
				payableBillItemVO.setDef12(item.getString("def12"));
				//ӦĿdef13յԶ嵵
				//ԤĿdefյĿͻ
				
				if("F1-Cxx-04".equals(pk_tradetype)) {
					//ͻ
					payableBillItemVO.setDef13(GetDataUtil.getCustomerPK(item.getString("def13")));	
				}else {
					//ͻ
					payableBillItemVO.setDef13(GetDataUtil.getDefdocPK(item.getString("def13"), "CUST", "ͻ"));
				}
				
				//Ӫͬ
				payableBillItemVO.setDef15(GetDataUtil.getDefdocPK(item.getString("def15"), "01", "ְͬ"));
				//ԭƱ
				payableBillItemVO.setDef17(item.getString("def17"));	
				//Ŀ
				payableBillItemVO.setProject(GetDataUtil.getprojectPK(item.getString("project")));
				//Ŀ
				payableBillItemVO.setDef18(item.getString("project"));
				//ְͬ
				payableBillItemVO.setDef20(GetDataUtil.getDefdocPK(item.getString("def20"), "01", "ְͬ"));
				//
				payableBillItemVO.setDef21(item.getString("def21"));
				/**
				 * ӦĿͻ㼶
				 * ӦĿɱ
					ԤĿͻ㼶
					ԤĿɱ

				 */
				if("F1-Cxx-02".equals(pk_tradetype) || "F1-Cxx-05".equals(pk_tradetype) || "F1-Cxx-03".equals(pk_tradetype)) {
					//ɱ
					payableBillItemVO.setDef22(GetDataUtil.getDeptPK(item.getString("def22")));

				}else {
					//ͻ㼶
					payableBillItemVO.setDef22(item.getString("def22"));
				}
				
				//ӦĿʹõԶ23    ɱ
				payableBillItemVO.setDef23(GetDataUtil.getDeptPK(item.getString("def23")));
				//ժҪ
				payableBillItemVO.setDef25(GetDataUtil.getDefdocPK(item.getString("def25"), "999", "ժҪ"));
				/**
				 * ӦĿ񺽷չ
					ӦĿ񺽷չ
					ԤĿ񺽷չ
					ԤĿ񺽷չ
					ڲӦҵ
				 */
				if("F1-0xx-01".equals(pk_tradetype)) {
					//ҵ
					payableBillItemVO.setDef29(GetDataUtil.getDefdocPK(item.getString("def29"), "YS001", "ҵ"));
				}else {
					//񺽷չ
					payableBillItemVO.setDef29(item.getString("def29"));
				}
				
				//ù
				payableBillItemVO.setDef30(GetDataUtil.getDefdocPK(item.getString("def30"), "05", "ù"));
				//Ա
				payableBillItemVO.setDef40(GetDataUtil.getPsndocPK(item.getString("def40")));
				//Ʊ鿴
				payableBillItemVO.setDef41(item.getString("def41"));				
				//
				payableBillItemVO.setMaterial(GetDataUtil.getMaterialPK(item.getString("material")));
				//
				payableBillItemVO.setQuantity_cr("".equals(item.getString("quantity_cr")) ? null : new UFDouble(item.getString("quantity_cr")));
				//
				payableBillItemVO.setQuantity_bal("".equals(item.getString("quantity_cr")) ? null : new UFDouble(item.getString("quantity_cr")));
				//㷽ʽ
				payableBillItemVO.setPk_balatype(GetDataUtil.getBalatypePK(item.getString("pk_balatype")));
				//˰
				payableBillItemVO.setTaxcodeid(GetDataUtil.getTaxcodePK(item.getString("taxcodeid")));
				//˰
				payableBillItemVO.setTaxrate(new UFDouble(item.getString("taxrate")));
				//
				payableBillItemVO.setPrice("".equals(item.getString("price")) ? null : new UFDouble(item.getString("price")));
				//ҵ 
				payableBillItemVO.setLocal_price("".equals(item.getString("price")) ? null : new UFDouble(item.getString("price")));
				//˰
				payableBillItemVO.setTaxprice("".equals(item.getString("taxprice")) ? null : new UFDouble(item.getString("taxprice")));
				//Һ˰
				payableBillItemVO.setLocal_taxprice("".equals(item.getString("taxprice")) ? null : new UFDouble(item.getString("taxprice")));
				//֯˰
				payableBillItemVO.setLocal_notax_cr(new UFDouble(item.getString("local_notax_cr")));
				//ԭ˰
				payableBillItemVO.setNotax_cr(new UFDouble(item.getString("local_notax_cr")));
				//˰
				payableBillItemVO.setCaltaxmny(new UFDouble(item.getString("local_notax_cr")));
				//˰
				payableBillItemVO.setLocal_tax_cr(new UFDouble(item.getString("local_tax_cr")));
				//֯
				payableBillItemVO.setLocal_money_bal(new UFDouble(item.getString("local_money_cr")));
				//Ԥռԭ
				payableBillItemVO.setOccupationmny(new UFDouble(item.getString("local_money_cr")));
				//ԭ
				payableBillItemVO.setMoney_bal(new UFDouble(item.getString("local_money_cr")));
				//ԭҽ 
				payableBillItemVO.setMoney_cr(new UFDouble(item.getString("local_money_cr")));
				//֯ҽ
				payableBillItemVO.setLocal_money_cr(new UFDouble(item.getString("local_money_cr")));
				//
				payableBillItemVO.setObjtype(Integer.parseInt(item.getString("objtype")));
				//Էλ
				payableBillItemVO.setSupplier(GetDataUtil.getSupplierPK(item.getString("supplier")));
				//
				payableBillItemVO.setPk_deptid("".equals(item.getString("pk_deptid")) ? pk_dept : GetDataUtil.getDeptPK(item.getString("pk_deptid")));
				//Ű汾
				payableBillItemVO.setPk_deptid_v(pk_vid);
				//к
				payableBillItemVO.setRowno(Integer.parseInt(item.getString("rowno")));
				//Ʊ
				String invoiceno = item.getString("invoiceno");
				InvoiceItemVO invoiceItemVO = GetDataUtil.getInvoice(invoiceno, item.getString("invoicenorowno"));
				//ϲ㵥
				payableBillItemVO.setTop_billid("".equals(invoiceno) ? null : invoiceItemVO.getPk_invoice());
				//ϲ㵥
				payableBillItemVO.setTop_billtype(item.getString("top_billtype"));
				//ϲ㵥
				payableBillItemVO.setTop_itemid("".equals(invoiceno) ? null : invoiceItemVO.getPk_invoice_b());
				//ϲ㽻 
				payableBillItemVO.setTop_tradetype(item.getString("top_tradetype"));
				//ͬ
				payableBillItemVO.setContractno(item.getString("contractno"));
				//
				payableBillItemVO.setPurchaseorder(item.getString("purchaseorder"));
				//Դͷݺ
				String vfirstcode = item.getString("vfirstcode");
				if(!"".equals(vfirstcode)) {
					//Դͷ
					String  src_billtype = item.getString("src_billtype");
					//Դͷк
					String vfirstrowno = item.getString("vfirstrowno");
					Map<String,String> map = GetDataUtil.getDataMap(src_billtype, vfirstcode, vfirstrowno);
					//Դͷ
					payableBillItemVO.setSrc_billid(map.get("pk_id"));
					//Դͷ
					payableBillItemVO.setSrc_itemid(map.get("pk_id_b"));
					//Դͷ
					payableBillItemVO.setSrc_billtype(src_billtype);
					//Դͷ
					payableBillItemVO.setSrc_tradetype(GetDataUtil.getBilltypePK(item.getString("src_tradetype"), pk_group));
				}
				//
				payableBillItemVO.setBuysellflag(Integer.parseInt(item.getString("buysellflag")));
				//˰
				payableBillItemVO.setTaxtype(Integer.parseInt(item.getString("taxtype")));
				//Ƿ˰
				payableBillItemVO.setOpptaxflag(UFBoolean.FALSE);
				//ݴ
				payableBillItemVO.setBillclass("yf");
				//
				payableBillItemVO.setBilldate(new UFDate(json.getString("billdate")));
				//ݺ
				payableBillItemVO.setBillno(json.getString("billno"));
				if("F1-0xx-01".equals(pk_tradetype)) {
					//
					payableBillItemVO.setBusidate(new UFDate(json.getString("busidate")));	
				}else {
					//
					payableBillItemVO.setBusidate(new UFDate(json.getString("billdate")));	
				}
				// Ĭϴ
				payableBillItemVO.setDirection(-1);
				payableBillItemVO.setInvoiceno(invoiceno);
				//ɵֿ˰
				payableBillItemVO.setNosubtaxrate(new UFDouble(0));
				//ɵֿ˰
				payableBillItemVO.setNosubtax(new UFDouble(0));
				//ͱ
				payableBillItemVO.setPk_billtype("F1");
				//
				payableBillItemVO.setPk_currtype(pk_currtype);
				//֯
				payableBillItemVO.setPk_fiorg(financeOrgVO.getPk_financeorg());
				//֯汾 
				payableBillItemVO.setPk_fiorg_v(financeOrgVO.getPk_vid());
				//
				payableBillItemVO.setPk_group(pk_group);
				//Ӧ֯
				payableBillItemVO.setPk_org(financeOrgVO.getPk_financeorg());
				//֯
				payableBillItemVO.setSett_org(financeOrgVO.getPk_financeorg());
				//֯汾 
				payableBillItemVO.setSett_org_v(financeOrgVO.getPk_vid());
				//Ӧ֯汾
				payableBillItemVO.setPk_org_v(financeOrgVO.getPk_vid());
				//Ӧcode
				payableBillItemVO.setPk_tradetype(pk_tradetype);
				//Ӧ
				payableBillItemVO.setPk_tradetypeid(pk_billtypeid);
				//rate֯һ 
				payableBillItemVO.setRate(new UFDouble(1));
				//տ˻
				payableBillItemVO.setRecaccount(recaccount);
				//˻
				payableBillItemVO.setPayaccount(payaccount);
				//
				payableBillItemVO.setRowtype(0);
				//
				payableBillItemVO.setSendcountryid(pk_country);
				//ҵԱ
				payableBillItemVO.setPk_psndoc(pk_psndoc);
				//ҵԱ
				payableBillItemVO.setPu_psndoc(pk_psndoc);
				//ҵ
				payableBillItemVO.setPu_deptid(pk_dept);
				//ҵŰ汾
				payableBillItemVO.setPu_deptid_v(pk_vid);
				//ҵ֯
				payableBillItemVO.setPu_org(financeOrgVO.getPk_financeorg());
				//ҵ֯汾
				payableBillItemVO.setPu_org_v(financeOrgVO.getPk_vid());
				payableBillItemVO.setStatus(2);
				listPayableBillItemVO.add(payableBillItemVO);
			}
			aggPayableBillVO.setChildrenVO(listPayableBillItemVO.toArray(new PayableBillItemVO[listPayableBillItemVO.size()]));
			SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
			Object dateTimeString  = payableBillVO.getBilldate();
			if(dateTimeString != null) {
			    Date date = format.parse(dateTimeString.toString());
			    long timestamp = date.getTime();
			    InvocationInfoProxy.getInstance().setBizDateTime(timestamp);
			 }
			
			
			WorkflownoteVO Workflownote = new WorkflownoteVO();
			IPFBusiAction ipf = NCLocator.getInstance().lookup(IPFBusiAction.class);
			ipf.processAction("SAVE", "F1", Workflownote, aggPayableBillVO, null, null);
			resp.getWriter().write(formatRSJsonData("ɹ", "", billno).toString());
		} catch (Exception e) {
			resp.getWriter().write(formatRSJsonData("ʧ",e.getMessage() == null ? "" : e.getMessage(),billno).toString());
			StringWriter stringWriter = new StringWriter();
			e.printStackTrace(new PrintWriter(stringWriter));
			//ȡϸϢ
			String msg=stringWriter.getBuffer().toString();
			NcLog.info("Ӧ:"+msg);
		}
	}
		
	private void checkJson(JSONObject json) throws Exception {
		
		StringBuffer mags = new StringBuffer();
		Boolean empty = true;
		
		String pk_group = "pk_group";
		String pk_tradetype = "pk_tradetype";
		String pk_org = "pk_org";
		String billno = "billno";
		String billdate = "billdate";
		String billmaker = "billmaker";
		String local_money = "local_money";
		String accessorynum = "accessorynum";
		String pk_busitype = "pk_busitype";
		String billyear = "billyear";
		String billperiod = "billperiod";
		String pk_currtype = "pk_currtype";
		String src_syscode = "src_syscode";
	
		String body = "childrenVO";//
		String[] HeadKey = {pk_group,pk_tradetype,pk_org,billno,billdate,billmaker,local_money,accessorynum,
				pk_busitype,billyear,billperiod,pk_currtype,src_syscode};
		
		for (String as : HeadKey) {

			if (json.getString(as).isEmpty()) {
				empty = false;
				mags.append("'" + as + "'");
			}
		}
		if (json.getJSONArray(body)==null) {
			empty = false;
			mags.append("岻ڣ ");
		}
		
		JSONArray childrenVO = json.getJSONArray("childrenVO");
		
		if (childrenVO == null || childrenVO.size() == 0) {
			throw new Exception("ݲΪգ");
		}
		
		String taxcodeid = "taxcodeid";
		String taxrate = "taxrate";
		String local_notax_cr = "local_notax_cr";
		String local_tax_cr = "local_tax_cr";
		String local_money_cr = "local_money_cr";
		String objtype = "objtype";
		String rowno = "rowno";
		String buysellflag = "buysellflag";
		String taxtype = "taxtype";
		for(int i = 0; i < childrenVO.size(); i++) {
			
			JSONObject oprepJsonObjectB = childrenVO.getJSONObject(i);
			String[] BodyKey = {taxcodeid,taxrate,local_notax_cr,local_tax_cr,local_money_cr,
					objtype,rowno,buysellflag,taxtype};
			int num = i+1;
			
			mags.append(""+num+"壺{");
			for (String as : BodyKey) {
				if (oprepJsonObjectB.getString(as).isEmpty()) {
					empty = false;
					mags.append("'" + as + "' ");
				}
			}
			mags.append("}");
		}
		if (!empty) {
			throw new Exception("ֶβΪգ"+mags);
		}
	}
}
