package nc.bs.arap.impl;

import java.io.IOException;
import java.io.PrintWriter;
import java.io.StringWriter;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.Map;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;

import nc.bs.arap.plugin.GetDataUtil;
import nc.bs.framework.adaptor.IHttpServletAdaptor;
import nc.bs.framework.common.InvocationInfoProxy;
import nc.bs.framework.common.NCLocator;
import nc.bs.framework.server.ISecurityTokenCallback;
import nc.bs.servlet.service.BaseServlet;
import nc.itf.uap.pf.IPFBusiAction;
import nc.log.NcLog;
import nc.vo.arap.pay.AggPayBillVO;
import nc.vo.arap.pay.PayBillItemVO;
import nc.vo.arap.pay.PayBillVO;
import nc.vo.org.FinanceOrgVO;
import nc.vo.pub.lang.UFBoolean;
import nc.vo.pub.lang.UFDate;
import nc.vo.pub.lang.UFDateTime;
import nc.vo.pub.lang.UFDouble;
import nc.vo.pub.workflownote.WorkflownoteVO;

/**
 * Ԥ 2024-10-30
 */
public class PrepayBillImpl extends BaseServlet implements IHttpServletAdaptor{

	@Override
	public void doAction(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
		String billno = "";
		try {
			NCLocator.getInstance().lookup(ISecurityTokenCallback.class).token("NCSystem".getBytes(),"pfxx".getBytes());
			String createStr = buildJson(req, resp, this.getClass().getName());
			JSONObject json = JSON.parseObject(createStr);
			NcLog.info(":"+json.toString());
			billno = json.getString("billno");
//			InvocationInfoProxy.getInstance().setUserDataSource("NC6337");
			GetDataUtil.getPayBillno(billno);
			checkJson(json);
			AggPayBillVO aggPayBillVO = new AggPayBillVO ();
			PayBillVO payBillVO = new PayBillVO();
			String userPK = GetDataUtil.getUserPK(json.getString("billmaker"));
			String pk_group = GetDataUtil.getGroupPK(json.getString("pk_group"));
			
			InvocationInfoProxy.getInstance().setUserId(userPK);//û
			InvocationInfoProxy.getInstance().setGroupId(pk_group);//ָpk
			//
			payBillVO.setPk_group(pk_group);
			String pk_tradetype = json.getString("pk_tradetype");
			//ͱ
			payBillVO.setPk_tradetype(pk_tradetype);
			String pk_billtypeid = GetDataUtil.getBilltypePK(pk_tradetype,pk_group);
			//
			payBillVO.setPk_tradetypeid(pk_billtypeid);
			FinanceOrgVO financeOrgVO = GetDataUtil.getFinanceOrgVO(json.getString("pk_org"));
			//֯
			payBillVO.setPk_fiorg(financeOrgVO.getPk_financeorg());
			//֯汾 
//			payBillVO.setPk_fiorg_v(financeOrgVO.getPk_vid());
			//֯
			payBillVO.setPk_org(financeOrgVO.getPk_financeorg());
			//֯汾
			payBillVO.setPk_org_v(financeOrgVO.getPk_vid());
			//֯
			payBillVO.setSett_org(financeOrgVO.getPk_financeorg());
			//֯汾
			payBillVO.setSett_org_v(financeOrgVO.getPk_vid());
			//ҵ֯
			payBillVO.setPu_org(financeOrgVO.getPk_financeorg());
			//ҵ֯汾
			payBillVO.setPu_org_v(financeOrgVO.getPk_vid());
			//ݱ
			payBillVO.setBillno(json.getString("billno"));
			//
			payBillVO.setBilldate(new UFDate(json.getString("billdate")));
			if("F3-Cxx-04".equals(pk_tradetype)) {//Ԥ(Ŀ)
				//
				payBillVO.setBusidate(new UFDate(json.getString("busidate")));	
			}else {//Ԥ(Ŀ)
				//
				payBillVO.setBusidate(new UFDate(json.getString("billdate")));	
			}	
			//Ա
			payBillVO.setDef13(json.getString("def13"));
			//鸶
			payBillVO.setDef13(json.getString("def3"));
			//ϼƽ
			payBillVO.setLocal_money(new UFDouble(json.getString("local_money")));
			//óе
			payBillVO.setDef5(GetDataUtil.getDeptPK(json.getString("def5")));
			//Ԥڲ
			payBillVO.setDef20(GetDataUtil.getDeptPK(json.getString("def20")));
			//鳤
			payBillVO.setDef4(GetDataUtil.getPsndocPK(json.getString("def4")));
			//Ƿӡע
			payBillVO.setDef1(GetDataUtil.getDefdocPK(json.getString("def1"), "19", "Ƿӡע"));
			//Ƶ
			payBillVO.setBillmaker(userPK);
			//
			payBillVO.setCreator(userPK);
			//ʱ
			payBillVO.setCreationtime(new UFDateTime(json.getString("billdate")));
			String pk_dept = GetDataUtil.getDeptPK(json.getString("pk_deptid"));
			//ҵ
			payBillVO.setPu_deptid(pk_dept);	
			String pk_vid = GetDataUtil.getDeptVPK(json.getString("pk_deptid_v"));
			if(pk_vid == null) {
				pk_vid = GetDataUtil.getDeptVPK(json.getString("pk_deptid"));
			}
			//Ű汾Ϣ
//			payBillVO.setPk_deptid_v(pk_vid);
			//ҵŰ汾
//			payBillVO.setPu_deptid_v(pk_vid);	
			//ҵ
			payBillVO.setPk_busitype(GetDataUtil.getBusitypePK(json.getString("pk_busitype")));
			//
			payBillVO.setPk_deptid(GetDataUtil.getDeptPK(json.getString("pk_deptid")));
			//Էλ
			payBillVO.setSupplier(GetDataUtil.getSupplierPK(json.getString("supplier")));
			//֯ҽ
			payBillVO.setLocal_money(new UFDouble(json.getString("local_money")));
			//ԭҽ
			payBillVO.setMoney(new UFDouble(json.getString("local_money")));
			String recaccount = GetDataUtil.getBankaccsubPK(json.getString("recaccount"));
			//Էλ˻
			payBillVO.setRecaccount(recaccount);
			//Էλ
			payBillVO.setDef25(json.getString("def25"));
			//
			payBillVO.setAccessorynum(Integer.parseInt(json.getString("accessorynum")));
			//ݻ
			payBillVO.setBillyear(json.getString("billyear"));
			//ݻڼ
			payBillVO.setBillperiod(json.getString("billperiod"));
			String payaccount = GetDataUtil.getBankaccsubPK(json.getString("payaccount"));
			//˻
			payBillVO.setPayaccount(payaccount);   
			String pk_currtype = GetDataUtil.getCurrtypePK(json.getString("pk_currtype"));
			//
			payBillVO.setPk_currtype(pk_currtype);
			String pk_psndoc = GetDataUtil.getPsndocPK(json.getString("pk_psndoc"));
			//ҵԱ
//			payBillVO.setPk_psndoc(pk_psndoc); //ݿû
			//ҵԱ
//			payBillVO.setPu_psndoc(pk_psndoc); //ݿû
			//ȷ
//			payBillVO.setConfirmuser(pk_psndoc); //ݿⲻֵ
			//״̬
			payBillVO.setApprovestatus(-1);
			//Դϵͳ ĬԴɹϵͳ
			payBillVO.setSrc_syscode(Integer.parseInt(json.getString("src_syscode")));	
			//Ƿӡע
			payBillVO.setDef1(GetDataUtil.getDefdocPK(json.getString("def1"), "19", "Ƿӡע"));
			//鸶
			payBillVO.setDef3(json.getString("def3"));	
			//鳤
			payBillVO.setDef4(GetDataUtil.getPsndocPK(json.getString("def4")));
			//óе
			payBillVO.setDef5(GetDataUtil.getDeptPK(json.getString("def5")));
			//Դ
			payBillVO.setDef15(json.getString("def15"));
			//Ԥڲ
			payBillVO.setDef20(GetDataUtil.getDeptPK(json.getString("def20")));		
			//ͱ
			payBillVO.setPk_billtype("F3");
			//ݴ
			payBillVO.setBillclass("fk");
			//ҵ ĬCN
			String pk_country = GetDataUtil.getCountryzonePK("CN");
			payBillVO.setRececountryid(pk_country);
			//˰ ĬCN
			payBillVO.setTaxcountryid(pk_country);
			//ϵͳ Ĭϵͳ
			payBillVO.setSyscode(1);			
			//㷽ʽ ȡһиͷ
			payBillVO.setPk_balatype(GetDataUtil.getBalatypePK(json.getJSONArray("childrenVO").getJSONObject(0).getString("pk_balatype")));
			payBillVO.setBillstatus(-1);
//			payBillVO.setStatus(2);		
			//Ƿ
			payBillVO.setIsreded(UFBoolean.FALSE);
			//Ƿ̵
			payBillVO.setIsflowbill(UFBoolean.FALSE);
			aggPayBillVO.setParentVO(payBillVO);
			List<PayBillItemVO> listPayBillItemVO = new ArrayList<PayBillItemVO>();
			JSONArray josns = json.getJSONArray("childrenVO");
			for (int i = 0; i < josns.size(); i++) {
				PayBillItemVO payBillItemVO = new PayBillItemVO();
				JSONObject item = josns.getJSONObject(i);
				//
				payBillItemVO.setPk_group(pk_group);
				//֯
				payBillItemVO.setSett_org(financeOrgVO.getPk_financeorg());
				//֯汾 
				payBillItemVO.setSett_org_v(financeOrgVO.getPk_vid());
				//֯
				payBillItemVO.setPk_org(financeOrgVO.getPk_financeorg());
				//֯汾
				payBillItemVO.setPk_org_v(financeOrgVO.getPk_vid());
				//֯
				payBillItemVO.setPk_fiorg(financeOrgVO.getPk_financeorg());
				//֯汾 
//				payBillItemVO.setPk_fiorg_v(financeOrgVO.getPk_vid());
				//ҵԱ
				payBillItemVO.setPk_psndoc(pk_psndoc);
				//ҵԱ
//				payBillItemVO.setPu_psndoc(pk_psndoc);
				//ҵ
//				payBillItemVO.setPu_deptid(pk_dept);
				//ҵŰ汾
//				payBillItemVO.setPu_deptid_v(pk_vid);
				//ҵ֯
				payBillItemVO.setPu_org(financeOrgVO.getPk_financeorg());
				//ҵ֯汾
				payBillItemVO.setPu_org_v(financeOrgVO.getPk_vid());
				//--1Ԥ
				payBillItemVO.setPrepay(1);
				//
				payBillItemVO.setMaterial(GetDataUtil.getMaterialPK(item.getString("material")));
				//Ӧ--Էλ
				payBillItemVO.setSupplier(GetDataUtil.getSupplierPK(item.getString("supplier")));
				//Ʊݷcheckdirection
//				payBillItemVO.setCheckdirection("ap");
				//
				payBillItemVO.setBilldate(new UFDate(json.getString("billdate")));
				//ͱ
				payBillItemVO.setPk_billtype("F3");
				//ݴ
				payBillItemVO.setBillclass("fk");
				//code
//				payBillItemVO.setPk_tradetype(pk_tradetype);
				//
//				payBillItemVO.setPk_tradetypeid(pk_billtypeid);
				//
				if("F3-Cxx-04".equals(pk_tradetype)) {
					//
					payBillItemVO.setBusidate(new UFDate(json.getString("busidate")));	
				}else {
					//
					payBillItemVO.setBusidate(new UFDate(json.getString("billdate")));	
				}
				//Ԥ
				payBillItemVO.setDef1(item.getString("pk_subjcode"));
				//Ԥ
				payBillItemVO.setPk_subjcode(GetDataUtil.getInoutbusiclassPK(item.getString("pk_subjcode")));
				//ݺ
				payBillItemVO.setBillno(json.getString("billno"));
				//
				payBillItemVO.setObjtype(Integer.parseInt(item.getString("objtype")));
				//ݷ¼--к
				payBillItemVO.setRowno(Integer.parseInt(item.getString("rowno")));
				//
				payBillItemVO.setRowtype(0);
				// Ĭϴ
				payBillItemVO.setDirection(-1);
				//ժҪ
				payBillItemVO.setDef25(GetDataUtil.getDefdocPK(item.getString("def25"), "999", "ժҪ"));
				//
				payBillItemVO.setPk_currtype(pk_currtype);
				//˰
				payBillItemVO.setTaxrate(new UFDouble(item.getString("taxrate")));
				//
				payBillItemVO.setPk_deptid("".equals(item.getString("pk_deptid")) ? pk_dept : GetDataUtil.getDeptPK(item.getString("pk_deptid")));
				//Ű汾
				payBillItemVO.setPk_deptid_v(pk_vid);
				//֯
				payBillItemVO.setLocal_money_bal(new UFDouble(item.getString("local_money_bal")));
				//֯ҽ(跽)
				payBillItemVO.setLocal_money_de(new UFDouble(item.getString("local_money_de")));
				//֯˰(跽)
				payBillItemVO.setLocal_notax_de(new UFDouble(item.getString("local_notax_de")));
				//˰
				payBillItemVO.setLocal_tax_de(new UFDouble(item.getString("local_tax_de")));
				//ԭ
				payBillItemVO.setMoney_bal(new UFDouble(item.getString("local_mony_bal")));
				//跽ԭҽ
				payBillItemVO.setMoney_de(new UFDouble(item.getString("local_money_de")));
				//跽ԭ˰
				payBillItemVO.setNotax_de(new UFDouble(item.getString("local_notax_de")));
				//㷽ʽ
				payBillItemVO.setPk_balatype(GetDataUtil.getBalatypePK(item.getString("pk_balatype")));
				//Ŀ
				payBillItemVO.setProject(GetDataUtil.getprojectPK(item.getString("project")));
				//Ŀ
				payBillItemVO.setDef18(item.getString("project"));
				//ע
				payBillItemVO.setDef2(item.getString("def2"));
				//Ʊ//۳
				payBillItemVO.setDef5(item.getString("def5"));
				//רҵ
				payBillItemVO.setDef6(GetDataUtil.getDefdocPK(item.getString("def6"), "HR016", "רҵ"));
				//
				payBillItemVO.setDef7(GetDataUtil.getDefdocPK(item.getString("def7"), "88", ""));
				//
				payBillItemVO.setDef21(item.getString("def21"));
				//Ԥڲ
				payBillItemVO.setDef29(GetDataUtil.getDeptPK(item.getString("def29")));
									
				//ϲ㵥ݺ
				String vsourcecode = item.getString("vsourcecode");
				if(!"".equals(vsourcecode)) {
					//ϲ㵥
					String  top_billtype = item.getString("top_billtype");
					//ϲ㵥к
					String vsourcerowno = item.getString("vsourcerowno");
					Map<String,String> map = GetDataUtil.getDataMap(top_billtype, vsourcecode, vsourcerowno);
					//ϲ㵥
					payBillItemVO.setTop_billid(map.get("pk_id"));
					//ϲ㵥
					payBillItemVO.setTop_itemid(map.get("pk_id_b"));
					//ϲ㵥
					payBillItemVO.setTop_billtype(top_billtype);
					//ϲ㽻
					payBillItemVO.setTop_tradetype(GetDataUtil.getBilltypePK(item.getString("top_tradetype"), pk_group));
				}
				
				//Դͷݺ
				String vfirstcode = item.getString("vfirstcode");
				if(!"".equals(vfirstcode)) {
					//Դͷ
					String  src_billtype = item.getString("src_billtype");
					//Դͷк
					String vfirstrowno = item.getString("vfirstrowno");
					Map<String,String> map = GetDataUtil.getDataMap(src_billtype, vfirstcode, vfirstrowno);
					//Դͷ
					payBillItemVO.setSrc_billid(map.get("pk_id"));
					//Դͷ
					payBillItemVO.setSrc_itemid(map.get("pk_id_b"));
					//Դͷ
					payBillItemVO.setSrc_billtype(src_billtype);
					//Դͷ
					payBillItemVO.setSrc_tradetype(GetDataUtil.getBilltypePK(item.getString("src_tradetype"), pk_group));
				}
				//rate֯һ 
				payBillItemVO.setRate(new UFDouble(1));
				//տ˻
				payBillItemVO.setRecaccount(recaccount);
				//˻
				payBillItemVO.setPayaccount(payaccount);
				//
				payBillItemVO.setPurchaseorder(item.getString("purchaseorder"));
				//ù
				payBillItemVO.setDef30(GetDataUtil.getDefdocPK(item.getString("def30"), "05", "ù"));
				//Ƿ˰
				payBillItemVO.setOpptaxflag(UFBoolean.FALSE);
				payBillItemVO.setStatus(2);
				listPayBillItemVO.add(payBillItemVO);
			}
			aggPayBillVO.setChildrenVO(listPayBillItemVO.toArray(new PayBillItemVO[listPayBillItemVO.size()]));
			SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
			Object dateTimeString  = payBillVO.getBilldate();
			if(dateTimeString != null) {
			    Date date = format.parse(dateTimeString.toString());
			    long timestamp = date.getTime();
			    InvocationInfoProxy.getInstance().setBizDateTime(timestamp);
			 }
			
			WorkflownoteVO Workflownote = new WorkflownoteVO();
			IPFBusiAction ipf = NCLocator.getInstance().lookup(IPFBusiAction.class);
			ipf.processAction("SAVE", "F3", Workflownote, aggPayBillVO, null, null);
			resp.getWriter().write(formatRSJsonData("ɹ", "", billno).toString());
		} catch (Exception e) {
			resp.getWriter().write(formatRSJsonData("ʧ",e.getMessage() == null ? "" : e.getMessage(),billno).toString());
			StringWriter stringWriter = new StringWriter();
			e.printStackTrace(new PrintWriter(stringWriter));
			//ȡϸϢ
			String msg=stringWriter.getBuffer().toString();
			NcLog.info(":"+msg);
		}
		
	}
	
	private void checkJson(JSONObject json) throws Exception {
		
		StringBuffer mags = new StringBuffer();
		Boolean empty = true;
		
		String pk_group = "pk_group";
		String pk_tradetype = "pk_tradetype";
		String pk_org = "pk_org";
		String billno = "billno";
		String billdate = "billdate";
		String billmaker = "billmaker";
		String local_money = "local_money";
		String accessorynum = "accessorynum";
		String pk_busitype = "pk_busitype";
		String billyear = "billyear";
		String billperiod = "billperiod";
		String pk_currtype = "pk_currtype";
		String src_syscode = "src_syscode";
		String supplier = "supplier";
		String recaccount = "recaccount";
	
		String body = "childrenVO";//
		String[] HeadKey = {pk_group,pk_tradetype,pk_org,billno,billdate,billmaker,local_money,accessorynum,
				pk_busitype,billyear,billperiod,pk_currtype,src_syscode,supplier,recaccount};
		
		for (String as : HeadKey) {

			if (json.getString(as).isEmpty()) {
				empty = false;
				mags.append("'" + as + "'");
			}
		}
		if (json.getJSONArray(body)==null) {
			empty = false;
			mags.append("岻ڣ ");
		}
		
		JSONArray childrenVO = json.getJSONArray("childrenVO");
		
		if (childrenVO == null || childrenVO.size() == 0) {
			throw new Exception("ݲΪգ");
		}
		
		String local_money_bal = "local_money_bal";
		String local_money_de = "local_money_de";
		String local_notax_de = "local_notax_de";
		String local_tax_de = "local_tax_de";
		String taxrate = "taxrate";
		String objtype = "objtype";
		String rowno = "rowno";
		for(int i = 0; i < childrenVO.size(); i++) {
			
			JSONObject oprepJsonObjectB = childrenVO.getJSONObject(i);
			String[] BodyKey = {local_money_bal,local_money_de,local_notax_de,local_tax_de,taxrate,objtype,rowno};
			int num = i+1;
			
			mags.append(""+num+"壺{");
			for (String as : BodyKey) {
				if (oprepJsonObjectB.getString(as).isEmpty()) {
					empty = false;
					mags.append("'" + as + "' ");
				}
			}
			mags.append("}");
		}
		if (!empty) {
			throw new Exception("ֶβΪգ"+mags);
		}
	}
	

}
