package nc.ui.ct.purdaily.model;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import nc.funcnode.ui.action.GroupAction;
import nc.funcnode.ui.action.SeparatorAction;
import nc.ui.ct.action.AssistMenuAction;
import nc.ui.ct.action.AsstQueryMenuAction;
import nc.ui.ct.action.CtChangeAction;
import nc.ui.ct.action.CtCloseHistoryDlgAction;
import nc.ui.ct.action.CtCopyAction;
import nc.ui.ct.action.TransactMenuAction;
import nc.ui.ct.bodyaction.exp.ExpBAddLineAction;
import nc.ui.ct.bodyaction.exp.ExpBCopyLineAction;
import nc.ui.ct.bodyaction.exp.ExpBDelLineAction;
import nc.ui.ct.bodyaction.exp.ExpBInsertLineAction;
import nc.ui.ct.bodyaction.exp.ExpBPasteLineAction;
import nc.ui.ct.bodyaction.manage.ManageBCopyLineAction;
import nc.ui.ct.bodyaction.manage.ManageBPasteLineAction;
import nc.ui.ct.bodyaction.manage.ManageBPasteToTailLineAction;
import nc.ui.ct.bodyaction.manage.ManageRearrangeRowLineAction;
import nc.ui.ct.bodyaction.memora.MemoraBAddLineAction;
import nc.ui.ct.bodyaction.memora.MemoraBCopyLineAction;
import nc.ui.ct.bodyaction.memora.MemoraBDelLineAction;
import nc.ui.ct.bodyaction.memora.MemoraBInsertLineAction;
import nc.ui.ct.bodyaction.memora.MemoraBPasteLineAction;
import nc.ui.ct.bodyaction.term.TermBAddLineAction;
import nc.ui.ct.bodyaction.term.TermBCopyLineAction;
import nc.ui.ct.bodyaction.term.TermBDelLineAction;
import nc.ui.ct.bodyaction.term.TermBInsertLineAction;
import nc.ui.ct.bodyaction.term.TermBPasteLineAction;
import nc.ui.ct.editor.rowchange.HeadRowChangeHandler;
import nc.ui.ct.lazilyload.CtCardPanelLazilyLoad;
import nc.ui.ct.lazilyload.CtListPanelLazilyLoad;
import nc.ui.ct.model.CTModel;
import nc.ui.ct.purdaily.action.CtPuAddLineAction;
import nc.ui.ct.purdaily.action.CtPuInsertLineAction;
import nc.ui.ct.purdaily.action.PuAddAction;
import nc.ui.ct.purdaily.action.PuAddFromM28Action;
import nc.ui.ct.purdaily.action.PuAddFromSourceAction;
import nc.ui.ct.purdaily.action.PuAppStateAction;
import nc.ui.ct.purdaily.action.PuApproveAction;
import nc.ui.ct.purdaily.action.PuBatchContrlAction;
import nc.ui.ct.purdaily.action.PuCommitScriptAction;
import nc.ui.ct.purdaily.action.PuContrlAction;
import nc.ui.ct.purdaily.action.PuCopyActionProcessor;
import nc.ui.ct.purdaily.action.PuDeletRowAction;
import nc.ui.ct.purdaily.action.PuDeleteAction;
import nc.ui.ct.purdaily.action.PuEditAction;
import nc.ui.ct.purdaily.action.PuFrozenAction;
import nc.ui.ct.purdaily.action.PuLinkCtPriceInfoAction;
import nc.ui.ct.purdaily.action.PuModiDeleteAction;
import nc.ui.ct.purdaily.action.PuModifyAction;
import nc.ui.ct.purdaily.action.PuPayMnyStateAction;
import nc.ui.ct.purdaily.action.PuPayPlanAction;
import nc.ui.ct.purdaily.action.PuPrintAction;
import nc.ui.ct.purdaily.action.PuQueryAction;
import nc.ui.ct.purdaily.action.PuRelatingCtAction;
import nc.ui.ct.purdaily.action.PuSaveAction;
import nc.ui.ct.purdaily.action.PuTakeBackAction;
import nc.ui.ct.purdaily.action.PuTerminateAction;
import nc.ui.ct.purdaily.action.PuUnApproveAction;
import nc.ui.ct.purdaily.action.PuUnFrozenAction;
import nc.ui.ct.purdaily.action.PuUnTerminateAction;
import nc.ui.ct.purdaily.action.PuUnValidateAction;
import nc.ui.ct.purdaily.action.PuValidateAction;
import nc.ui.ct.purdaily.action.PurdailyLinkQueryAction;
import nc.ui.ct.purdaily.action.processor.CtPuPrintProcessor;
import nc.ui.ct.purdaily.billref.CtPuInitDataProcessor;
import nc.ui.ct.purdaily.billref.CtPuInitDataProcessorForEC;
import nc.ui.ct.purdaily.editor.after.PuBodyAfterEventHandler;
import nc.ui.ct.purdaily.editor.after.PuHeadTailAfterEventHandler;
import nc.ui.ct.purdaily.editor.before.PuBodyBeforeEventHandler;
import nc.ui.ct.purdaily.editor.before.PuHeadTailBeforeEventHandler;
import nc.ui.ct.purdaily.editor.org.PuOrgChangedEventHandler;
import nc.ui.ct.purdaily.query.PurQryCondDLGInitializer;
import nc.ui.ct.purdaily.service.PuModiDeleteService;
import nc.ui.ct.purdaily.view.CtPuOpenNodeInitDataProcessor;
import nc.ui.ct.purdaily.view.HistiryListForm;
import nc.ui.ct.purdaily.view.PurdailyBillForm;
import nc.ui.ct.util.RelationCalculate;
import nc.ui.ct.view.CTLinkQueryInitDataProcessor;
import nc.ui.ct.view.CTListView;
import nc.ui.ct.view.ChildrenFilter;
import nc.ui.oba.action.bill.OBADocManageBillAction;
import nc.ui.pub.beans.ActionsBar.ActionsBarSeparator;
import nc.ui.pubapp.bill.BillCodeMediator;
import nc.ui.pubapp.billref.dest.DefaultBillDataLogic;
import nc.ui.pubapp.billref.dest.TransferViewProcessor;
import nc.ui.pubapp.common.validateservice.ClosingCheck;
import nc.ui.pubapp.pub.power.PowerValidateService;
import nc.ui.pubapp.uif2app.actions.AddMenuAction;
import nc.ui.pubapp.uif2app.actions.BodyLineEditAction;
import nc.ui.pubapp.uif2app.actions.CancelAction;
import nc.ui.pubapp.uif2app.actions.DefaultBodyZoomAction;
import nc.ui.pubapp.uif2app.actions.DefaultHeadZoomAction;
import nc.ui.pubapp.uif2app.actions.FileDocManageAction;
import nc.ui.pubapp.uif2app.actions.MetaDataBasedPrintAction;
import nc.ui.pubapp.uif2app.actions.OutputAction;
import nc.ui.pubapp.uif2app.actions.PfAddInfoLoader;
import nc.ui.pubapp.uif2app.actions.RefreshSingleAction;
import nc.ui.pubapp.uif2app.actions.UEReturnAction;
import nc.ui.pubapp.uif2app.actions.interceptor.CompositeActionInterceptor;
import nc.ui.pubapp.uif2app.actions.interceptor.ShowUpComponentInterceptor;
import nc.ui.pubapp.uif2app.actions.pflow.SaveAndCommitScriptAction;
import nc.ui.pubapp.uif2app.funcnode.trantype.TrantypeBillTemplateMender;
import nc.ui.pubapp.uif2app.lazilyload.ActionLazilyLoad;
import nc.ui.pubapp.uif2app.lazilyload.DefaultBillLazilyLoader;
import nc.ui.pubapp.uif2app.lazilyload.LazilyLoadManager;
import nc.ui.pubapp.uif2app.linkquery.LinkQueryHyperlinkMediator;
import nc.ui.pubapp.uif2app.model.AppEventHandlerMediator;
import nc.ui.pubapp.uif2app.model.BillBodySortMediator;
import nc.ui.pubapp.uif2app.model.DefaultFuncNodeInitDataListener;
import nc.ui.pubapp.uif2app.query2.action.DefaultRefreshAction;
import nc.ui.pubapp.uif2app.query2.model.ModelDataManager;
import nc.ui.pubapp.uif2app.tangramlayout.UECardLayoutToolbarPanel;
import nc.ui.pubapp.uif2app.tangramlayout.UEQueryAreaShell;
import nc.ui.pubapp.uif2app.view.BillOrgPanel;
import nc.ui.pubapp.uif2app.view.CardPanelOrgSetterForAllRefMediator;
import nc.ui.pubapp.uif2app.view.CompositeBillDataPrepare;
import nc.ui.pubapp.uif2app.view.CompositeBillListDataPrepare;
import nc.ui.pubapp.uif2app.view.FractionFixMediator;
import nc.ui.pubapp.uif2app.view.MouseClickShowPanelMediator;
import nc.ui.pubapp.uif2app.view.RowNoMediator;
import nc.ui.pubapp.uif2app.view.TemplateContainer;
import nc.ui.pubapp.uif2app.view.material.assistant.MarAsstPreparator;
import nc.ui.pubapp.uif2app.view.value.AggVOMetaBDObjectAdapterFactory;
import nc.ui.scmbd.linkquery.ScmBDLinkQueryMediator;
import nc.ui.trade.billgraph.billflow.control.DefaultBillGraphListener;
import nc.ui.uif2.I18nFB;
import nc.ui.uif2.TangramContainer;
import nc.ui.uif2.actions.ActionContributors;
import nc.ui.uif2.actions.StandAloneToftPanelActionContainer;
import nc.ui.uif2.editor.QueryTemplateContainer;
import nc.ui.uif2.editor.UIF2RemoteCallCombinatorCaller;
import nc.ui.uif2.editor.UserdefQueryParam;
import nc.ui.uif2.editor.UserdefitemContainerListPreparator;
import nc.ui.uif2.editor.UserdefitemContainerPreparator;
import nc.ui.uif2.factory.AbstractJavaBeanDefinition;
import nc.ui.uif2.tangramlayout.CardLayoutToolbarPanel;
import nc.ui.uif2.tangramlayout.node.CNode;
import nc.ui.uif2.tangramlayout.node.HSNode;
import nc.ui.uif2.tangramlayout.node.TBNode;
import nc.ui.uif2.tangramlayout.node.VSNode;
import nc.ui.uif2.userdefitem.QueryParam;
import nc.ui.uif2.userdefitem.UserDefItemContainer;
import nc.vo.uif2.LoginContext;

public class purdaily_config extends AbstractJavaBeanDefinition {
	private Map<String, Object> context = new HashMap();

	public ActionContributors getToftpanelActionContributors() {
		if (this.context.get("toftpanelActionContributors") != null) {
			return (ActionContributors) this.context.get("toftpanelActionContributors");
		} else {
			ActionContributors bean = new ActionContributors();
			this.context.put("toftpanelActionContributors", bean);
			bean.setContributors(this.getManagedList0());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList0() {
		List list = new ArrayList();
		list.add(this.getActionsOfList());
		list.add(this.getActionsOfCard());
		list.add(this.getActionsOfHistory());
		return list;
	}

	public StandAloneToftPanelActionContainer getActionsOfList() {
		if (this.context.get("actionsOfList") != null) {
			return (StandAloneToftPanelActionContainer) this.context.get("actionsOfList");
		} else {
			StandAloneToftPanelActionContainer bean = new StandAloneToftPanelActionContainer(this.getListView());
			this.context.put("actionsOfList", bean);
			bean.setActions(this.getManagedList1());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList1() {
		List list = new ArrayList();
		list.add(this.getAddMenuAction());
		list.add(this.getEditAction());
		list.add(this.getDeleteAction());
		list.add(this.getCopyAction());
		list.add(this.getSeparatorAction());
		list.add(this.getQueryAction());
		list.add(this.getRefreshAction());
		list.add(this.getSeparatorAction());
		list.add(this.getCommitMenuAction());
		list.add(this.getApproveMenuAction());
		list.add(this.getTransactMenuAction());
		list.add(this.getAssistMenuAction());
		list.add(this.getSeparatorAction());
		list.add(this.getAsstQueryMenuAction());
		list.add(this.getSeparatorAction());
		list.add(this.getPayplanAction());
		list.add(this.getSeparatorAction());
		list.add(this.getPrintMenuAction());
		return list;
	}

	public StandAloneToftPanelActionContainer getActionsOfCard() {
		if (this.context.get("actionsOfCard") != null) {
			return (StandAloneToftPanelActionContainer) this.context.get("actionsOfCard");
		} else {
			StandAloneToftPanelActionContainer bean = new StandAloneToftPanelActionContainer(this.getBillFormEditor());
			this.context.put("actionsOfCard", bean);
			bean.setModel(this.getManageAppModel());
			bean.setActions(this.getManagedList2());
			bean.setEditActions(this.getManagedList3());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList2() {
		List list = new ArrayList();
		list.add(this.getAddMenuAction());
		list.add(this.getEditAction());
		list.add(this.getDeleteAction());
		list.add(this.getCopyAction());
		list.add(this.getSeparatorAction());
		list.add(this.getQueryAction());
		list.add(this.getCardRefreshAction());
		list.add(this.getSeparatorAction());
		list.add(this.getCommitMenuAction());
		list.add(this.getApproveMenuAction());
		list.add(this.getTransactMenuAction());
		list.add(this.getAssistMenuAction());
		list.add(this.getSeparatorAction());
		list.add(this.getAsstQueryMenuAction());
		list.add(this.getSeparatorAction());
		list.add(this.getPayplanAction());
		list.add(this.getSeparatorAction());
		list.add(this.getPrintMenuAction());
		return list;
	}

	private List getManagedList3() {
		List list = new ArrayList();
		list.add(this.getSaveAction());
		list.add(this.getSaveApproveAction());
		list.add(this.getSeparatorAction());
		list.add(this.getCancelAction());
		list.add(this.getSeparatorAction());
		list.add(this.getRelatingCtAction());
		list.add(this.getSeparatorAction());
		list.add(this.getLinkCtPriceInfoAction());
		return list;
	}

	public ShowUpComponentInterceptor getFormInterceptor() {
		if (this.context.get("formInterceptor") != null) {
			return (ShowUpComponentInterceptor) this.context.get("formInterceptor");
		} else {
			ShowUpComponentInterceptor bean = new ShowUpComponentInterceptor();
			this.context.put("formInterceptor", bean);
			bean.setShowUpComponent(this.getBillFormEditor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public SeparatorAction getSeparatorAction() {
		if (this.context.get("separatorAction") != null) {
			return (SeparatorAction) this.context.get("separatorAction");
		} else {
			SeparatorAction bean = new SeparatorAction();
			this.context.put("separatorAction", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PuAddAction getAddAction() {
		if (this.context.get("addAction") != null) {
			return (PuAddAction) this.context.get("addAction");
		} else {
			PuAddAction bean = new PuAddAction();
			this.context.put("addAction", bean);
			bean.setCardForm(this.getBillFormEditor());
			bean.setModel(this.getManageAppModel());
			bean.setInterceptor(this.getCompositeActionInterceptor_266add());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private CompositeActionInterceptor getCompositeActionInterceptor_266add() {
		if (this.context.get("nc.ui.pubapp.uif2app.actions.interceptor.CompositeActionInterceptor#266add") != null) {
			return (CompositeActionInterceptor) this.context
					.get("nc.ui.pubapp.uif2app.actions.interceptor.CompositeActionInterceptor#266add");
		} else {
			CompositeActionInterceptor bean = new CompositeActionInterceptor();
			this.context.put("nc.ui.pubapp.uif2app.actions.interceptor.CompositeActionInterceptor#266add", bean);
			bean.setInterceptors(this.getManagedList4());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList4() {
		List list = new ArrayList();
		list.add(this.getShowUpComponentInterceptor_1c515fc());
		return list;
	}

	private ShowUpComponentInterceptor getShowUpComponentInterceptor_1c515fc() {
		if (this.context.get("nc.ui.pubapp.uif2app.actions.interceptor.ShowUpComponentInterceptor#1c515fc") != null) {
			return (ShowUpComponentInterceptor) this.context
					.get("nc.ui.pubapp.uif2app.actions.interceptor.ShowUpComponentInterceptor#1c515fc");
		} else {
			ShowUpComponentInterceptor bean = new ShowUpComponentInterceptor();
			this.context.put("nc.ui.pubapp.uif2app.actions.interceptor.ShowUpComponentInterceptor#1c515fc", bean);
			bean.setShowUpComponent(this.getBillFormEditor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PuRelatingCtAction getRelatingCtAction() {
		if (this.context.get("relatingCtAction") != null) {
			return (PuRelatingCtAction) this.context.get("relatingCtAction");
		} else {
			PuRelatingCtAction bean = new PuRelatingCtAction();
			this.context.put("relatingCtAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setCardForm(this.getBillFormEditor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PuLinkCtPriceInfoAction getLinkCtPriceInfoAction() {
		if (this.context.get("linkCtPriceInfoAction") != null) {
			return (PuLinkCtPriceInfoAction) this.context.get("linkCtPriceInfoAction");
		} else {
			PuLinkCtPriceInfoAction bean = new PuLinkCtPriceInfoAction();
			this.context.put("linkCtPriceInfoAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setCardForm(this.getBillFormEditor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PuEditAction getEditAction() {
		if (this.context.get("editAction") != null) {
			return (PuEditAction) this.context.get("editAction");
		} else {
			PuEditAction bean = new PuEditAction();
			this.context.put("editAction", bean);
			bean.setCardForm(this.getBillFormEditor());
			bean.setModel(this.getManageAppModel());
			bean.setInterceptor(this.getShowUpComponentInterceptor_32078f());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private ShowUpComponentInterceptor getShowUpComponentInterceptor_32078f() {
		if (this.context.get("nc.ui.pubapp.uif2app.actions.interceptor.ShowUpComponentInterceptor#32078f") != null) {
			return (ShowUpComponentInterceptor) this.context
					.get("nc.ui.pubapp.uif2app.actions.interceptor.ShowUpComponentInterceptor#32078f");
		} else {
			ShowUpComponentInterceptor bean = new ShowUpComponentInterceptor();
			this.context.put("nc.ui.pubapp.uif2app.actions.interceptor.ShowUpComponentInterceptor#32078f", bean);
			bean.setShowUpComponent(this.getBillFormEditor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PuQueryAction getQueryAction() {
		if (this.context.get("queryAction") != null) {
			return (PuQueryAction) this.context.get("queryAction");
		} else {
			PuQueryAction bean = new PuQueryAction();
			this.context.put("queryAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setDataManager(this.getModelDataManager());
			bean.setQryCondDLGInitializer(this.getPurQryCondDLGInitializer());
			bean.setTemplateContainer(this.getQueryTemplateContainer());
			bean.setShowUpComponent(this.getListView());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PurQryCondDLGInitializer getPurQryCondDLGInitializer() {
		if (this.context.get("purQryCondDLGInitializer") != null) {
			return (PurQryCondDLGInitializer) this.context.get("purQryCondDLGInitializer");
		} else {
			PurQryCondDLGInitializer bean = new PurQryCondDLGInitializer();
			this.context.put("purQryCondDLGInitializer", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PuDeleteAction getDeleteAction() {
		if (this.context.get("deleteAction") != null) {
			return (PuDeleteAction) this.context.get("deleteAction");
		} else {
			PuDeleteAction bean = new PuDeleteAction();
			this.context.put("deleteAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setActionName("DELETE");
			bean.setBillType("Z2");
			bean.setValidationService(this.getDelpowervalidservice());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PuModiDeleteAction getModiDeleteAction() {
		if (this.context.get("modiDeleteAction") != null) {
			return (PuModiDeleteAction) this.context.get("modiDeleteAction");
		} else {
			PuModiDeleteAction bean = new PuModiDeleteAction();
			this.context.put("modiDeleteAction", bean);
			bean.setSingleBillService(this.getPuModiDeleteService_9f5527());
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private PuModiDeleteService getPuModiDeleteService_9f5527() {
		if (this.context.get("nc.ui.ct.purdaily.service.PuModiDeleteService#9f5527") != null) {
			return (PuModiDeleteService) this.context.get("nc.ui.ct.purdaily.service.PuModiDeleteService#9f5527");
		} else {
			PuModiDeleteService bean = new PuModiDeleteService();
			this.context.put("nc.ui.ct.purdaily.service.PuModiDeleteService#9f5527", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PuSaveAction getSaveAction() {
		if (this.context.get("saveAction") != null) {
			return (PuSaveAction) this.context.get("saveAction");
		} else {
			PuSaveAction bean = new PuSaveAction();
			this.context.put("saveAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setCardForm(this.getBillFormEditor());
			bean.setActionName("SAVEBASE");
			bean.setBillType("Z2");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public CancelAction getCancelAction() {
		if (this.context.get("cancelAction") != null) {
			return (CancelAction) this.context.get("cancelAction");
		} else {
			CancelAction bean = new CancelAction();
			this.context.put("cancelAction", bean);
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public DefaultRefreshAction getRefreshAction() {
		if (this.context.get("refreshAction") != null) {
			return (DefaultRefreshAction) this.context.get("refreshAction");
		} else {
			DefaultRefreshAction bean = new DefaultRefreshAction();
			this.context.put("refreshAction", bean);
			bean.setDataManager(this.getModelDataManager());
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public RefreshSingleAction getCardRefreshAction() {
		if (this.context.get("cardRefreshAction") != null) {
			return (RefreshSingleAction) this.context.get("cardRefreshAction");
		} else {
			RefreshSingleAction bean = new RefreshSingleAction();
			this.context.put("cardRefreshAction", bean);
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public MetaDataBasedPrintAction getPreviewAction() {
		if (this.context.get("previewAction") != null) {
			return (MetaDataBasedPrintAction) this.context.get("previewAction");
		} else {
			MetaDataBasedPrintAction bean = new MetaDataBasedPrintAction();
			this.context.put("previewAction", bean);
			bean.setPreview(true);
			bean.setModel(this.getManageAppModel());
			bean.setBeforePrintDataProcess(this.getPrintProcessor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PuPrintAction getPrintAction() {
		if (this.context.get("printAction") != null) {
			return (PuPrintAction) this.context.get("printAction");
		} else {
			PuPrintAction bean = new PuPrintAction();
			this.context.put("printAction", bean);
			bean.setPreview(false);
			bean.setModel(this.getManageAppModel());
			bean.setBeforePrintDataProcess(this.getPrintProcessor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public CtPuPrintProcessor getPrintProcessor() {
		if (this.context.get("printProcessor") != null) {
			return (CtPuPrintProcessor) this.context.get("printProcessor");
		} else {
			CtPuPrintProcessor bean = new CtPuPrintProcessor();
			this.context.put("printProcessor", bean);
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PuCommitScriptAction getCommitAction() {
		if (this.context.get("commitAction") != null) {
			return (PuCommitScriptAction) this.context.get("commitAction");
		} else {
			PuCommitScriptAction bean = new PuCommitScriptAction();
			this.context.put("commitAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setActionName("SAVE");
			bean.setBillType("Z2");
			bean.setPreActionNames(this.getManagedList5());
			bean.setFilledUpInFlow(true);
			bean.setValidationService(this.getComitpowervalidservice());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList5() {
		List list = new ArrayList();
		list.add("SAVEBASE");
		return list;
	}

	public SaveAndCommitScriptAction getSaveApproveAction() {
		if (this.context.get("saveApproveAction") != null) {
			return (SaveAndCommitScriptAction) this.context.get("saveApproveAction");
		} else {
			SaveAndCommitScriptAction bean = new SaveAndCommitScriptAction(this.getSaveAction(),
					this.getCommitAction());
			this.context.put("saveApproveAction", bean);
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PuTakeBackAction getTakeBackAction() {
		if (this.context.get("takeBackAction") != null) {
			return (PuTakeBackAction) this.context.get("takeBackAction");
		} else {
			PuTakeBackAction bean = new PuTakeBackAction();
			this.context.put("takeBackAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setActionName("UNSAVEBILL");
			bean.setFilledUpInFlow(true);
			bean.setBillType("Z2");
			bean.setValidationService(this.getUncomitpowervalidservice());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PuApproveAction getApproveAction() {
		if (this.context.get("approveAction") != null) {
			return (PuApproveAction) this.context.get("approveAction");
		} else {
			PuApproveAction bean = new PuApproveAction();
			this.context.put("approveAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setActionName("APPROVE");
			bean.setFilledUpInFlow(true);
			bean.setBillType("Z2");
			bean.setValidationService(this.getPowervalidservice());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PuUnApproveAction getUnApproveAction() {
		if (this.context.get("unApproveAction") != null) {
			return (PuUnApproveAction) this.context.get("unApproveAction");
		} else {
			PuUnApproveAction bean = new PuUnApproveAction();
			this.context.put("unApproveAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setActionName("UNAPPROVE");
			bean.setFilledUpInFlow(true);
			bean.setBillType("Z2");
			bean.setValidationService(this.getUnapprovepowervalidservice());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public CtCopyAction getCopyAction() {
		if (this.context.get("copyAction") != null) {
			return (CtCopyAction) this.context.get("copyAction");
		} else {
			CtCopyAction bean = new CtCopyAction();
			this.context.put("copyAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setCopyActionProcessor(this.getCopyActionProcessor());
			bean.setInterceptor(this.getFormInterceptor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PuCopyActionProcessor getCopyActionProcessor() {
		if (this.context.get("copyActionProcessor") != null) {
			return (PuCopyActionProcessor) this.context.get("copyActionProcessor");
		} else {
			PuCopyActionProcessor bean = new PuCopyActionProcessor();
			this.context.put("copyActionProcessor", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PuFrozenAction getFrozenAction() {
		if (this.context.get("frozenAction") != null) {
			return (PuFrozenAction) this.context.get("frozenAction");
		} else {
			PuFrozenAction bean = new PuFrozenAction();
			this.context.put("frozenAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setActionName("FREEZE");
			bean.setFilledUpInFlow(false);
			bean.setBillType("Z2");
			bean.setValidationService(this.getFrozenpowervalidservice());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PuUnFrozenAction getUnFrozenAction() {
		if (this.context.get("unFrozenAction") != null) {
			return (PuUnFrozenAction) this.context.get("unFrozenAction");
		} else {
			PuUnFrozenAction bean = new PuUnFrozenAction();
			this.context.put("unFrozenAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setActionName("UNFREEZE");
			bean.setFilledUpInFlow(false);
			bean.setBillType("Z2");
			bean.setValidationService(this.getUnfrozenpowervalidservice());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PuPayPlanAction getPayplanAction() {
		if (this.context.get("payplanAction") != null) {
			return (PuPayPlanAction) this.context.get("payplanAction");
		} else {
			PuPayPlanAction bean = new PuPayPlanAction();
			this.context.put("payplanAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setBillForm(this.getBillFormEditor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PuAppStateAction getAppStateAction() {
		if (this.context.get("appStateAction") != null) {
			return (PuAppStateAction) this.context.get("appStateAction");
		} else {
			PuAppStateAction bean = new PuAppStateAction();
			this.context.put("appStateAction", bean);
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public CtChangeAction getChangeAction() {
		if (this.context.get("changeAction") != null) {
			return (CtChangeAction) this.context.get("changeAction");
		} else {
			CtChangeAction bean = new CtChangeAction();
			this.context.put("changeAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setCardForm(this.getBillFormEditor());
			bean.setListForm(this.getListView());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PuContrlAction getContrlAction() {
		if (this.context.get("contrlAction") != null) {
			return (PuContrlAction) this.context.get("contrlAction");
		} else {
			PuContrlAction bean = new PuContrlAction();
			this.context.put("contrlAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setCardForm(this.getBillFormEditor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PuBatchContrlAction getBatchContrlAction() {
		if (this.context.get("batchContrlAction") != null) {
			return (PuBatchContrlAction) this.context.get("batchContrlAction");
		} else {
			PuBatchContrlAction bean = new PuBatchContrlAction();
			this.context.put("batchContrlAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setCardForm(this.getBillFormEditor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PuModifyAction getModifyAction() {
		if (this.context.get("modifyAction") != null) {
			return (PuModifyAction) this.context.get("modifyAction");
		} else {
			PuModifyAction bean = new PuModifyAction();
			this.context.put("modifyAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setCardForm(this.getBillFormEditor());
			bean.setEditAction(this.getEditAction());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PuTerminateAction getTerminateAction() {
		if (this.context.get("terminateAction") != null) {
			return (PuTerminateAction) this.context.get("terminateAction");
		} else {
			PuTerminateAction bean = new PuTerminateAction();
			this.context.put("terminateAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setCardForm(this.getBillFormEditor());
			bean.setActionName("TERMINATE");
			bean.setFilledUpInFlow(false);
			bean.setBillType("Z2");
			bean.setValidationService(this.getTerminatepowervalidservice());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PuUnTerminateAction getUnTerminateAction() {
		if (this.context.get("unTerminateAction") != null) {
			return (PuUnTerminateAction) this.context.get("unTerminateAction");
		} else {
			PuUnTerminateAction bean = new PuUnTerminateAction();
			this.context.put("unTerminateAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setCardForm(this.getBillFormEditor());
			bean.setActionName("UNTERMINATE");
			bean.setFilledUpInFlow(false);
			bean.setBillType("Z2");
			bean.setValidationService(this.getUnterminatepowervalidservice());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PuValidateAction getValidateAction() {
		if (this.context.get("validateAction") != null) {
			return (PuValidateAction) this.context.get("validateAction");
		} else {
			PuValidateAction bean = new PuValidateAction();
			this.context.put("validateAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setCardForm(this.getBillFormEditor());
			bean.setActionName("VALIDATE");
			bean.setFilledUpInFlow(false);
			bean.setBillType("Z2");
			bean.setValidationService(this.getValidatepowervalidservice());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PurdailyLinkQueryAction getLinkBillAction() {
		if (this.context.get("linkBillAction") != null) {
			return (PurdailyLinkQueryAction) this.context.get("linkBillAction");
		} else {
			PurdailyLinkQueryAction bean = new PurdailyLinkQueryAction();
			this.context.put("linkBillAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setBillType("Z2");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public DefaultBillGraphListener getBillGraphListener() {
		if (this.context.get("billGraphListener") != null) {
			return (DefaultBillGraphListener) this.context.get("billGraphListener");
		} else {
			DefaultBillGraphListener bean = new DefaultBillGraphListener();
			this.context.put("billGraphListener", bean);
			bean.setOpenMode(1);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PuPayMnyStateAction getPayMnyStateAction() {
		if (this.context.get("payMnyStateAction") != null) {
			return (PuPayMnyStateAction) this.context.get("payMnyStateAction");
		} else {
			PuPayMnyStateAction bean = new PuPayMnyStateAction();
			this.context.put("payMnyStateAction", bean);
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PuAddFromM28Action getPriceDeterAction() {
		if (this.context.get("priceDeterAction") != null) {
			return (PuAddFromM28Action) this.context.get("priceDeterAction");
		} else {
			PuAddFromM28Action bean = new PuAddFromM28Action();
			this.context.put("priceDeterAction", bean);
			bean.setSourceBillType("28");
			bean.setSourceBillName(this.getI18nFB_d76d4a());
			bean.setFlowBillType(false);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setTransferViewProcessor(this.getTransferViewProcessor1());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private String getI18nFB_d76d4a() {
		if (this.context.get("nc.ui.uif2.I18nFB#d76d4a") != null) {
			return (String) this.context.get("nc.ui.uif2.I18nFB#d76d4a");
		} else {
			I18nFB bean = new I18nFB();
			this.context.put("&nc.ui.uif2.I18nFB#d76d4a", bean);
			bean.setResDir("4001002_0");
			bean.setResId("04001002-0506");
			bean.setDefaultValue("۸");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);

			try {
				Object product = bean.getObject();
				this.context.put("nc.ui.uif2.I18nFB#d76d4a", product);
				return (String) product;
			} catch (Exception var3) {
				throw new RuntimeException(var3);
			}
		}
	}

	public PuUnValidateAction getUnValidateAction() {
		if (this.context.get("unValidateAction") != null) {
			return (PuUnValidateAction) this.context.get("unValidateAction");
		} else {
			PuUnValidateAction bean = new PuUnValidateAction();
			this.context.put("unValidateAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setActionName("UNVALIDATE");
			bean.setFilledUpInFlow(false);
			bean.setBillType("Z2");
			bean.setValidationService(this.getUnvalidatepowervalidservice());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public AddMenuAction getAddMenuAction() {
		if (this.context.get("addMenuAction") != null) {
			return (AddMenuAction) this.context.get("addMenuAction");
		} else {
			AddMenuAction bean = new AddMenuAction();
			this.context.put("addMenuAction", bean);
			bean.setBillType("Z2");
			bean.setActions(this.getManagedList6());
			bean.setModel(this.getManageAppModel());
			bean.setPfAddInfoLoader(this.getPfAddInfoLoader());
			bean.initUI();
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList6() {
		List list = new ArrayList();
		list.add(this.getAddAction());
		list.add(this.getSeparatorAction());
		list.add(this.getAddFrom20Action());
		list.add(this.getPriceDeterAction());
		return list;
	}

	public PfAddInfoLoader getPfAddInfoLoader() {
		if (this.context.get("pfAddInfoLoader") != null) {
			return (PfAddInfoLoader) this.context.get("pfAddInfoLoader");
		} else {
			PfAddInfoLoader bean = new PfAddInfoLoader();
			this.context.put("pfAddInfoLoader", bean);
			bean.setBillType("Z2");
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public GroupAction getCommitMenuAction() {
		if (this.context.get("commitMenuAction") != null) {
			return (GroupAction) this.context.get("commitMenuAction");
		} else {
			GroupAction bean = new GroupAction();
			this.context.put("commitMenuAction", bean);
			bean.setCode("commitMenuAction");
			bean.setActions(this.getManagedList7());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList7() {
		List list = new ArrayList();
		list.add(this.getCommitAction());
		list.add(this.getTakeBackAction());
		return list;
	}

	public GroupAction getApproveMenuAction() {
		if (this.context.get("approveMenuAction") != null) {
			return (GroupAction) this.context.get("approveMenuAction");
		} else {
			GroupAction bean = new GroupAction();
			this.context.put("approveMenuAction", bean);
			bean.setCode("approveMenuAction");
			bean.setActions(this.getManagedList8());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList8() {
		List list = new ArrayList();
		list.add(this.getApproveAction());
		list.add(this.getUnApproveAction());
		list.add(this.getSeparatorAction());
		list.add(this.getAppStateAction());
		return list;
	}

	public TransactMenuAction getTransactMenuAction() {
		if (this.context.get("transactMenuAction") != null) {
			return (TransactMenuAction) this.context.get("transactMenuAction");
		} else {
			TransactMenuAction bean = new TransactMenuAction();
			this.context.put("transactMenuAction", bean);
			bean.setCode("transactMenuAction");
			bean.setActions(this.getManagedList9());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList9() {
		List list = new ArrayList();
		list.add(this.getValidateAction());
		list.add(this.getUnValidateAction());
		list.add(this.getFrozenAction());
		list.add(this.getUnFrozenAction());
		list.add(this.getTerminateAction());
		list.add(this.getUnTerminateAction());
		list.add(this.getModifyAction());
		list.add(this.getModiDeleteAction());
		return list;
	}

	public AsstQueryMenuAction getAsstQueryMenuAction() {
		if (this.context.get("asstQueryMenuAction") != null) {
			return (AsstQueryMenuAction) this.context.get("asstQueryMenuAction");
		} else {
			AsstQueryMenuAction bean = new AsstQueryMenuAction();
			this.context.put("asstQueryMenuAction", bean);
			bean.setCode("asstQueryMenuAction");
			bean.setActions(this.getManagedList10());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList10() {
		List list = new ArrayList();
		list.add(this.getLinkBillAction());
		list.add(this.getSeparatorAction());
		list.add(this.getPayMnyStateAction());
		list.add(this.getSeparatorAction());
		list.add(this.getLinkCtPriceInfoAction());
		return list;
	}

	public AssistMenuAction getAssistMenuAction() {
		if (this.context.get("assistMenuAction") != null) {
			return (AssistMenuAction) this.context.get("assistMenuAction");
		} else {
			AssistMenuAction bean = new AssistMenuAction();
			this.context.put("assistMenuAction", bean);
			bean.setCode("assistMenuAction");
			bean.setActions(this.getManagedList11());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList11() {
		List list = new ArrayList();
		list.add(this.getContrlAction());
		list.add(this.getBatchContrlAction());
		list.add(this.getSeparatorAction());
		list.add(this.getObadocmanageAction());
		list.add(this.getSeparatorAction());
		list.add(this.getAccessoriesAction());
		list.add(this.getSeparatorAction());
		list.add(this.getChangeAction());
		return list;
	}

	public GroupAction getPrintMenuAction() {
		if (this.context.get("printMenuAction") != null) {
			return (GroupAction) this.context.get("printMenuAction");
		} else {
			GroupAction bean = new GroupAction();
			this.context.put("printMenuAction", bean);
			bean.setCode("print");
			bean.setActions(this.getManagedList12());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList12() {
		List list = new ArrayList();
		list.add(this.getPrintAction());
		list.add(this.getPreviewAction());
		list.add(this.getOutputAction());
		return list;
	}

	public OutputAction getOutputAction() {
		if (this.context.get("outputAction") != null) {
			return (OutputAction) this.context.get("outputAction");
		} else {
			OutputAction bean = new OutputAction();
			this.context.put("outputAction", bean);
			bean.setModel(this.getManageAppModel());
			bean.setParent(this.getBillFormEditor());
			bean.setBeforePrintDataProcess(this.getPrintProcessor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public FileDocManageAction getAccessoriesAction() {
		if (this.context.get("accessoriesAction") != null) {
			return (FileDocManageAction) this.context.get("accessoriesAction");
		} else {
			FileDocManageAction bean = new FileDocManageAction();
			this.context.put("accessoriesAction", bean);
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public OBADocManageBillAction getObadocmanageAction() {
		if (this.context.get("obadocmanageAction") != null) {
			return (OBADocManageBillAction) this.context.get("obadocmanageAction");
		} else {
			OBADocManageBillAction bean = new OBADocManageBillAction();
			this.context.put("obadocmanageAction", bean);
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PuAddFromSourceAction getAddFrom20Action() {
		if (this.context.get("addFrom20Action") != null) {
			return (PuAddFromSourceAction) this.context.get("addFrom20Action");
		} else {
			PuAddFromSourceAction bean = new PuAddFromSourceAction();
			this.context.put("addFrom20Action", bean);
			bean.setSourceBillType("20");
			bean.setSourceBillName(this.getI18nFB_148347a());
			bean.setFlowBillType(false);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setTransferViewProcessor(this.getTransferViewProcessor1());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private String getI18nFB_148347a() {
		if (this.context.get("nc.ui.uif2.I18nFB#148347a") != null) {
			return (String) this.context.get("nc.ui.uif2.I18nFB#148347a");
		} else {
			I18nFB bean = new I18nFB();
			this.context.put("&nc.ui.uif2.I18nFB#148347a", bean);
			bean.setResDir("4001002_0");
			bean.setResId("04001002-0496");
			bean.setDefaultValue("빺");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);

			try {
				Object product = bean.getObject();
				this.context.put("nc.ui.uif2.I18nFB#148347a", product);
				return (String) product;
			} catch (Exception var3) {
				throw new RuntimeException(var3);
			}
		}
	}

	public CtCloseHistoryDlgAction getClosehistoryAction() {
		if (this.context.get("closehistoryAction") != null) {
			return (CtCloseHistoryDlgAction) this.context.get("closehistoryAction");
		} else {
			CtCloseHistoryDlgAction bean = new CtCloseHistoryDlgAction();
			this.context.put("closehistoryAction", bean);
			bean.setView(this.getListViewHistory());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public StandAloneToftPanelActionContainer getActionsOfHistory() {
		if (this.context.get("actionsOfHistory") != null) {
			return (StandAloneToftPanelActionContainer) this.context.get("actionsOfHistory");
		} else {
			StandAloneToftPanelActionContainer bean = new StandAloneToftPanelActionContainer(this.getListViewHistory());
			this.context.put("actionsOfHistory", bean);
			bean.setActions(this.getManagedList13());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList13() {
		List list = new ArrayList();
		list.add(this.getClosehistoryAction());
		return list;
	}

	public PowerValidateService getComitpowervalidservice() {
		if (this.context.get("comitpowervalidservice") != null) {
			return (PowerValidateService) this.context.get("comitpowervalidservice");
		} else {
			PowerValidateService bean = new PowerValidateService();
			this.context.put("comitpowervalidservice", bean);
			bean.setActionCode("commit");
			bean.setBillCodeFiledName("vbillcode");
			bean.setPermissionCode("Z2");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PowerValidateService getPowervalidservice() {
		if (this.context.get("powervalidservice") != null) {
			return (PowerValidateService) this.context.get("powervalidservice");
		} else {
			PowerValidateService bean = new PowerValidateService();
			this.context.put("powervalidservice", bean);
			bean.setActionCode("approve");
			bean.setBillCodeFiledName("vbillcode");
			bean.setPermissionCode("Z2");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PowerValidateService getUnapprovepowervalidservice() {
		if (this.context.get("unapprovepowervalidservice") != null) {
			return (PowerValidateService) this.context.get("unapprovepowervalidservice");
		} else {
			PowerValidateService bean = new PowerValidateService();
			this.context.put("unapprovepowervalidservice", bean);
			bean.setActionCode("unapprove");
			bean.setBillCodeFiledName("vbillcode");
			bean.setPermissionCode("Z2");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PowerValidateService getUncomitpowervalidservice() {
		if (this.context.get("uncomitpowervalidservice") != null) {
			return (PowerValidateService) this.context.get("uncomitpowervalidservice");
		} else {
			PowerValidateService bean = new PowerValidateService();
			this.context.put("uncomitpowervalidservice", bean);
			bean.setActionCode("uncommit");
			bean.setBillCodeFiledName("vbillcode");
			bean.setPermissionCode("Z2");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PowerValidateService getDelpowervalidservice() {
		if (this.context.get("delpowervalidservice") != null) {
			return (PowerValidateService) this.context.get("delpowervalidservice");
		} else {
			PowerValidateService bean = new PowerValidateService();
			this.context.put("delpowervalidservice", bean);
			bean.setActionCode("delete");
			bean.setBillCodeFiledName("vbillcode");
			bean.setPermissionCode("Z2");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PowerValidateService getFrozenpowervalidservice() {
		if (this.context.get("frozenpowervalidservice") != null) {
			return (PowerValidateService) this.context.get("frozenpowervalidservice");
		} else {
			PowerValidateService bean = new PowerValidateService();
			this.context.put("frozenpowervalidservice", bean);
			bean.setActionCode("frozen");
			bean.setBillCodeFiledName("vbillcode");
			bean.setPermissionCode("Z2");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PowerValidateService getUnfrozenpowervalidservice() {
		if (this.context.get("unfrozenpowervalidservice") != null) {
			return (PowerValidateService) this.context.get("unfrozenpowervalidservice");
		} else {
			PowerValidateService bean = new PowerValidateService();
			this.context.put("unfrozenpowervalidservice", bean);
			bean.setActionCode("unfrozen");
			bean.setBillCodeFiledName("vbillcode");
			bean.setPermissionCode("Z2");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PowerValidateService getTerminatepowervalidservice() {
		if (this.context.get("terminatepowervalidservice") != null) {
			return (PowerValidateService) this.context.get("terminatepowervalidservice");
		} else {
			PowerValidateService bean = new PowerValidateService();
			this.context.put("terminatepowervalidservice", bean);
			bean.setActionCode("terminate");
			bean.setBillCodeFiledName("vbillcode");
			bean.setPermissionCode("Z2");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PowerValidateService getUnterminatepowervalidservice() {
		if (this.context.get("unterminatepowervalidservice") != null) {
			return (PowerValidateService) this.context.get("unterminatepowervalidservice");
		} else {
			PowerValidateService bean = new PowerValidateService();
			this.context.put("unterminatepowervalidservice", bean);
			bean.setActionCode("unterminate");
			bean.setBillCodeFiledName("vbillcode");
			bean.setPermissionCode("Z2");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PowerValidateService getValidatepowervalidservice() {
		if (this.context.get("validatepowervalidservice") != null) {
			return (PowerValidateService) this.context.get("validatepowervalidservice");
		} else {
			PowerValidateService bean = new PowerValidateService();
			this.context.put("validatepowervalidservice", bean);
			bean.setActionCode("validate");
			bean.setBillCodeFiledName("vbillcode");
			bean.setPermissionCode("Z2");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PowerValidateService getUnvalidatepowervalidservice() {
		if (this.context.get("unvalidatepowervalidservice") != null) {
			return (PowerValidateService) this.context.get("unvalidatepowervalidservice");
		} else {
			PowerValidateService bean = new PowerValidateService();
			this.context.put("unvalidatepowervalidservice", bean);
			bean.setActionCode("unvalidate");
			bean.setBillCodeFiledName("vbillcode");
			bean.setPermissionCode("Z2");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public AppEventHandlerMediator getAppEventHandlerMediator() {
		if (this.context.get("appEventHandlerMediator") != null) {
			return (AppEventHandlerMediator) this.context.get("appEventHandlerMediator");
		} else {
			AppEventHandlerMediator bean = new AppEventHandlerMediator();
			this.context.put("appEventHandlerMediator", bean);
			bean.setModel(this.getManageAppModel());
			bean.setHandlerMap(this.getManagedMap0());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private Map getManagedMap0() {
		Map map = new HashMap();
		map.put("nc.ui.pubapp.uif2app.event.list.ListHeadRowChangedEvent", this.getManagedList14());
		map.put("nc.ui.pubapp.uif2app.event.OrgChangedEvent", this.getManagedList15());
		map.put("nc.ui.pubapp.uif2app.event.card.CardHeadTailBeforeEditEvent", this.getManagedList16());
		map.put("nc.ui.pubapp.uif2app.event.card.CardHeadTailAfterEditEvent", this.getManagedList17());
		map.put("nc.ui.pubapp.uif2app.event.card.CardBodyBeforeEditEvent", this.getManagedList18());
		map.put("nc.ui.pubapp.uif2app.event.card.CardBodyAfterEditEvent", this.getManagedList19());
		return map;
	}

	private List getManagedList14() {
		List list = new ArrayList();
		list.add(this.getHeadrowchghandler());
		return list;
	}

	private List getManagedList15() {
		List list = new ArrayList();
		list.add(this.getMainorgchghandler());
		return list;
	}

	private List getManagedList16() {
		List list = new ArrayList();
		list.add(this.getBefore_headtail_edithandler());
		return list;
	}

	private List getManagedList17() {
		List list = new ArrayList();
		list.add(this.getAfter_headtail_edithandler());
		return list;
	}

	private List getManagedList18() {
		List list = new ArrayList();
		list.add(this.getBefore_body_edithandler());
		return list;
	}

	private List getManagedList19() {
		List list = new ArrayList();
		list.add(this.getAfter_body_edithandler());
		list.add(this.getRelationCalculate());
		return list;
	}

	public HeadRowChangeHandler getHeadrowchghandler() {
		if (this.context.get("headrowchghandler") != null) {
			return (HeadRowChangeHandler) this.context.get("headrowchghandler");
		} else {
			HeadRowChangeHandler bean = new HeadRowChangeHandler();
			this.context.put("headrowchghandler", bean);
			bean.setTableCode("pk_ct_pu_b");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PuOrgChangedEventHandler getMainorgchghandler() {
		if (this.context.get("mainorgchghandler") != null) {
			return (PuOrgChangedEventHandler) this.context.get("mainorgchghandler");
		} else {
			PuOrgChangedEventHandler bean = new PuOrgChangedEventHandler();
			this.context.put("mainorgchghandler", bean);
			bean.setCardForm(this.getBillFormEditor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PuHeadTailBeforeEventHandler getBefore_headtail_edithandler() {
		if (this.context.get("before_headtail_edithandler") != null) {
			return (PuHeadTailBeforeEventHandler) this.context.get("before_headtail_edithandler");
		} else {
			PuHeadTailBeforeEventHandler bean = new PuHeadTailBeforeEventHandler();
			this.context.put("before_headtail_edithandler", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PuHeadTailAfterEventHandler getAfter_headtail_edithandler() {
		if (this.context.get("after_headtail_edithandler") != null) {
			return (PuHeadTailAfterEventHandler) this.context.get("after_headtail_edithandler");
		} else {
			PuHeadTailAfterEventHandler bean = new PuHeadTailAfterEventHandler();
			this.context.put("after_headtail_edithandler", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PuBodyBeforeEventHandler getBefore_body_edithandler() {
		if (this.context.get("before_body_edithandler") != null) {
			return (PuBodyBeforeEventHandler) this.context.get("before_body_edithandler");
		} else {
			PuBodyBeforeEventHandler bean = new PuBodyBeforeEventHandler();
			this.context.put("before_body_edithandler", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PuBodyAfterEventHandler getAfter_body_edithandler() {
		if (this.context.get("after_body_edithandler") != null) {
			return (PuBodyAfterEventHandler) this.context.get("after_body_edithandler");
		} else {
			PuBodyAfterEventHandler bean = new PuBodyAfterEventHandler();
			this.context.put("after_body_edithandler", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public RelationCalculate getRelationCalculate() {
		if (this.context.get("relationCalculate") != null) {
			return (RelationCalculate) this.context.get("relationCalculate");
		} else {
			RelationCalculate bean = new RelationCalculate();
			this.context.put("relationCalculate", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public DefaultFuncNodeInitDataListener getInitDataListener() {
		if (this.context.get("InitDataListener") != null) {
			return (DefaultFuncNodeInitDataListener) this.context.get("InitDataListener");
		} else {
			DefaultFuncNodeInitDataListener bean = new DefaultFuncNodeInitDataListener();
			this.context.put("InitDataListener", bean);
			bean.setContext(this.getContext());
			bean.setModel(this.getManageAppModel());
			bean.setQueryAction(this.getQueryAction());
			bean.setVoClassName("nc.vo.ct.purdaily.entity.AggCtPuVO");
			bean.setAutoShowUpComponent(this.getBillFormEditor());
			bean.setProcessorMap(this.getManagedMap1());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private Map getManagedMap1() {
		Map map = new HashMap();
		map.put("28", this.getCtPuInitDataProcessor_f6e24a());
		map.put("3", this.getCTLinkQueryInitDataProcessor_827721());
		map.put("47", this.getCtPuInitDataProcessorForEC_15b220c());
		map.put("8", this.getCtPuOpenNodeInitDataProcessor_184286());
		return map;
	}

	private CtPuInitDataProcessor getCtPuInitDataProcessor_f6e24a() {
		if (this.context.get("nc.ui.ct.purdaily.billref.CtPuInitDataProcessor#f6e24a") != null) {
			return (CtPuInitDataProcessor) this.context.get("nc.ui.ct.purdaily.billref.CtPuInitDataProcessor#f6e24a");
		} else {
			CtPuInitDataProcessor bean = new CtPuInitDataProcessor();
			this.context.put("nc.ui.ct.purdaily.billref.CtPuInitDataProcessor#f6e24a", bean);
			bean.setTransferProcessor(this.getTransferViewProcessor1());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private CTLinkQueryInitDataProcessor getCTLinkQueryInitDataProcessor_827721() {
		if (this.context.get("nc.ui.ct.view.CTLinkQueryInitDataProcessor#827721") != null) {
			return (CTLinkQueryInitDataProcessor) this.context.get("nc.ui.ct.view.CTLinkQueryInitDataProcessor#827721");
		} else {
			CTLinkQueryInitDataProcessor bean = new CTLinkQueryInitDataProcessor();
			this.context.put("nc.ui.ct.view.CTLinkQueryInitDataProcessor#827721", bean);
			bean.setFunNodeInitDataListener(this.getInitDataListener());
			bean.setView(this.getListViewHistory());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private CtPuInitDataProcessorForEC getCtPuInitDataProcessorForEC_15b220c() {
		if (this.context.get("nc.ui.ct.purdaily.billref.CtPuInitDataProcessorForEC#15b220c") != null) {
			return (CtPuInitDataProcessorForEC) this.context
					.get("nc.ui.ct.purdaily.billref.CtPuInitDataProcessorForEC#15b220c");
		} else {
			CtPuInitDataProcessorForEC bean = new CtPuInitDataProcessorForEC();
			this.context.put("nc.ui.ct.purdaily.billref.CtPuInitDataProcessorForEC#15b220c", bean);
			bean.setTransferProcessor(this.getTransferViewProcessor1());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private CtPuOpenNodeInitDataProcessor getCtPuOpenNodeInitDataProcessor_184286() {
		if (this.context.get("nc.ui.ct.purdaily.view.CtPuOpenNodeInitDataProcessor#184286") != null) {
			return (CtPuOpenNodeInitDataProcessor) this.context
					.get("nc.ui.ct.purdaily.view.CtPuOpenNodeInitDataProcessor#184286");
		} else {
			CtPuOpenNodeInitDataProcessor bean = new CtPuOpenNodeInitDataProcessor();
			this.context.put("nc.ui.ct.purdaily.view.CtPuOpenNodeInitDataProcessor#184286", bean);
			bean.setFunNodeInitDataListener(this.getInitDataListener());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public ArrayList getPasteClearItem_ct_pu_b() {
		if (this.context.get("pasteClearItem_ct_pu_b") != null) {
			return (ArrayList) this.context.get("pasteClearItem_ct_pu_b");
		} else {
			ArrayList bean = new ArrayList(this.getManagedList20());
			this.context.put("pasteClearItem_ct_pu_b", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList20() {
		List list = new ArrayList();
		list.add("nordnum");
		list.add("nordsum");
		list.add("pk_ct_pu_b");
		list.add("noritotalgpmny");
		list.add("nschedulernum");
		list.add("pk_ct_price");
		list.add("pk_ctrelating");
		list.add("pk_ctrelating_b");
		list.add("vctbillcode");
		list.add("ts");
		return list;
	}

	public ArrayList getPasteClearItem_ct_pu_term() {
		if (this.context.get("pasteClearItem_ct_pu_term") != null) {
			return (ArrayList) this.context.get("pasteClearItem_ct_pu_term");
		} else {
			ArrayList bean = new ArrayList(this.getManagedList21());
			this.context.put("pasteClearItem_ct_pu_term", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList21() {
		List list = new ArrayList();
		list.add("pk_ct_pu_term");
		list.add("ts");
		return list;
	}

	public ArrayList getPasteClearItem_ct_pu_exp() {
		if (this.context.get("pasteClearItem_ct_pu_exp") != null) {
			return (ArrayList) this.context.get("pasteClearItem_ct_pu_exp");
		} else {
			ArrayList bean = new ArrayList(this.getManagedList22());
			this.context.put("pasteClearItem_ct_pu_exp", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList22() {
		List list = new ArrayList();
		list.add("pk_ct_pu_exp");
		list.add("ts");
		return list;
	}

	public ArrayList getPasteClearItem_ct_pu_memora() {
		if (this.context.get("pasteClearItem_ct_pu_memora") != null) {
			return (ArrayList) this.context.get("pasteClearItem_ct_pu_memora");
		} else {
			ArrayList bean = new ArrayList(this.getManagedList23());
			this.context.put("pasteClearItem_ct_pu_memora", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList23() {
		List list = new ArrayList();
		list.add("pk_ct_pu_memora");
		list.add("ts");
		return list;
	}

	public LoginContext getContext() {
		if (this.context.get("context") != null) {
			return (LoginContext) this.context.get("context");
		} else {
			LoginContext bean = new LoginContext();
			this.context.put("context", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PurdailyModelService getManageModelService() {
		if (this.context.get("ManageModelService") != null) {
			return (PurdailyModelService) this.context.get("ManageModelService");
		} else {
			PurdailyModelService bean = new PurdailyModelService();
			this.context.put("ManageModelService", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public AggVOMetaBDObjectAdapterFactory getBoadatorfactory() {
		if (this.context.get("boadatorfactory") != null) {
			return (AggVOMetaBDObjectAdapterFactory) this.context.get("boadatorfactory");
		} else {
			AggVOMetaBDObjectAdapterFactory bean = new AggVOMetaBDObjectAdapterFactory();
			this.context.put("boadatorfactory", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public CTModel getManageAppModel() {
		if (this.context.get("ManageAppModel") != null) {
			return (CTModel) this.context.get("ManageAppModel");
		} else {
			CTModel bean = new CTModel();
			this.context.put("ManageAppModel", bean);
			bean.setService(this.getManageModelService());
			bean.setBusinessObjectAdapterFactory(this.getBoadatorfactory());
			bean.setContext(this.getContext());
			bean.setBillType("Z2");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public ModelDataManager getModelDataManager() {
		if (this.context.get("modelDataManager") != null) {
			return (ModelDataManager) this.context.get("modelDataManager");
		} else {
			ModelDataManager bean = new ModelDataManager();
			this.context.put("modelDataManager", bean);
			bean.setModel(this.getManageAppModel());
			bean.setService(this.getManageModelService());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public TemplateContainer getTemplateContainer() {
		if (this.context.get("templateContainer") != null) {
			return (TemplateContainer) this.context.get("templateContainer");
		} else {
			TemplateContainer bean = new TemplateContainer();
			this.context.put("templateContainer", bean);
			bean.setContext(this.getContext());
			bean.setBillTemplateMender(this.getBillTemplateMender());
			bean.load();
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public TrantypeBillTemplateMender getBillTemplateMender() {
		if (this.context.get("billTemplateMender") != null) {
			return (TrantypeBillTemplateMender) this.context.get("billTemplateMender");
		} else {
			TrantypeBillTemplateMender bean = new TrantypeBillTemplateMender(this.getContext());
			this.context.put("billTemplateMender", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BillOrgPanel getOrgPanel() {
		if (this.context.get("orgPanel") != null) {
			return (BillOrgPanel) this.context.get("orgPanel");
		} else {
			BillOrgPanel bean = new BillOrgPanel();
			this.context.put("orgPanel", bean);
			bean.setModel(this.getManageAppModel());
			bean.setType("ɹ֯");
			bean.setOnlyLeafCanSelected(false);
			bean.initUI();
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public CTListView getListView() {
		if (this.context.get("listView") != null) {
			return (CTListView) this.context.get("listView");
		} else {
			CTListView bean = new CTListView();
			this.context.put("listView", bean);
			bean.setModel(this.getManageAppModel());
			bean.setMultiSelectionEnable(true);
			bean.setTemplateContainer(this.getTemplateContainer());
			bean.setUserdefitemListPreparator(this.getUserdefAndMarAsstListPreparator());
			bean.initUI();
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public HistiryListForm getListViewHistory() {
		if (this.context.get("listViewHistory") != null) {
			return (HistiryListForm) this.context.get("listViewHistory");
		} else {
			HistiryListForm bean = new HistiryListForm();
			this.context.put("listViewHistory", bean);
			bean.setModel(this.getManageAppModel());
			bean.setMultiSelectionEnable(true);
			bean.setTemplateContainer(this.getTemplateContainer());
			bean.initUI();
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public LinkQueryHyperlinkMediator getCcontractidMediator() {
		if (this.context.get("ccontractidMediator") != null) {
			return (LinkQueryHyperlinkMediator) this.context.get("ccontractidMediator");
		} else {
			LinkQueryHyperlinkMediator bean = new LinkQueryHyperlinkMediator();
			this.context.put("ccontractidMediator", bean);
			bean.setModel(this.getManageAppModel());
			bean.setSrcBillIdField("pk_ctrelating");
			bean.setSrcBillNOField("vctbillcode");
			bean.setSrcBillType("Z2");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public LinkQueryHyperlinkMediator getVsourcecodeMediator() {
		if (this.context.get("vsourcecodeMediator") != null) {
			return (LinkQueryHyperlinkMediator) this.context.get("vsourcecodeMediator");
		} else {
			LinkQueryHyperlinkMediator bean = new LinkQueryHyperlinkMediator();
			this.context.put("vsourcecodeMediator", bean);
			bean.setModel(this.getManageAppModel());
			bean.setSrcBillIdField("csrcid");
			bean.setSrcBillNOField("vsrccode");
			bean.setSrcBillTypeField("vsrctype");
			bean.setSrcBillTypeFieldPos(1);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public PurdailyBillForm getBillFormEditor() {
		if (this.context.get("billFormEditor") != null) {
			return (PurdailyBillForm) this.context.get("billFormEditor");
		} else {
			PurdailyBillForm bean = new PurdailyBillForm();
			this.context.put("billFormEditor", bean);
			bean.setModel(this.getManageAppModel());
			bean.setTemplateContainer(this.getTemplateContainer());
			bean.setUserdefitemPreparator(this.getUserdefAndMarAsstCardPreparator());
			bean.setTemplateNotNullValidate(true);
			bean.setAutoAddLine(true);
			bean.setBlankChildrenFilter(this.getBlankitemfilter());
			bean.setBodyActionMap(this.getManagedMap2());
			bean.initUI();
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private Map getManagedMap2() {
		Map map = new HashMap();
		map.put("pk_ct_pu_b", this.getManagedList24());
		map.put("pk_ct_pu_term", this.getManagedList25());
		map.put("pk_ct_pu_exp", this.getManagedList26());
		map.put("pk_ct_pu_memora", this.getManagedList27());
		return map;
	}

	private List getManagedList24() {
		List list = new ArrayList();
		list.add(this.getCtPuAddLineAction_1a75c64());
		list.add(this.getCtPuInsertLineAction_a2cf03());
		list.add(this.getPuDeletRowAction_c4d369());
		list.add(this.getManageBCopyLineAction_13b6cb());
		list.add(this.getManageBPasteLineAction_45dbee());
		list.add(this.getManageBPasteToTailLineAction_69eb86());
		list.add(this.getActionsBar_ActionsBarSeparator_1e5e412());
		list.add(this.getManageRearrangeRowLineAction_1e07770());
		list.add(this.getBodyLineEditAction_1c16c76());
		list.add(this.getActionsBar_ActionsBarSeparator_1b7eb2a());
		list.add(this.getDefaultBodyZoomAction_1b052e1());
		return list;
	}

	private CtPuAddLineAction getCtPuAddLineAction_1a75c64() {
		if (this.context.get("nc.ui.ct.purdaily.action.CtPuAddLineAction#1a75c64") != null) {
			return (CtPuAddLineAction) this.context.get("nc.ui.ct.purdaily.action.CtPuAddLineAction#1a75c64");
		} else {
			CtPuAddLineAction bean = new CtPuAddLineAction();
			this.context.put("nc.ui.ct.purdaily.action.CtPuAddLineAction#1a75c64", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private CtPuInsertLineAction getCtPuInsertLineAction_a2cf03() {
		if (this.context.get("nc.ui.ct.purdaily.action.CtPuInsertLineAction#a2cf03") != null) {
			return (CtPuInsertLineAction) this.context.get("nc.ui.ct.purdaily.action.CtPuInsertLineAction#a2cf03");
		} else {
			CtPuInsertLineAction bean = new CtPuInsertLineAction();
			this.context.put("nc.ui.ct.purdaily.action.CtPuInsertLineAction#a2cf03", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private PuDeletRowAction getPuDeletRowAction_c4d369() {
		if (this.context.get("nc.ui.ct.purdaily.action.PuDeletRowAction#c4d369") != null) {
			return (PuDeletRowAction) this.context.get("nc.ui.ct.purdaily.action.PuDeletRowAction#c4d369");
		} else {
			PuDeletRowAction bean = new PuDeletRowAction();
			this.context.put("nc.ui.ct.purdaily.action.PuDeletRowAction#c4d369", bean);
			bean.setTableCode("pk_ct_pu_b");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private ManageBCopyLineAction getManageBCopyLineAction_13b6cb() {
		if (this.context.get("nc.ui.ct.bodyaction.manage.ManageBCopyLineAction#13b6cb") != null) {
			return (ManageBCopyLineAction) this.context.get("nc.ui.ct.bodyaction.manage.ManageBCopyLineAction#13b6cb");
		} else {
			ManageBCopyLineAction bean = new ManageBCopyLineAction();
			this.context.put("nc.ui.ct.bodyaction.manage.ManageBCopyLineAction#13b6cb", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private ManageBPasteLineAction getManageBPasteLineAction_45dbee() {
		if (this.context.get("nc.ui.ct.bodyaction.manage.ManageBPasteLineAction#45dbee") != null) {
			return (ManageBPasteLineAction) this.context
					.get("nc.ui.ct.bodyaction.manage.ManageBPasteLineAction#45dbee");
		} else {
			ManageBPasteLineAction bean = new ManageBPasteLineAction();
			this.context.put("nc.ui.ct.bodyaction.manage.ManageBPasteLineAction#45dbee", bean);
			bean.setClearItems(this.getPasteClearItem_ct_pu_b());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private ManageBPasteToTailLineAction getManageBPasteToTailLineAction_69eb86() {
		if (this.context.get("nc.ui.ct.bodyaction.manage.ManageBPasteToTailLineAction#69eb86") != null) {
			return (ManageBPasteToTailLineAction) this.context
					.get("nc.ui.ct.bodyaction.manage.ManageBPasteToTailLineAction#69eb86");
		} else {
			ManageBPasteToTailLineAction bean = new ManageBPasteToTailLineAction();
			this.context.put("nc.ui.ct.bodyaction.manage.ManageBPasteToTailLineAction#69eb86", bean);
			bean.setClearItems(this.getPasteClearItem_ct_pu_b());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private ActionsBarSeparator getActionsBar_ActionsBarSeparator_1e5e412() {
		if (this.context.get("nc.ui.pub.beans.ActionsBar.ActionsBarSeparator#1e5e412") != null) {
			return (ActionsBarSeparator) this.context.get("nc.ui.pub.beans.ActionsBar.ActionsBarSeparator#1e5e412");
		} else {
			ActionsBarSeparator bean = new ActionsBarSeparator();
			this.context.put("nc.ui.pub.beans.ActionsBar.ActionsBarSeparator#1e5e412", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private ManageRearrangeRowLineAction getManageRearrangeRowLineAction_1e07770() {
		if (this.context.get("nc.ui.ct.bodyaction.manage.ManageRearrangeRowLineAction#1e07770") != null) {
			return (ManageRearrangeRowLineAction) this.context
					.get("nc.ui.ct.bodyaction.manage.ManageRearrangeRowLineAction#1e07770");
		} else {
			ManageRearrangeRowLineAction bean = new ManageRearrangeRowLineAction();
			this.context.put("nc.ui.ct.bodyaction.manage.ManageRearrangeRowLineAction#1e07770", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private BodyLineEditAction getBodyLineEditAction_1c16c76() {
		if (this.context.get("nc.ui.pubapp.uif2app.actions.BodyLineEditAction#1c16c76") != null) {
			return (BodyLineEditAction) this.context.get("nc.ui.pubapp.uif2app.actions.BodyLineEditAction#1c16c76");
		} else {
			BodyLineEditAction bean = new BodyLineEditAction();
			this.context.put("nc.ui.pubapp.uif2app.actions.BodyLineEditAction#1c16c76", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private ActionsBarSeparator getActionsBar_ActionsBarSeparator_1b7eb2a() {
		if (this.context.get("nc.ui.pub.beans.ActionsBar.ActionsBarSeparator#1b7eb2a") != null) {
			return (ActionsBarSeparator) this.context.get("nc.ui.pub.beans.ActionsBar.ActionsBarSeparator#1b7eb2a");
		} else {
			ActionsBarSeparator bean = new ActionsBarSeparator();
			this.context.put("nc.ui.pub.beans.ActionsBar.ActionsBarSeparator#1b7eb2a", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private DefaultBodyZoomAction getDefaultBodyZoomAction_1b052e1() {
		if (this.context.get("nc.ui.pubapp.uif2app.actions.DefaultBodyZoomAction#1b052e1") != null) {
			return (DefaultBodyZoomAction) this.context
					.get("nc.ui.pubapp.uif2app.actions.DefaultBodyZoomAction#1b052e1");
		} else {
			DefaultBodyZoomAction bean = new DefaultBodyZoomAction();
			this.context.put("nc.ui.pubapp.uif2app.actions.DefaultBodyZoomAction#1b052e1", bean);
			bean.setPos(1);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList25() {
		List list = new ArrayList();
		list.add(this.getTermBAddLineAction_1114d50());
		list.add(this.getTermBInsertLineAction_eae5b0());
		list.add(this.getTermBDelLineAction_18db578());
		list.add(this.getTermBCopyLineAction_84fae7());
		list.add(this.getTermBPasteLineAction_7473c2());
		list.add(this.getManageRearrangeRowLineAction_15bcbf1());
		return list;
	}

	private TermBAddLineAction getTermBAddLineAction_1114d50() {
		if (this.context.get("nc.ui.ct.bodyaction.term.TermBAddLineAction#1114d50") != null) {
			return (TermBAddLineAction) this.context.get("nc.ui.ct.bodyaction.term.TermBAddLineAction#1114d50");
		} else {
			TermBAddLineAction bean = new TermBAddLineAction();
			this.context.put("nc.ui.ct.bodyaction.term.TermBAddLineAction#1114d50", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private TermBInsertLineAction getTermBInsertLineAction_eae5b0() {
		if (this.context.get("nc.ui.ct.bodyaction.term.TermBInsertLineAction#eae5b0") != null) {
			return (TermBInsertLineAction) this.context.get("nc.ui.ct.bodyaction.term.TermBInsertLineAction#eae5b0");
		} else {
			TermBInsertLineAction bean = new TermBInsertLineAction();
			this.context.put("nc.ui.ct.bodyaction.term.TermBInsertLineAction#eae5b0", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private TermBDelLineAction getTermBDelLineAction_18db578() {
		if (this.context.get("nc.ui.ct.bodyaction.term.TermBDelLineAction#18db578") != null) {
			return (TermBDelLineAction) this.context.get("nc.ui.ct.bodyaction.term.TermBDelLineAction#18db578");
		} else {
			TermBDelLineAction bean = new TermBDelLineAction();
			this.context.put("nc.ui.ct.bodyaction.term.TermBDelLineAction#18db578", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private TermBCopyLineAction getTermBCopyLineAction_84fae7() {
		if (this.context.get("nc.ui.ct.bodyaction.term.TermBCopyLineAction#84fae7") != null) {
			return (TermBCopyLineAction) this.context.get("nc.ui.ct.bodyaction.term.TermBCopyLineAction#84fae7");
		} else {
			TermBCopyLineAction bean = new TermBCopyLineAction();
			this.context.put("nc.ui.ct.bodyaction.term.TermBCopyLineAction#84fae7", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private TermBPasteLineAction getTermBPasteLineAction_7473c2() {
		if (this.context.get("nc.ui.ct.bodyaction.term.TermBPasteLineAction#7473c2") != null) {
			return (TermBPasteLineAction) this.context.get("nc.ui.ct.bodyaction.term.TermBPasteLineAction#7473c2");
		} else {
			TermBPasteLineAction bean = new TermBPasteLineAction();
			this.context.put("nc.ui.ct.bodyaction.term.TermBPasteLineAction#7473c2", bean);
			bean.setClearItems(this.getPasteClearItem_ct_pu_term());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private ManageRearrangeRowLineAction getManageRearrangeRowLineAction_15bcbf1() {
		if (this.context.get("nc.ui.ct.bodyaction.manage.ManageRearrangeRowLineAction#15bcbf1") != null) {
			return (ManageRearrangeRowLineAction) this.context
					.get("nc.ui.ct.bodyaction.manage.ManageRearrangeRowLineAction#15bcbf1");
		} else {
			ManageRearrangeRowLineAction bean = new ManageRearrangeRowLineAction();
			this.context.put("nc.ui.ct.bodyaction.manage.ManageRearrangeRowLineAction#15bcbf1", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList26() {
		List list = new ArrayList();
		list.add(this.getExpBAddLineAction_1aa5488());
		list.add(this.getExpBInsertLineAction_193ad92());
		list.add(this.getExpBDelLineAction_687822());
		list.add(this.getExpBCopyLineAction_a72a72());
		list.add(this.getExpBPasteLineAction_d3c7a1());
		return list;
	}

	private ExpBAddLineAction getExpBAddLineAction_1aa5488() {
		if (this.context.get("nc.ui.ct.bodyaction.exp.ExpBAddLineAction#1aa5488") != null) {
			return (ExpBAddLineAction) this.context.get("nc.ui.ct.bodyaction.exp.ExpBAddLineAction#1aa5488");
		} else {
			ExpBAddLineAction bean = new ExpBAddLineAction();
			this.context.put("nc.ui.ct.bodyaction.exp.ExpBAddLineAction#1aa5488", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private ExpBInsertLineAction getExpBInsertLineAction_193ad92() {
		if (this.context.get("nc.ui.ct.bodyaction.exp.ExpBInsertLineAction#193ad92") != null) {
			return (ExpBInsertLineAction) this.context.get("nc.ui.ct.bodyaction.exp.ExpBInsertLineAction#193ad92");
		} else {
			ExpBInsertLineAction bean = new ExpBInsertLineAction();
			this.context.put("nc.ui.ct.bodyaction.exp.ExpBInsertLineAction#193ad92", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private ExpBDelLineAction getExpBDelLineAction_687822() {
		if (this.context.get("nc.ui.ct.bodyaction.exp.ExpBDelLineAction#687822") != null) {
			return (ExpBDelLineAction) this.context.get("nc.ui.ct.bodyaction.exp.ExpBDelLineAction#687822");
		} else {
			ExpBDelLineAction bean = new ExpBDelLineAction();
			this.context.put("nc.ui.ct.bodyaction.exp.ExpBDelLineAction#687822", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private ExpBCopyLineAction getExpBCopyLineAction_a72a72() {
		if (this.context.get("nc.ui.ct.bodyaction.exp.ExpBCopyLineAction#a72a72") != null) {
			return (ExpBCopyLineAction) this.context.get("nc.ui.ct.bodyaction.exp.ExpBCopyLineAction#a72a72");
		} else {
			ExpBCopyLineAction bean = new ExpBCopyLineAction();
			this.context.put("nc.ui.ct.bodyaction.exp.ExpBCopyLineAction#a72a72", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private ExpBPasteLineAction getExpBPasteLineAction_d3c7a1() {
		if (this.context.get("nc.ui.ct.bodyaction.exp.ExpBPasteLineAction#d3c7a1") != null) {
			return (ExpBPasteLineAction) this.context.get("nc.ui.ct.bodyaction.exp.ExpBPasteLineAction#d3c7a1");
		} else {
			ExpBPasteLineAction bean = new ExpBPasteLineAction();
			this.context.put("nc.ui.ct.bodyaction.exp.ExpBPasteLineAction#d3c7a1", bean);
			bean.setClearItems(this.getPasteClearItem_ct_pu_exp());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList27() {
		List list = new ArrayList();
		list.add(this.getMemoraBAddLineAction_1d7478f());
		list.add(this.getMemoraBInsertLineAction_9b3392());
		list.add(this.getMemoraBDelLineAction_156d139());
		list.add(this.getMemoraBCopyLineAction_c21297());
		list.add(this.getMemoraBPasteLineAction_152b25d());
		return list;
	}

	private MemoraBAddLineAction getMemoraBAddLineAction_1d7478f() {
		if (this.context.get("nc.ui.ct.bodyaction.memora.MemoraBAddLineAction#1d7478f") != null) {
			return (MemoraBAddLineAction) this.context.get("nc.ui.ct.bodyaction.memora.MemoraBAddLineAction#1d7478f");
		} else {
			MemoraBAddLineAction bean = new MemoraBAddLineAction();
			this.context.put("nc.ui.ct.bodyaction.memora.MemoraBAddLineAction#1d7478f", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private MemoraBInsertLineAction getMemoraBInsertLineAction_9b3392() {
		if (this.context.get("nc.ui.ct.bodyaction.memora.MemoraBInsertLineAction#9b3392") != null) {
			return (MemoraBInsertLineAction) this.context
					.get("nc.ui.ct.bodyaction.memora.MemoraBInsertLineAction#9b3392");
		} else {
			MemoraBInsertLineAction bean = new MemoraBInsertLineAction();
			this.context.put("nc.ui.ct.bodyaction.memora.MemoraBInsertLineAction#9b3392", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private MemoraBDelLineAction getMemoraBDelLineAction_156d139() {
		if (this.context.get("nc.ui.ct.bodyaction.memora.MemoraBDelLineAction#156d139") != null) {
			return (MemoraBDelLineAction) this.context.get("nc.ui.ct.bodyaction.memora.MemoraBDelLineAction#156d139");
		} else {
			MemoraBDelLineAction bean = new MemoraBDelLineAction();
			this.context.put("nc.ui.ct.bodyaction.memora.MemoraBDelLineAction#156d139", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private MemoraBCopyLineAction getMemoraBCopyLineAction_c21297() {
		if (this.context.get("nc.ui.ct.bodyaction.memora.MemoraBCopyLineAction#c21297") != null) {
			return (MemoraBCopyLineAction) this.context.get("nc.ui.ct.bodyaction.memora.MemoraBCopyLineAction#c21297");
		} else {
			MemoraBCopyLineAction bean = new MemoraBCopyLineAction();
			this.context.put("nc.ui.ct.bodyaction.memora.MemoraBCopyLineAction#c21297", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private MemoraBPasteLineAction getMemoraBPasteLineAction_152b25d() {
		if (this.context.get("nc.ui.ct.bodyaction.memora.MemoraBPasteLineAction#152b25d") != null) {
			return (MemoraBPasteLineAction) this.context
					.get("nc.ui.ct.bodyaction.memora.MemoraBPasteLineAction#152b25d");
		} else {
			MemoraBPasteLineAction bean = new MemoraBPasteLineAction();
			this.context.put("nc.ui.ct.bodyaction.memora.MemoraBPasteLineAction#152b25d", bean);
			bean.setClearItems(this.getPasteClearItem_ct_pu_memora());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public MouseClickShowPanelMediator getMouseClickShowPanelMediator() {
		if (this.context.get("mouseClickShowPanelMediator") != null) {
			return (MouseClickShowPanelMediator) this.context.get("mouseClickShowPanelMediator");
		} else {
			MouseClickShowPanelMediator bean = new MouseClickShowPanelMediator();
			this.context.put("mouseClickShowPanelMediator", bean);
			bean.setListView(this.getListView());
			bean.setShowUpComponent(this.getBillFormEditor());
			bean.setHyperLinkColumn("vbillcode");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public CardPanelOrgSetterForAllRefMediator getCardPanelOrgSetterForAllRefMediator() {
		if (this.context.get("cardPanelOrgSetterForAllRefMediator") != null) {
			return (CardPanelOrgSetterForAllRefMediator) this.context.get("cardPanelOrgSetterForAllRefMediator");
		} else {
			CardPanelOrgSetterForAllRefMediator bean = new CardPanelOrgSetterForAllRefMediator(
					this.getBillFormEditor());
			this.context.put("cardPanelOrgSetterForAllRefMediator", bean);
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BillCodeMediator getBillCodeMediator() {
		if (this.context.get("billCodeMediator") != null) {
			return (BillCodeMediator) this.context.get("billCodeMediator");
		} else {
			BillCodeMediator bean = new BillCodeMediator();
			this.context.put("billCodeMediator", bean);
			bean.setBillForm(this.getBillFormEditor());
			bean.setBillCodeKey("vbillcode");
			bean.setBillType("Z2");
			bean.initUI();
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public UEQueryAreaShell getQueryArea() {
		if (this.context.get("queryArea") != null) {
			return (UEQueryAreaShell) this.context.get("queryArea");
		} else {
			UEQueryAreaShell bean = new UEQueryAreaShell();
			this.context.put("queryArea", bean);
			bean.setQueryAreaCreator(this.getQueryAction());
			//20240125ؿٲѯ
			//bean.initUI();
			bean.hide();
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public CardLayoutToolbarPanel getQueryInfo() {
		if (this.context.get("queryInfo") != null) {
			return (CardLayoutToolbarPanel) this.context.get("queryInfo");
		} else {
			CardLayoutToolbarPanel bean = new CardLayoutToolbarPanel();
			this.context.put("queryInfo", bean);
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public QueryTemplateContainer getQueryTemplateContainer() {
		if (this.context.get("queryTemplateContainer") != null) {
			return (QueryTemplateContainer) this.context.get("queryTemplateContainer");
		} else {
			QueryTemplateContainer bean = new QueryTemplateContainer();
			this.context.put("queryTemplateContainer", bean);
			bean.setContext(this.getContext());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public UIF2RemoteCallCombinatorCaller getRemoteCallCombinatorCaller() {
		if (this.context.get("remoteCallCombinatorCaller") != null) {
			return (UIF2RemoteCallCombinatorCaller) this.context.get("remoteCallCombinatorCaller");
		} else {
			UIF2RemoteCallCombinatorCaller bean = new UIF2RemoteCallCombinatorCaller();
			this.context.put("remoteCallCombinatorCaller", bean);
			bean.setRemoteCallers(this.getManagedList28());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList28() {
		List list = new ArrayList();
		list.add(this.getQueryTemplateContainer());
		list.add(this.getTemplateContainer());
		list.add(this.getUserdefitemContainer());
		list.add(this.getPfAddInfoLoader());
		return list;
	}

	public UserdefitemContainerPreparator getUserdefitemPreparator() {
		if (this.context.get("userdefitemPreparator") != null) {
			return (UserdefitemContainerPreparator) this.context.get("userdefitemPreparator");
		} else {
			UserdefitemContainerPreparator bean = new UserdefitemContainerPreparator();
			this.context.put("userdefitemPreparator", bean);
			bean.setContainer(this.getUserdefitemContainer());
			bean.setParams(this.getManagedList29());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList29() {
		List list = new ArrayList();
		list.add(this.getUserdefQueryParam_3c09c9());
		list.add(this.getUserdefQueryParam_1a6705e());
		return list;
	}

	private UserdefQueryParam getUserdefQueryParam_3c09c9() {
		if (this.context.get("nc.ui.uif2.editor.UserdefQueryParam#3c09c9") != null) {
			return (UserdefQueryParam) this.context.get("nc.ui.uif2.editor.UserdefQueryParam#3c09c9");
		} else {
			UserdefQueryParam bean = new UserdefQueryParam();
			this.context.put("nc.ui.uif2.editor.UserdefQueryParam#3c09c9", bean);
			bean.setMdfullname("ct.ct_pu");
			bean.setPos(0);
			bean.setPrefix("vdef");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private UserdefQueryParam getUserdefQueryParam_1a6705e() {
		if (this.context.get("nc.ui.uif2.editor.UserdefQueryParam#1a6705e") != null) {
			return (UserdefQueryParam) this.context.get("nc.ui.uif2.editor.UserdefQueryParam#1a6705e");
		} else {
			UserdefQueryParam bean = new UserdefQueryParam();
			this.context.put("nc.ui.uif2.editor.UserdefQueryParam#1a6705e", bean);
			bean.setMdfullname("ct.ct_pu_b");
			bean.setPos(1);
			bean.setPrefix("vbdef");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public MarAsstPreparator getMarAsstPreparator() {
		if (this.context.get("marAsstPreparator") != null) {
			return (MarAsstPreparator) this.context.get("marAsstPreparator");
		} else {
			MarAsstPreparator bean = new MarAsstPreparator();
			this.context.put("marAsstPreparator", bean);
			bean.setModel(this.getManageAppModel());
			bean.setContainer(this.getUserdefitemContainer());
			bean.setPrefix("vfree");
			bean.setMaterialField("pk_material");
			bean.setProductorField("cproductorid");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public UserDefItemContainer getUserdefitemContainer() {
		if (this.context.get("userdefitemContainer") != null) {
			return (UserDefItemContainer) this.context.get("userdefitemContainer");
		} else {
			UserDefItemContainer bean = new UserDefItemContainer();
			this.context.put("userdefitemContainer", bean);
			bean.setContext(this.getContext());
			bean.setParams(this.getManagedList30());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList30() {
		List list = new ArrayList();
		list.add(this.getQueryParam_1b6288());
		list.add(this.getQueryParam_1e20e5f());
		list.add(this.getQueryParam_1db547());
		return list;
	}

	private QueryParam getQueryParam_1b6288() {
		if (this.context.get("nc.ui.uif2.userdefitem.QueryParam#1b6288") != null) {
			return (QueryParam) this.context.get("nc.ui.uif2.userdefitem.QueryParam#1b6288");
		} else {
			QueryParam bean = new QueryParam();
			this.context.put("nc.ui.uif2.userdefitem.QueryParam#1b6288", bean);
			bean.setMdfullname("ct.ct_pu");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private QueryParam getQueryParam_1e20e5f() {
		if (this.context.get("nc.ui.uif2.userdefitem.QueryParam#1e20e5f") != null) {
			return (QueryParam) this.context.get("nc.ui.uif2.userdefitem.QueryParam#1e20e5f");
		} else {
			QueryParam bean = new QueryParam();
			this.context.put("nc.ui.uif2.userdefitem.QueryParam#1e20e5f", bean);
			bean.setMdfullname("ct.ct_pu_b");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private QueryParam getQueryParam_1db547() {
		if (this.context.get("nc.ui.uif2.userdefitem.QueryParam#1db547") != null) {
			return (QueryParam) this.context.get("nc.ui.uif2.userdefitem.QueryParam#1db547");
		} else {
			QueryParam bean = new QueryParam();
			this.context.put("nc.ui.uif2.userdefitem.QueryParam#1db547", bean);
			bean.setRulecode("materialassistant");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public UECardLayoutToolbarPanel getCardInfoPnl() {
		if (this.context.get("cardInfoPnl") != null) {
			return (UECardLayoutToolbarPanel) this.context.get("cardInfoPnl");
		} else {
			UECardLayoutToolbarPanel bean = new UECardLayoutToolbarPanel();
			this.context.put("cardInfoPnl", bean);
			bean.setTitleAction(this.getReturnaction());
			bean.setRightExActions(this.getManagedList31());
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private UEReturnAction getReturnaction() {
		if (this.context.get("returnaction") != null) {
			return (UEReturnAction) this.context.get("returnaction");
		} else {
			UEReturnAction bean = new UEReturnAction();
			this.context.put("returnaction", bean);
			bean.setGoComponent(this.getListView());
			bean.setSaveAction(this.getSaveAction());
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList31() {
		List list = new ArrayList();
		list.add(this.getActionsBar_ActionsBarSeparator_6885ec());
		list.add(this.getHeadZoomAction());
		return list;
	}

	private ActionsBarSeparator getActionsBar_ActionsBarSeparator_6885ec() {
		if (this.context.get("nc.ui.pub.beans.ActionsBar.ActionsBarSeparator#6885ec") != null) {
			return (ActionsBarSeparator) this.context.get("nc.ui.pub.beans.ActionsBar.ActionsBarSeparator#6885ec");
		} else {
			ActionsBarSeparator bean = new ActionsBarSeparator();
			this.context.put("nc.ui.pub.beans.ActionsBar.ActionsBarSeparator#6885ec", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private DefaultHeadZoomAction getHeadZoomAction() {
		if (this.context.get("headZoomAction") != null) {
			return (DefaultHeadZoomAction) this.context.get("headZoomAction");
		} else {
			DefaultHeadZoomAction bean = new DefaultHeadZoomAction();
			this.context.put("headZoomAction", bean);
			bean.setBillForm(this.getBillFormEditor());
			bean.setModel(this.getManageAppModel());
			bean.setPos(0);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public TangramContainer getContainer() {
		if (this.context.get("container") != null) {
			return (TangramContainer) this.context.get("container");
		} else {
			TangramContainer bean = new TangramContainer();
			this.context.put("container", bean);
			bean.setModel(this.getManageAppModel());
			bean.setTangramLayoutRoot(this.getTBNode_19911f0());
			bean.initUI();
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private TBNode getTBNode_19911f0() {
		if (this.context.get("nc.ui.uif2.tangramlayout.node.TBNode#19911f0") != null) {
			return (TBNode) this.context.get("nc.ui.uif2.tangramlayout.node.TBNode#19911f0");
		} else {
			TBNode bean = new TBNode();
			this.context.put("nc.ui.uif2.tangramlayout.node.TBNode#19911f0", bean);
			bean.setShowMode("CardLayout");
			bean.setTabs(this.getManagedList32());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList32() {
		List list = new ArrayList();
		list.add(this.getHSNode_e73fc5());
		list.add(this.getVSNode_121bb71());
		list.add(this.getListviewhistornode());
		return list;
	}

	private HSNode getHSNode_e73fc5() {
		if (this.context.get("nc.ui.uif2.tangramlayout.node.HSNode#e73fc5") != null) {
			return (HSNode) this.context.get("nc.ui.uif2.tangramlayout.node.HSNode#e73fc5");
		} else {
			HSNode bean = new HSNode();
			this.context.put("nc.ui.uif2.tangramlayout.node.HSNode#e73fc5", bean);
			bean.setLeft(this.getCNode_307d7a());
			bean.setRight(this.getVSNode_1a7f19c());
			bean.setDividerLocation(0.22F);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private CNode getCNode_307d7a() {
		if (this.context.get("nc.ui.uif2.tangramlayout.node.CNode#307d7a") != null) {
			return (CNode) this.context.get("nc.ui.uif2.tangramlayout.node.CNode#307d7a");
		} else {
			CNode bean = new CNode();
			this.context.put("nc.ui.uif2.tangramlayout.node.CNode#307d7a", bean);
			bean.setComponent(this.getQueryArea());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private VSNode getVSNode_1a7f19c() {
		if (this.context.get("nc.ui.uif2.tangramlayout.node.VSNode#1a7f19c") != null) {
			return (VSNode) this.context.get("nc.ui.uif2.tangramlayout.node.VSNode#1a7f19c");
		} else {
			VSNode bean = new VSNode();
			this.context.put("nc.ui.uif2.tangramlayout.node.VSNode#1a7f19c", bean);
			bean.setUp(this.getCNode_17e01d1());
			bean.setDown(this.getCNode_18b03d2());
			bean.setDividerLocation(25.0F);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private CNode getCNode_17e01d1() {
		if (this.context.get("nc.ui.uif2.tangramlayout.node.CNode#17e01d1") != null) {
			return (CNode) this.context.get("nc.ui.uif2.tangramlayout.node.CNode#17e01d1");
		} else {
			CNode bean = new CNode();
			this.context.put("nc.ui.uif2.tangramlayout.node.CNode#17e01d1", bean);
			bean.setComponent(this.getQueryInfo());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private CNode getCNode_18b03d2() {
		if (this.context.get("nc.ui.uif2.tangramlayout.node.CNode#18b03d2") != null) {
			return (CNode) this.context.get("nc.ui.uif2.tangramlayout.node.CNode#18b03d2");
		} else {
			CNode bean = new CNode();
			this.context.put("nc.ui.uif2.tangramlayout.node.CNode#18b03d2", bean);
			bean.setName(this.getI18nFB_413ef0());
			bean.setComponent(this.getListView());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private String getI18nFB_413ef0() {
		if (this.context.get("nc.ui.uif2.I18nFB#413ef0") != null) {
			return (String) this.context.get("nc.ui.uif2.I18nFB#413ef0");
		} else {
			I18nFB bean = new I18nFB();
			this.context.put("&nc.ui.uif2.I18nFB#413ef0", bean);
			bean.setResDir("common");
			bean.setResId("UC001-0000107");
			bean.setDefaultValue("б");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);

			try {
				Object product = bean.getObject();
				this.context.put("nc.ui.uif2.I18nFB#413ef0", product);
				return (String) product;
			} catch (Exception var3) {
				throw new RuntimeException(var3);
			}
		}
	}

	private VSNode getVSNode_121bb71() {
		if (this.context.get("nc.ui.uif2.tangramlayout.node.VSNode#121bb71") != null) {
			return (VSNode) this.context.get("nc.ui.uif2.tangramlayout.node.VSNode#121bb71");
		} else {
			VSNode bean = new VSNode();
			this.context.put("nc.ui.uif2.tangramlayout.node.VSNode#121bb71", bean);
			bean.setUp(this.getCNode_ba521());
			bean.setDown(this.getCNode_705dda());
			bean.setDividerLocation(25.0F);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private CNode getCNode_ba521() {
		if (this.context.get("nc.ui.uif2.tangramlayout.node.CNode#ba521") != null) {
			return (CNode) this.context.get("nc.ui.uif2.tangramlayout.node.CNode#ba521");
		} else {
			CNode bean = new CNode();
			this.context.put("nc.ui.uif2.tangramlayout.node.CNode#ba521", bean);
			bean.setComponent(this.getCardInfoPnl());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private CNode getCNode_705dda() {
		if (this.context.get("nc.ui.uif2.tangramlayout.node.CNode#705dda") != null) {
			return (CNode) this.context.get("nc.ui.uif2.tangramlayout.node.CNode#705dda");
		} else {
			CNode bean = new CNode();
			this.context.put("nc.ui.uif2.tangramlayout.node.CNode#705dda", bean);
			bean.setName(this.getI18nFB_862afd());
			bean.setComponent(this.getBillFormEditor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private String getI18nFB_862afd() {
		if (this.context.get("nc.ui.uif2.I18nFB#862afd") != null) {
			return (String) this.context.get("nc.ui.uif2.I18nFB#862afd");
		} else {
			I18nFB bean = new I18nFB();
			this.context.put("&nc.ui.uif2.I18nFB#862afd", bean);
			bean.setResDir("common");
			bean.setResId("UC001-0000106");
			bean.setDefaultValue("Ƭ");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);

			try {
				Object product = bean.getObject();
				this.context.put("nc.ui.uif2.I18nFB#862afd", product);
				return (String) product;
			} catch (Exception var3) {
				throw new RuntimeException(var3);
			}
		}
	}

	public CNode getListviewhistornode() {
		if (this.context.get("listviewhistornode") != null) {
			return (CNode) this.context.get("listviewhistornode");
		} else {
			CNode bean = new CNode();
			this.context.put("listviewhistornode", bean);
			bean.setComponent(this.getListViewHistory());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public ScmBDLinkQueryMediator getDiscountMediator() {
		if (this.context.get("discountMediator") != null) {
			return (ScmBDLinkQueryMediator) this.context.get("discountMediator");
		} else {
			ScmBDLinkQueryMediator bean = new ScmBDLinkQueryMediator();
			this.context.put("discountMediator", bean);
			bean.setModel(this.getManageAppModel());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public RowNoMediator getRowNoMediator() {
		if (this.context.get("rowNoMediator") != null) {
			return (RowNoMediator) this.context.get("rowNoMediator");
		} else {
			RowNoMediator bean = new RowNoMediator();
			this.context.put("rowNoMediator", bean);
			bean.setModel(this.getManageAppModel());
			bean.setEditor(this.getBillFormEditor());
			bean.setRowNoKey("crowno");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public ClosingCheck getClosingListener() {
		if (this.context.get("ClosingListener") != null) {
			return (ClosingCheck) this.context.get("ClosingListener");
		} else {
			ClosingCheck bean = new ClosingCheck();
			this.context.put("ClosingListener", bean);
			bean.setModel(this.getManageAppModel());
			bean.setSaveAction(this.getSaveAction());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public ChildrenFilter getBlankitemfilter() {
		if (this.context.get("blankitemfilter") != null) {
			return (ChildrenFilter) this.context.get("blankitemfilter");
		} else {
			ChildrenFilter bean = new ChildrenFilter();
			this.context.put("blankitemfilter", bean);
			bean.setFilterMap(this.getManagedMap3());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private Map getManagedMap3() {
		Map map = new HashMap();
		map.put("pk_ct_pu_b", this.getManagedList33());
		map.put("pk_ct_pu_term", this.getManagedList34());
		map.put("pk_ct_pu_exp", this.getManagedList35());
		map.put("pk_ct_pu_memora", this.getManagedList36());
		map.put("pk_ct_pu_change", this.getManagedList37());
		return map;
	}

	private List getManagedList33() {
		List list = new ArrayList();
		list.add("pk_material");
		list.add("pk_marbasclass");
		list.add("cunitid");
		list.add("nnum");
		list.add("nqtorigprice");
		list.add("nqtorigtaxprice");
		list.add("norigtaxmny");
		return list;
	}

	private List getManagedList34() {
		List list = new ArrayList();
		list.add("vtermcode");
		list.add("vtermcontent");
		list.add("votherinfo");
		list.add("vmemo");
		return list;
	}

	private List getManagedList35() {
		List list = new ArrayList();
		list.add("vexpcode");
		list.add("vexpsum");
		list.add("vmemo");
		return list;
	}

	private List getManagedList36() {
		List list = new ArrayList();
		list.add("vmemoracode");
		list.add("vmemo");
		return list;
	}

	private List getManagedList37() {
		List list = new ArrayList();
		list.add("vchangecode");
		return list;
	}

	public FractionFixMediator getFractionFixMediator() {
		if (this.context.get("fractionFixMediator") != null) {
			return (FractionFixMediator) this.context.get("fractionFixMediator");
		} else {
			FractionFixMediator bean = new FractionFixMediator(this.getManagedList38(), this.getManagedList39());
			this.context.put("fractionFixMediator", bean);
			bean.initUI();
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList38() {
		List list = new ArrayList();
		list.add(this.getBillFormEditor());
		return list;
	}

	private List getManagedList39() {
		List list = new ArrayList();
		list.add(this.getListView());
		return list;
	}

	public TransferViewProcessor getTransferViewProcessor1() {
		if (this.context.get("transferViewProcessor1") != null) {
			return (TransferViewProcessor) this.context.get("transferViewProcessor1");
		} else {
			TransferViewProcessor bean = new TransferViewProcessor();
			this.context.put("transferViewProcessor1", bean);
			bean.setList(this.getListView());
			bean.setActionContainer(this.getActionsOfList());
			bean.setCardActionContainer(this.getActionsOfCard());
			bean.setSaveAction(this.getSaveAction());
			bean.setCommitAction(this.getCommitAction());
			bean.setCancelAction(this.getCancelAction());
			bean.setQueryInfoToolbarPanel(this.getQueryInfo());
			bean.setQueryAreaShell(this.getQueryArea());
			bean.setBillForm(this.getBillFormEditor());
			bean.setTransferLogic(this.getDefaultBillDataLogic_68dac0());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private DefaultBillDataLogic getDefaultBillDataLogic_68dac0() {
		if (this.context.get("nc.ui.pubapp.billref.dest.DefaultBillDataLogic#68dac0") != null) {
			return (DefaultBillDataLogic) this.context.get("nc.ui.pubapp.billref.dest.DefaultBillDataLogic#68dac0");
		} else {
			DefaultBillDataLogic bean = new DefaultBillDataLogic();
			this.context.put("nc.ui.pubapp.billref.dest.DefaultBillDataLogic#68dac0", bean);
			bean.setBillForm(this.getBillFormEditor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public BillBodySortMediator getBillBodySortMediator() {
		if (this.context.get("billBodySortMediator") != null) {
			return (BillBodySortMediator) this.context.get("billBodySortMediator");
		} else {
			BillBodySortMediator bean = new BillBodySortMediator(this.getManageAppModel(), this.getBillFormEditor(),
					this.getListView());
			this.context.put("billBodySortMediator", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public CompositeBillDataPrepare getUserdefAndMarAsstCardPreparator() {
		if (this.context.get("userdefAndMarAsstCardPreparator") != null) {
			return (CompositeBillDataPrepare) this.context.get("userdefAndMarAsstCardPreparator");
		} else {
			CompositeBillDataPrepare bean = new CompositeBillDataPrepare();
			this.context.put("userdefAndMarAsstCardPreparator", bean);
			bean.setBillDataPrepares(this.getManagedList40());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList40() {
		List list = new ArrayList();
		list.add(this.getUserdefitemPreparator());
		list.add(this.getMarAsstPreparator());
		return list;
	}

	public CompositeBillListDataPrepare getUserdefAndMarAsstListPreparator() {
		if (this.context.get("userdefAndMarAsstListPreparator") != null) {
			return (CompositeBillListDataPrepare) this.context.get("userdefAndMarAsstListPreparator");
		} else {
			CompositeBillListDataPrepare bean = new CompositeBillListDataPrepare();
			this.context.put("userdefAndMarAsstListPreparator", bean);
			bean.setBillListDataPrepares(this.getManagedList41());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList41() {
		List list = new ArrayList();
		list.add(this.getUserdefitemlistPreparator());
		list.add(this.getMarAsstPreparator());
		return list;
	}

	public UserdefitemContainerListPreparator getUserdefitemlistPreparator() {
		if (this.context.get("userdefitemlistPreparator") != null) {
			return (UserdefitemContainerListPreparator) this.context.get("userdefitemlistPreparator");
		} else {
			UserdefitemContainerListPreparator bean = new UserdefitemContainerListPreparator();
			this.context.put("userdefitemlistPreparator", bean);
			bean.setContainer(this.getUserdefitemContainer());
			bean.setParams(this.getManagedList42());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList42() {
		List list = new ArrayList();
		list.add(this.getUserdefQueryParam_1f17aa4());
		list.add(this.getUserdefQueryParam_aaa808());
		return list;
	}

	private UserdefQueryParam getUserdefQueryParam_1f17aa4() {
		if (this.context.get("nc.ui.uif2.editor.UserdefQueryParam#1f17aa4") != null) {
			return (UserdefQueryParam) this.context.get("nc.ui.uif2.editor.UserdefQueryParam#1f17aa4");
		} else {
			UserdefQueryParam bean = new UserdefQueryParam();
			this.context.put("nc.ui.uif2.editor.UserdefQueryParam#1f17aa4", bean);
			bean.setMdfullname("ct.ct_pu");
			bean.setPos(0);
			bean.setPrefix("vdef");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private UserdefQueryParam getUserdefQueryParam_aaa808() {
		if (this.context.get("nc.ui.uif2.editor.UserdefQueryParam#aaa808") != null) {
			return (UserdefQueryParam) this.context.get("nc.ui.uif2.editor.UserdefQueryParam#aaa808");
		} else {
			UserdefQueryParam bean = new UserdefQueryParam();
			this.context.put("nc.ui.uif2.editor.UserdefQueryParam#aaa808", bean);
			bean.setMdfullname("ct.ct_pu_b");
			bean.setPos(1);
			bean.setTabcode("pk_ct_pu_b");
			bean.setPrefix("vbdef");
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public DefaultBillLazilyLoader getBillLazilyLoader() {
		if (this.context.get("billLazilyLoader") != null) {
			return (DefaultBillLazilyLoader) this.context.get("billLazilyLoader");
		} else {
			DefaultBillLazilyLoader bean = new DefaultBillLazilyLoader();
			this.context.put("billLazilyLoader", bean);
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public CtCardPanelLazilyLoad getCardLazySupport() {
		if (this.context.get("cardLazySupport") != null) {
			return (CtCardPanelLazilyLoad) this.context.get("cardLazySupport");
		} else {
			CtCardPanelLazilyLoad bean = new CtCardPanelLazilyLoad();
			this.context.put("cardLazySupport", bean);
			bean.setBillform(this.getBillFormEditor());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public CtListPanelLazilyLoad getListLazySupport() {
		if (this.context.get("listLazySupport") != null) {
			return (CtListPanelLazilyLoad) this.context.get("listLazySupport");
		} else {
			CtListPanelLazilyLoad bean = new CtListPanelLazilyLoad();
			this.context.put("listLazySupport", bean);
			bean.setListView(this.getListView());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	public LazilyLoadManager getLasilyLodadMediator() {
		if (this.context.get("lasilyLodadMediator") != null) {
			return (LazilyLoadManager) this.context.get("lasilyLodadMediator");
		} else {
			LazilyLoadManager bean = new LazilyLoadManager();
			this.context.put("lasilyLodadMediator", bean);
			bean.setModel(this.getManageAppModel());
			bean.setLoader(this.getBillLazilyLoader());
			bean.setLazilyLoadSupporter(this.getManagedList43());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList43() {
		List list = new ArrayList();
		list.add(this.getCardLazySupport());
		list.add(this.getListLazySupport());
		list.add(this.getLazyActions());
		return list;
	}

	public ActionLazilyLoad getLazyActions() {
		if (this.context.get("lazyActions") != null) {
			return (ActionLazilyLoad) this.context.get("lazyActions");
		} else {
			ActionLazilyLoad bean = new ActionLazilyLoad();
			this.context.put("lazyActions", bean);
			bean.setModel(this.getManageAppModel());
			bean.setActionList(this.getManagedList44());
			this.setBeanFacotryIfBeanFacatoryAware(bean);
			this.invokeInitializingBean(bean);
			return bean;
		}
	}

	private List getManagedList44() {
		List list = new ArrayList();
		list.add(this.getPrintAction());
		list.add(this.getPreviewAction());
		list.add(this.getOutputAction());
		return list;
	}
}