package nc.ui.cmp.settlement.actions;

import java.awt.event.ActionEvent;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;

import javax.swing.Action;

import nc.bs.framework.common.NCLocator;
import nc.cmp.settlement.validate.SettleValidate;
import nc.cmp.utils.CmpUtils;
import nc.cmp.utils.DataUtil;
import nc.cmp.utils.SettleUtils;
import nc.funcnode.ui.action.INCAction;
import nc.itf.cmp.ebank.ICMPPaymentService;
import nc.itf.cmp.pub.CmpSelfDefButtonNameConst;
import nc.itf.cmp.settlement.ISettlementQueryService;
import nc.pubitf.bbd.CurrtypeQuery;
import nc.ui.cmp.netpayment.PaymentProc;
import nc.ui.pub.beans.MessageDialog;
import nc.ui.pub.beans.UIDialog;
import nc.ui.uif2.ShowStatusBarMsgUtil;
import nc.ui.uif2.model.AbstractUIAppModel;
import nc.vo.cmp.BusiStatus;
import nc.vo.cmp.SettleStatus;
import nc.vo.cmp.settlement.SettleEnumCollection.Direction;
import nc.vo.cmp.settlement.international.util.SettleInternationalValidate;
import nc.vo.cmp.settlement.SettlementAggVO;
import nc.vo.cmp.settlement.SettlementBodyVO;
import nc.vo.cmp.settlement.SettlementHeadVO;
import nc.vo.cmp.validate.CMPValidate;
import nc.vo.pub.BusinessException;
import nc.vo.pub.CircularlyAccessibleValueObject;
import nc.vo.pub.lang.UFDouble;
import nc.vo.pubapp.pattern.data.ValueUtils;
import nc.vo.pubapp.pattern.pub.MathTool;
import nc.vo.tmpub.util.TMCurrencyUtil;

/**
 * ת
 * 
 * @author wuzhwa
 * @since v6.0
 * 
 */
public class SettleNetPayTransferAction extends SettleDefaultAction {

	private static final long serialVersionUID = -4257102182028309094L;

	public SettleNetPayTransferAction() {

		setBtnName(CmpSelfDefButtonNameConst.getInstance().getConstBtnnameNetpaytransferName());
		putValue(Action.SHORT_DESCRIPTION, getBtnName());
		putValue(INCAction.CODE, "ת");/*-=notranslate=-*/

	}

	/*
	 * (non-Javadoc)
	 *
	 * @see
	 * nc.ui.cmp.settlement.actions.SettleDefaultAction#doAction(java.awt.event
	 * .ActionEvent)
	 *
	 * @see V57 void
	 * nc.ui.cmp.settlement.SettlementCardEventHandler.onBoNetTransfer()
	 */
	@Override
	public void doAction(ActionEvent e) throws Exception {

		/**
		 * Ѿɹĵ ܽת ֧ĵݽ㷽ʽΪգӦΪѡԵĵ ֧ʱʾ
		 * ״̬ӦΪЧܽת ݱ¼ո˻˻Ӧ֧ͨ ֧ʱʾ
		 * ĵݣת֮󣬵¼ϢԻ¼Ϣڴ˽޸
		 * ¼Ϣ֮ȷݽʽУͬʱ״̬Ϊ ֧ȷϵȷΪɹ ״̬ɹ
		 * Զݵ֧ȷΪɹȷΪʧ ÿݵĽ״̬ȷд
		 */

		SettlementAggVO aggvo = (SettlementAggVO) getEdit().getValue();
		if (aggvo == null) {
			return;
		}
		//ͷԭҽ
		UFDouble headPrimal = (UFDouble) aggvo.getParentVO().getAttributeValue("primal");
		//ԭҽ
		UFDouble bodyPrimal = new UFDouble(0.00);
		SettlementBodyVO [] settlementBodyVOs = (SettlementBodyVO[]) aggvo.getChildrenVO();
		for (SettlementBodyVO settlementBodyVO : settlementBodyVOs) {
			bodyPrimal = bodyPrimal.add(settlementBodyVO.getPay_last());
		}
		if(headPrimal.compareTo(bodyPrimal) != 0) {
			String billcode = (String) aggvo.getParentVO().getAttributeValue("billcode");
			throw new BusinessException("ҵ񵥾ݱ:"+billcode+"ϼƽڱͷ!");
		}
		List<SettlementAggVO> aggLst = SettleUtils.filterSettleInfo4NetSettleFlagUnSettle(aggvo);
		if (aggLst.size() == 0) {
			ShowStatusBarMsgUtil
					.showErrorMsg(
							nc.vo.ml.NCLangRes4VoTransl.getNCLangRes().getStrByID("3607set1_0", "03607set1-0078")/*@res "ʾ"*/,
							nc.vo.ml.NCLangRes4VoTransl.getNCLangRes().getStrByID("3607set1_0", "03607set1-0079")/*@res "ûп֧ı¼"*/,
							getModel().getContext());
			return;
		}
		aggvo = aggLst.get(0);
		validate(aggvo);
		SettlementHeadVO head = (SettlementHeadVO) aggvo.getParentVO();
		// ʷŵ,֧ӿ
		String pk_tradetype = head.getPk_tradetype();
		// µǩpaymentproc
		
		if ("DS".equals(pk_tradetype)) {
			// ǿCA
			this.getEdit().getClientSigner().identifyCA();
		}else{
			this.getEdit().getClientSigner().checkIfCASign();
		}
		// CAAuthor.INSTANCE.author4Net();
		int num = MessageDialog.showYesNoDlg(getEdit(),
				nc.vo.ml.NCLangRes4VoTransl.getNCLangRes().getStrByID("3607set_0", "03607set-0029")/*
																									 * @
																									 * res
																									 * "ʾ"
																									 */,
				nc.vo.ml.NCLangRes4VoTransl.getNCLangRes().getStrByID("3607set_0", "03607set-0050")/*
																									 * @
																									 * res
																									 * "ȷ֧"
																									 */);
		if (num != UIDialog.ID_YES) {
			return;
		}

		// SettlementHeadVO head=(SettlementHeadVO)aggvo.getParentVO();
		// ת˲
		try {

			// ʷŵ,֧ӿ
			
			if ("DS".equals(pk_tradetype)) {
				doSalaryBillNetPay(aggvo);

			} else {
				Integer rtn = new PaymentProc().doZhuanzhang(getEdit(), aggvo);
				if (rtn == -1) {
					return;
				}
			}
			

			// ʾ֧ɹϢ
			showNetPayTransferInfo(this.getModel(), new SettlementAggVO[] { aggvo });

		} catch (BusinessException ex) {
			throw new BusinessException(ex);
		}finally{
			aggvo = NCLocator.getInstance().lookup(
					ISettlementQueryService.class).querySettlementAggVOsByPks(
					new String[] { aggvo.getParentVO().getPrimaryKey() })[0];

			this.getEdit().setValue(aggvo);
			this.getEdit().setLoadBean(aggvo);
			getModel().directlyUpdate(aggvo);
		}
		/**
		 * ====================================================================
		 * =====
		 */

	}

	/**
	 * ʷ֧
	 * 
	 * @param settlement
	 * @throws BusinessException
	 */
	private void doSalaryBillNetPay(SettlementAggVO settlement) throws BusinessException {

		ICMPPaymentService service = NCLocator.getInstance().lookup(ICMPPaymentService.class);
		service.doNetTransfer4SalaryBill(DataUtil.getCurrentUser(), settlement);
	}

	/**
	 * У
	 * 
	 * @throws BusinessException
	 */
	private void validate(SettlementAggVO aggvo) throws BusinessException {

		// Уrmbҵ
		// SettleValidate.validateCurrency(aggvo);
		// У֧ҵ
		SettleValidate.validatePayData(aggvo);
		// Ƿ
		SettleValidate.validateOBM(new SettlementAggVO[] { aggvo });
		// У鵥״̬
		SettleValidate.validateNetPayState(aggvo);
		// ֧ĵݵУ
		SettleValidate.validateNetPayNegativeRow(aggvo);

		SettleValidate.validateCombin(new SettlementAggVO[] { aggvo }, true);

		// У鹩ӦǷѾ
		SettleValidate.validateSupplier(aggvo);

		SettleValidate.dataIntegralityValidate(aggvo);
		SettleInternationalValidate.checkInternationalNotSupportedOperate(aggvo);

		CMPValidate.validate(aggvo);

	}

	// ʾ֧ɹϢ
	public static void showNetPayTransferInfo(AbstractUIAppModel model, SettlementAggVO[] bills)
			throws BusinessException {

		Map<String, UFDouble> map = new HashMap<String, UFDouble>();
		int size = 0;

		for (SettlementAggVO aggvo : bills) {
			size++;
			SettlementBodyVO[] children = (SettlementBodyVO[]) aggvo.getChildrenVO();
			for (SettlementBodyVO child : children) {
				if (child.getDirection().equals(Direction.PAY.VALUE)
						&& Integer.valueOf(SettleStatus.PAYFAIL.getStatus()).equals(child.getSettlestatus())) {
					String currtype = child.getPk_currtype();
					int orgCurrRateDigit = TMCurrencyUtil.getCurrtypeDigit(child.getPk_currtype());
					UFDouble money = new UFDouble(child.getPay().getDouble(), orgCurrRateDigit);
					if (map.containsKey(currtype)) {
						UFDouble sumMoney = map.get(currtype);
						map.put(currtype, sumMoney.add(money));

					} else {
						map.put(currtype, money);
					}
				}
			}
		}

		if (size > 0) {
			CurrtypeQuery currtypeQuery = CurrtypeQuery.getInstance();
			StringBuffer sBuffer = new StringBuffer();
			sBuffer.append(nc.vo.ml.NCLangRes4VoTransl.getNCLangRes().getStrByID("3607set_0", "03607set-0051")/*
																												* @
																												* res
																												* "ɹ"
																												*/)
					.append(size)
					.append(nc.vo.ml.NCLangRes4VoTransl.getNCLangRes().getStrByID("3607set_0", "03607set-0011")/*
																												 * @
																												 * res
																												 * "ŵݡ"
																												 */);
			Iterator iterator = map.entrySet().iterator();
			while (iterator.hasNext()) {
				Map.Entry entry = (Map.Entry) iterator.next();
				sBuffer.append("	").append(currtypeQuery.getCurrtypeName((String) entry.getKey())).append(": ");
				sBuffer.append(entry.getValue()).append("\n");
			}

			ShowStatusBarMsgUtil.showStatusBarMsg(sBuffer.toString(), model.getContext());
		}
	}

	@Override
	protected boolean isActionEnable() {

		// return super.isActionEnable();
		SettlementAggVO[] aggvos = getSelectedAggVOs();
		if (CmpUtils.isListNull(aggvos)) {
			return false;
		}
		for (SettlementAggVO settlementAggVO : aggvos) {
			SettlementAggVO currentAggvo = settlementAggVO;
			SettlementHeadVO head = (SettlementHeadVO) currentAggvo.getParentVO();
			// տ಻ ֧
			if (nc.vo.cmp.settlement.SettleEnumCollection.Direction.REC.VALUE.equals(head.getDirection())) {
				return false;
			}

			if (head.getBusistatus() == null || !head.getBusistatus().equals(BusiStatus.Sign.getBillStatusKind())) {
				// ǩ̬Ĳ֧
				return false;
			}
			// ֧Լ֧״̬
			// if (head.getSettlestatus() != null
			// &&
			// (head.getSettlestatus().equals(SettleStatus.PAYING.getStatus())
			// ||
			// head.getSettlestatus().equals(SettleStatus.CHANGEING.getStatus())
			// ||
			// head.getSettlestatus().equals(SettleStatus.RECEIVING.getStatus())
			// ||
			// head.getSettlestatus().equals(SettleStatus.SUCCESSPART.getStatus())
			// || head
			// .getSettlestatus().equals(SettleStatus.SUCCESSSETTLE.getStatus())))
			// {
			// /**
			// * ֧УСѾĲ֧
			// */
			// return false;
			// }
			if (head.getPk_ftsbill() != null) {
				// ʽ֯ɵĽϢ֧
				return false;
			}
			if (SettleUtils.isExistInnerAccount(currentAggvo)) {
				// ڲ˻Ĳ֧
				return false;
			}
			for (SettlementBodyVO body : (SettlementBodyVO[]) settlementAggVO.getChildrenVO()) {
				if (body.getSettlestatus() != null
						&& body.getSettlestatus().equals(SettleStatus.SETTLERESET.getStatus())) {
					// нϢܷ
					return false;
				}
			}
		}

		return true;
	}
}