package nc.ui.hr.baod_orders.view;

import java.awt.BorderLayout;
import java.awt.Dimension;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.ArrayList;
import java.util.List;

import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTable;
import javax.swing.table.DefaultTableModel;
import javax.swing.table.TableColumnModel;

import nc.bs.framework.common.NCLocator;
import nc.itf.hr.SocialInsuranceAllMaintain;
import nc.itf.uap.IUAPQueryBS;
import nc.jdbc.framework.processor.ColumnProcessor;
import nc.ui.pub.beans.MessageDialog;
import nc.ui.pub.beans.UIButton;
import nc.ui.pub.beans.UIDialog;
import nc.ui.pub.beans.UIPanel;
import nc.vo.ecpubapp.pattern.data.ValueUtils;

/**
 * 
 * ѷ̯޸Ľ
 * @author 
 *
 */
public class ServiceChargeAllUpdateDialog extends UIDialog{
	
	private SocialInsuranceAllMaintain siaMaintain = NCLocator.getInstance().lookup(SocialInsuranceAllMaintain.class);
	private IUAPQueryBS iuap = (IUAPQueryBS) NCLocator.getInstance().lookup(IUAPQueryBS.class.getName());
	private List<Object[]> selectedData;
	private UIPanel btnUIPanel;
	private UIButton btnOK;
	private ActionHandler actionHandler = new ActionHandler();
	private JTable table;
	private String orgCode;
	private String period;

	public ServiceChargeAllUpdateDialog(List<Object[]> selectedData, String orgCode, String period) throws Exception {
		this.selectedData = selectedData;
		this.orgCode = orgCode;
		this.period = period;
		initialize();
		addComponents();
	}

	private void initialize() {
		setLayout(new BorderLayout());
		setSize(new Dimension(1000, 350));
		this.setResizable(true);
		add(this.getBtnUIPanel(), BorderLayout.SOUTH);
		this.addActionListener();
	}

	public UIPanel getBtnUIPanel() {
		if (btnUIPanel == null) {
			btnUIPanel = new nc.ui.pub.beans.UIPanel();
			btnUIPanel.add(this.getBtnOK(), this.getBtnOK().getName());
		}
		return this.btnUIPanel;
	}

	private UIButton getBtnOK() {
		if (btnOK == null) {
			btnOK = new UIButton();
			btnOK.setName("btnOK");
			btnOK.setText("ȷ(Y)");
		}
		return this.btnOK;
	}

	private void addActionListener() {
		this.getBtnOK().addActionListener(this.actionHandler);

	}

	class ActionHandler implements ActionListener {

		@Override
		public void actionPerformed(ActionEvent e) {
			if (e.getSource() == ServiceChargeAllUpdateDialog.this.getBtnOK()) {
				// ȷťִ¼
				ServiceChargeAllUpdateDialog.this.doOKAction();
			}
		}
	}

	private void addComponents() throws Exception {
		JPanel panel = new JPanel(new BorderLayout());
		List<Object[]> dataList = new ArrayList<Object[]>();
		String[] columnNames = { "", "ɱ˾", "Ա", "", "ɷѻ", "˲", "˾", "ע" };
		for (int i = 0; i < selectedData.size(); i++) {
			Object[] data = selectedData.get(i);
			// ȡСź͹˾ֶ
			String str = String.valueOf(selectedData.get(i)[7]);
			int index = str.indexOf("-");
			int tableNumber = Integer.parseInt(str.substring(0, index));
			
			String orgName = str.substring(index + 1);
			Object[] rowData = { GetTableName(tableNumber), orgName, data[1], data[2], data[3], data[4], data[5], data[6] };
			Object[] rowData2 = { GetTableName(tableNumber), orgName, data[1], data[2], data[3], null, data[4], data[6] };
			if(tableNumber>=2){
				dataList.add(rowData2);	
			}else{
				dataList.add(rowData);	
			}
		}
		Object[][] dataArray = new Object[dataList.size()][columnNames.length];
		for (int i = 0; i < dataList.size(); i++) {
			Object[] rowData = dataList.get(i);
			dataArray[i] = rowData;
		}

		DefaultTableModel model = new DefaultTableModel(dataArray, columnNames) {
			@Override
			public boolean isCellEditable(int row, int column) {
				return (column > 3);
			}
		};
		table = new JTable(model);
		// ϶
		table.getTableHeader().setReorderingAllowed(false);
		// ø߶
		table.setRowHeight(30);
		TableColumnModel columnModel = table.getColumnModel();
		// УÿΪ150
		for (int i = 0; i < columnModel.getColumnCount(); i++) {
			if (i >= 10 || i == 1) {
				table.getColumnModel().getColumn(i).setPreferredWidth(150);
			}
		}
		JScrollPane scrollPane = new JScrollPane(table);
		scrollPane.setHorizontalScrollBarPolicy(JScrollPane.HORIZONTAL_SCROLLBAR_ALWAYS);
		panel.add(scrollPane, BorderLayout.CENTER);
		panel.add(scrollPane, BorderLayout.CENTER);
		getContentPane().add(panel);
	}

	private void doOKAction() {
		try {
			//жϵԪǷڱ༭״̬YֹͣǰԪı༭״̬
			if (table.isEditing()) {  
			    table.getCellEditor().stopCellEditing();  
			}
			// ȡ޸ĺ
			for (int i = 0; i < table.getRowCount(); i++) {
				String table_name = ValueUtils.getString(table.getValueAt(i, 0));//
				String table_org = ValueUtils.getString(table.getValueAt(i, 1));//˾
				String clerkCode = ValueUtils.getString(table.getValueAt(i, 2));//Ա
				String clerkName = ValueUtils.getString(table.getValueAt(i, 3));//
				String basicssum = ValueUtils.getString(table.getValueAt(i, 4));//ɻ
				String staffsum = ValueUtils.getString(table.getValueAt(i, 5));//˲
				String orgsum = ValueUtils.getString(table.getValueAt(i, 6));//˾
				String mark = ValueUtils.getString(table.getValueAt(i, 7));//ע
				String combinedField = table_name + table_org + clerkCode + clerkName;
				//һδڶδ޸
				if(queryTable(orgCode, period, combinedField)) {
					StringBuilder insertSQL = new StringBuilder("INSERT INTO accumulation_fund VALUES (");
					//ΪԼı,ѯʱҪˣ
					insertSQL.append("'").append("ѷ̯").append("', ");
					insertSQL.append("'").append(orgCode).append("', ");
					insertSQL.append("'").append(period).append("', ");
					insertSQL.append("'").append(combinedField).append("', ");
					insertSQL.append(getString(table_org)).append(", ");
					insertSQL.append(getString(clerkCode)).append(", ");
					insertSQL.append(getString(clerkName)).append(", ");
					insertSQL.append(getString(basicssum)).append(", ");
					insertSQL.append(getString(staffsum)).append(", ");
					insertSQL.append(getString(orgsum)).append(", ");
					insertSQL.append(getString(mark)).append(", ");
					insertSQL.append("sysdate,");
					insertSQL.append("null)");
					siaMaintain.executeBaseDAO(insertSQL.toString());
				}else {
					StringBuilder updateSQL = new StringBuilder("UPDATE accumulation_fund");
					updateSQL.append(" SET basicssum = "+getString(basicssum)+",");
					updateSQL.append(" staffsum = "+getString(staffsum)+",");
					updateSQL.append(" orgsum = "+getString(orgsum)+",");
					updateSQL.append(" mark = "+getString(mark)+",");
					updateSQL.append(" ts = sysdate");
					updateSQL.append(" WHERE");
					updateSQL.append(" tablename = 'ѷ̯' and orgcode = '" + orgCode + "' and period = '" + period + "' and combined_field = '" + combinedField + "'");
					siaMaintain.executeBaseDAO(updateSQL.toString());
				}
			}
			//رյ
			this.dispose();
		} catch (Exception e) {
			MessageDialog.showHintDlg(this, "ʾ", e.getMessage());
		}
	}

	/**
	 * ѯмǷ
	 * @param orgCode ѯ֯
	 * @param period ѯڼ
	 * @param combinedField С+С֯+Ա+
	 * @return
	 * @throws Exception
	 */
	private Boolean queryTable(String orgCode, String period,String combinedField) throws Exception {
		StringBuffer sql = new StringBuffer();
		sql.append("select orgcode from accumulation_fund where");
		sql.append(" tablename = 'ѷ̯' and orgcode = '" + orgCode + "' and period = '" + period + "' and combined_field = '" + combinedField + "'");
		if (iuap.executeQuery(sql.toString(), new ColumnProcessor()) == null) {
			return true;
		} else {
			return false;
		}
	}

	/**
	 * ȡӦС
	 * @param tableNumber С
	 * @return
	 */
	private String GetTableName(int tableNumber) {
		switch (tableNumber) {
		case 1:
			return "һ˳е";
		case 2:
			return "ⲿ˾е";
		case 3:
			return "ɲųеȫ˾е";
		default:
			return "ģɹ˾е";
		}
	}

	private String getString(Object value) {
		if("".equals(value) || value == null) {
			return null;
		}
		return "'"+value+"'";	
	}

}
