package nc.ui.hr.plugin;

import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.Date;
import java.util.GregorianCalendar;
import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.LinkedList;
import java.util.List;
import java.util.Locale;
import java.util.Map;

import uap.distribution.dao.DAOException;
import nc.bs.dao.BaseDAO;
import nc.bs.framework.common.InvocationInfoProxy;
import nc.bs.framework.common.NCLocator;
import nc.bs.hr.plugin.GetDataUtil;
import nc.bs.pub.pa.PreAlertObject;
import nc.bs.pub.taskcenter.BgWorkingContext;
import nc.bs.pub.taskcenter.IBackgroundWorkPlugin;
import nc.itf.hr.IReceivableService;
import nc.itf.uap.IUAPQueryBS;
import nc.itf.uap.IVOPersistence;
import nc.jdbc.framework.SQLParameter;
import nc.jdbc.framework.processor.ColumnProcessor;
import nc.jdbc.framework.processor.MapListProcessor;
import nc.log.NcLog;
import nc.vo.arap.receivable.AggReceivableBillVO;
import nc.vo.arap.receivable.ReceivableBillItemVO;
import nc.vo.arap.receivable.ReceivableBillVO;
import nc.vo.pub.BusinessException;
import nc.vo.pub.lang.UFBoolean;
import nc.vo.pub.lang.UFDate;
import nc.vo.pub.lang.UFDateTime;
import nc.vo.pub.lang.UFDouble;
import nc.vo.pub.lang.UFLiteralDate;
import nc.vo.pubapp.pattern.exception.ExceptionUtils;
import nc.vo.pubapp.pflow.PfUserObject;

public class HrLaborcostcopycbPlugin implements IBackgroundWorkPlugin {

	static BaseDAO baseDao;

	public static BaseDAO getBaseDAO() {
		if (baseDao == null) {
			baseDao = new BaseDAO();
		}
		return baseDao;
	}

	private PfUserObject[] userObjs;
	// ɾAPI
	IVOPersistence iVOPersistence = (IVOPersistence) NCLocator.getInstance().lookup(IVOPersistence.class.getName());
	private IUAPQueryBS iuap = (IUAPQueryBS) NCLocator.getInstance().lookup(IUAPQueryBS.class.getName());

	// 
	String pk_group = "0001A110000000000LO7";

	public PreAlertObject executeTask(BgWorkingContext bgwc) throws BusinessException {
		NcLog.info("HrLaborcostcopycbPluginʱʼִ");
		System.out.println("HrLaborcostcopycbPluginʱʼִ");

		InvocationInfoProxy.getInstance().setGroupId(pk_group);

		Map<String, String> pndocIDMap = null;
		Map<String, String> outlaytypeIDMap = null;
		Map<String, String> xzsxIDMap = null;
		Map<String, String> islssuedIDMap = null;
		Map<String, String> ispaymentIDMap = null;
		Map<String, String> wa_typeIDMap = null;
		Map<String, String> wa_typeMemoMap = null;
		Map<String, String> pk_deptMap = null;
		Map<String, String> pk_accperiodmonthMap = null;
		String cuserid = null;
		String pk_taxcode = null;
		Map<String, String> pk_suppliermap = null;
		Map<String, String> orgnamemap = null;
		Map<String, List<String>> mapsl = null;
		Map<String, String> outlaytypeMemoMap = null;
		try {
			pndocIDMap = getPsndocID();// Ա
			outlaytypeIDMap = getOutlaytypeID();// ùid
			outlaytypeMemoMap = getOutlaytypeMemo();// ùע
			xzsxIDMap = getXzsxID();// нid
			islssuedIDMap = getIslssuedID();// Ƿid
			ispaymentIDMap = getIspaymentID();// Ƿոid
			wa_typeIDMap = getWa_typeid();// нid
			wa_typeMemoMap = getWa_typeMemo();// нͱע
			pk_deptMap = getPk_dept();// id
			pk_accperiodmonthMap = getPk_accperiodmonth();// ѯ·id
			cuserid = getCuserid();// û
			pk_taxcode = getPk_taxcode();// ˰
			pk_suppliermap = getPk_supplier();// Ӧ
			orgnamemap = getOrgName();// ֯
			mapsl = getOrgPk();// ѯɱ˾
		} catch (Exception e) {
			e.getStackTrace();
			NcLog.info("ѯ쳣" + e.getMessage());
			ExceptionUtils.wrappBusinessException(e.getMessage());
		}

		LinkedHashMap<String, Object> billmap = bgwc.getKeyMap();
		String date = String.valueOf(billmap.get("date"));
		String ym = "";
		String date2 = "";
		if (date != null && !"null".equals(date)) {
			String yearst = date.substring(0, 4);
			String monthst = date.substring(4, 6);
			ym = yearst + "-" + monthst;
			date2 = yearst + monthst;
		} else {
			UFLiteralDate workday = new UFLiteralDate();
			String[] s = workday.toString().split("-");
			String s1 = s[0] + "-" + s[1] + "-" + "01";
			UFDate time = new UFDate(s1);
			UFDate time1 = time.getDateBefore(1);
			String[] s2 = time1.toString().split("-");
			ym = s2[0] + "-" + s2[1];
			date2 = s2[0] + s2[1];
		}

		List<Map<String, String>> listCostMap1 = null;

		List<Map<String, String>> listCostMap2 = null;

		if (date != null && !"null".equals(date)) {
			try {
				listCostMap2 = getLaborost1(date);// ɱ
				listCostMap1 = getNewListCostMap(listCostMap2, mapsl, orgnamemap);
			} catch (Exception e) {
				e.getStackTrace();

				NcLog.info("ֹڲѯɱ쳣" + e.getMessage());
				ExceptionUtils.wrappBusinessException(e.getMessage());
			}
		} else {
			try {
				listCostMap2 = getLaborost1(date2);// ɱ
				listCostMap1 = getNewListCostMap(listCostMap2, mapsl, orgnamemap);
			} catch (Exception e) {
				e.getStackTrace();
				NcLog.info("ʱڲѯɱ쳣" + e.getMessage());
				ExceptionUtils.wrappBusinessException(e.getMessage());
			}
		}
		
		List<String> wa_costorglist = new ArrayList<String>();
		for (Map<String, String> map : listCostMap1) {
			String wa_org = map.get("wa_org");
			String cost_org = map.get("cost_org");
			String wa_costorg = wa_org + "," + cost_org;
			if (wa_org != null && !"null".equals(wa_org) && cost_org != null && !"null".equals(cost_org)) {
				if (!wa_costorglist.contains(wa_costorg))
					wa_costorglist.add(wa_costorg);
			}
		}

		for (int j = 0; j < wa_costorglist.size(); j++) {
			try {
				String wa_costorg = wa_costorglist.get(j);
				String waorg = wa_costorg.split(",")[0];
				String costorg = wa_costorg.split(",")[1];
				UFDouble debitamounttotal = new UFDouble();
				AggReceivableBillVO aggReceivableBillVO = new AggReceivableBillVO();
				ReceivableBillVO receivableBillVO = new ReceivableBillVO();
				// ֵ
				String pk_org = waorg;
				receivableBillVO.setDef11("ɱнʷŹ˾-#" + pk_org + "#" + date2);
				String pk_org_v = getPkorgv(pk_org);
				receivableBillVO.setPk_group(pk_group);
				receivableBillVO.setPk_org(pk_org);// Ӧղ֯
				receivableBillVO.setPk_org_v(pk_org_v);// Ӧղ֯汾
				receivableBillVO.setSett_org(pk_org);// ֯
				receivableBillVO.setSett_org_v(pk_org);// ֯汾
				String pk_user = cuserid;// Ƶ
				receivableBillVO.setBillmaker(pk_user);// Ƶ
				Date newDate = convertStringToDate(ym + "-01", "yyyy-MM-dd");
				String nowMonthDateStr = getMonthLastDate(newDate, 1);// һ
				nowMonthDateStr = nowMonthDateStr.substring(0, 7) + "-01";// µһ
				receivableBillVO.setBilldate(new UFDate(nowMonthDateStr));// 
				receivableBillVO.setCreator(pk_user);// 
				receivableBillVO.setCreationtime(new UFDateTime());// ʱ
				receivableBillVO.setBillstatus(-1);// ״̬
				receivableBillVO.setBusidate(new UFDate(nowMonthDateStr));// Ʊ
				receivableBillVO.setObjtype(0);// 
				receivableBillVO.setPk_deptid(GetDataUtil.getDeptPK(""));// տ
				String pk_bankaccsub = GetDataUtil.getBankaccsubPK("");// տ˻
				receivableBillVO.setRecaccount(pk_bankaccsub);// տ˻
				receivableBillVO.setPk_busitype(getBusitypePK("AR01", pk_group));// ҵ̣ѡտ
				receivableBillVO.setBillclass("ys");// ݴࣺӦյ
				String year = nowMonthDateStr.substring(0, 4);// 
				String month = nowMonthDateStr.substring(5, 7);// ·
				receivableBillVO.setBillyear(year);// ݻ
				receivableBillVO.setBillperiod(month);// ݻڼ
				receivableBillVO.setPk_billtype("F0");// ͱ
				String pk_currtype = getcurrtype("CNY");// 
				receivableBillVO.setPk_currtype(pk_currtype);
				String pk_country = GetDataUtil.getCountryzonePK("CN");// ҵ ĬCN
				receivableBillVO.setSendcountryid(pk_country);// 
				receivableBillVO.setTaxcountryid(pk_country);// ˰
				receivableBillVO.setSrc_syscode(0);// Դϵͳ
				receivableBillVO.setSyscode(0);// ϵͳ
				String pk_tradetype = "F0-Cxx-01";// ӦͣڲӦյ()
				receivableBillVO.setPk_tradetype(pk_tradetype);
				String pk_billtypeid = GetDataUtil.getBilltypePK(pk_tradetype, pk_group);
				receivableBillVO.setPk_tradetypeid(pk_billtypeid);
				receivableBillVO.setIsflowbill(UFBoolean.FALSE);// Ƿ̵
				receivableBillVO.setIsreded(UFBoolean.FALSE);// Ƿ

				List<ReceivableBillItemVO> listItemVO = new ArrayList<ReceivableBillItemVO>();
				String pk_supplier = pk_suppliermap.get(orgnamemap.get(waorg));// Ӧ
				if (pk_supplier == null) {
					pk_supplier = pk_suppliermap.get("Ϻ컪޹˾");
				}
				int m = 0;
				for (int i = 0; i < listCostMap1.size(); i++) {
					ReceivableBillItemVO receivableBillItemVO = new ReceivableBillItemVO();
					Map<String, String> map = listCostMap1.get(i);
					String wa_org = map.get("wa_org");
					String cost_org = map.get("cost_org");
					String cost_dept = map.get("cost_dept");
					String outlaytype = map.get("outlaytype");
					String vdef3 = map.get("vdef3");
					String vdef4 = map.get("vdef4");
					String svdef4 = null;
					if (!"null".equals(vdef4) && vdef4 != null) {
						svdef4 = vdef4.substring(0, 4);
					}
					if (("null".equals(vdef4) || vdef4 == null) || !"GX05".equals(svdef4)) {
						vdef4 = "";
					} else {
						vdef4 = "";
					}
					String workercode = map.get("workercode");
					String name = map.get("name");
					String wa_type = map.get("wa_type");
					String islssued = map.get("islssued");
					String cost_orgname = orgnamemap.get(cost_org);
					String wa_orgname = orgnamemap.get(wa_org);
					if (mapsl != null && mapsl.size() > 0) {
						List<String> orgNameList = mapsl.get(cost_orgname);
						if (orgNameList != null && orgNameList.size() > 0) {
							if (orgNameList.contains(wa_orgname)) {
								islssued = "";
							}
						}
					}
					Object decimalmny = map.get("decimalmny");
					UFDouble total = new UFDouble(decimalmny.toString());
					Double dtotal = -total.toDouble();
					debitamounttotal = debitamounttotal.add(dtotal);

					UFDouble fstotal = new UFDouble(dtotal);
					if (waorg.equals(wa_org) && costorg.equals(cost_org)) {
						// ֵӱ
						receivableBillItemVO.setPk_org(pk_org);
						receivableBillItemVO.setPk_org_v(pk_org_v);
						receivableBillItemVO.setPk_group(pk_group);
						receivableBillItemVO.setPk_fiorg(pk_org);// Ӧղ֯
						receivableBillItemVO.setDef30(getDefdocPKByName("05", outlaytypeMemoMap.get(outlaytype)));// ùע
						receivableBillItemVO.setDef23(outlaytype);// ù
//						receivableBillItemVO.setDef26(GetDataUtil.getDefdocPK("S00009", "08", ""));// տժҪS00009
						receivableBillItemVO.setDef26(GetDataUtil.getDefdocPK("S000091", "08", "ãн꣩"));// տժҪS000091ãн꣩
						String watypeNewName = wa_typeMemoMap.get(wa_type);
//						receivableBillItemVO.setDef29(getDefdocPKByName("YS001", "˹ɱ--" + watypeNewName));// տҵʣ˹ɱ
						receivableBillItemVO.setDef29(getDefdocPKByName("YS001", "ݹ˹ɱ-" + watypeNewName));// տҵʣ˹ɱ
						receivableBillItemVO.setDef15(GetDataUtil.getDefdocPK("ͬרã", "01", "ͬרã"));// Ӫͬ
						receivableBillItemVO.setDef16("ͬרã");// ͬ
						receivableBillItemVO.setDef10(year + month + "ɱ" + workercode + name);// ע
						receivableBillItemVO.setCustomer(getCustomerPKBynameOrPkorg(cost_orgname, cost_org));// ͻ
//						receivableBillItemVO.setOrdercubasdoc(getCustomerPKByName(cost_orgname));// ͻ
						receivableBillItemVO.setTaxcodeid(GetDataUtil.getTaxcodePK("10"));// ˰
						receivableBillItemVO.setTaxrate(new UFDouble(0));// ˰
						receivableBillItemVO.setLocal_money_bal(fstotal);// ֯
						receivableBillItemVO.setLocal_money_de(fstotal);// ˰ϼ
						receivableBillItemVO.setLocal_notax_de(fstotal);// 
						receivableBillItemVO.setLocal_tax_de(new UFDouble(0));// ˰
						receivableBillItemVO.setLocal_price(fstotal);// ҵ
						receivableBillItemVO.setLocal_taxprice(fstotal);// Һ˰
						receivableBillItemVO.setMoney_bal(fstotal);// ԭ
						receivableBillItemVO.setMoney_de(fstotal);// 跽ԭҽ
						receivableBillItemVO.setNotax_de(fstotal);// 跽ԭ˰
						receivableBillItemVO.setOccupationmny(fstotal);// Ԥռԭ
						receivableBillItemVO.setCaltaxmny(fstotal);// ˰
						receivableBillItemVO.setPrice(fstotal);// 
						receivableBillItemVO.setTaxprice(fstotal);// ˰
						receivableBillItemVO.setBilldate(new UFDate(nowMonthDateStr));// 
						receivableBillItemVO.setBusidate(new UFDate(nowMonthDateStr));// 
						receivableBillItemVO.setPk_billtype("F0");// ͱ
						receivableBillItemVO.setBillclass("ys");// ݴ
						receivableBillItemVO.setRowno(m * 10 + 10);// ݷ¼--к
						receivableBillItemVO.setRowtype(22);// ͣ22
						receivableBillItemVO.setDirection(1);// 1跽
						receivableBillItemVO.setPk_currtype(pk_currtype);// 
						receivableBillItemVO.setTaxtype(1);// ˰1Ӧ˰
						receivableBillItemVO.setObjtype(0);// 0ͻ
						receivableBillItemVO.setSendcountryid(pk_country);// 
						receivableBillItemVO.setBuysellflag(1);// ͣ1
//						receivableBillItemVO.setProject("PM201601130001");// Ŀ
						receivableBillItemVO.setPk_billtype("F0");// ͱ
						if ("".equals(islssued)) {
							receivableBillItemVO.setPk_deptid(pk_deptMap.get(wa_org));// 
							receivableBillItemVO.setPk_deptid_v(pk_deptMap.get(wa_org));// 
						} else {
							receivableBillItemVO.setPk_deptid(cost_dept);// 
							receivableBillItemVO.setPk_deptid_v(cost_dept);// 
						}
						receivableBillItemVO.setPk_tradetype(pk_tradetype);// ӦcodeڲӦյ()
						receivableBillItemVO.setPk_tradetypeid(pk_billtypeid);// Ӧid
						receivableBillItemVO.setQuantity_bal(new UFDouble(1));// 
						receivableBillItemVO.setQuantity_de(new UFDouble(1));// 跽
						receivableBillItemVO.setRate(new UFDouble(1));// ֯˰
						receivableBillItemVO.setRecaccount(pk_bankaccsub);// տ˻
						receivableBillItemVO.setRececountryid(pk_country);// ջ
						receivableBillItemVO.setSett_org(pk_org);// ֯
						receivableBillItemVO.setSett_org_v(pk_org);// ֯汾
						receivableBillItemVO.setTriatradeflag(UFBoolean.FALSE);// ó
						receivableBillItemVO.setSettlecurr(pk_currtype);// տ
						receivableBillItemVO.setSettlemoney(fstotal);// տ
						listItemVO.add(receivableBillItemVO);
						m++;
					}
				}
				receivableBillVO.setLocal_money(debitamounttotal);// ϼƽ--ҽ
				receivableBillVO.setMoney(debitamounttotal);// ԭҽ
				aggReceivableBillVO.setParentVO(receivableBillVO);
				aggReceivableBillVO.setChildrenVO(listItemVO.toArray(new ReceivableBillItemVO[listItemVO.size()]));
				// Ӧյ
				IReceivableService receivableService = NCLocator.getInstance().lookup(IReceivableService.class);
				AggReceivableBillVO aggvo = receivableService.receivable_RequiresNew(aggReceivableBillVO);
			} catch (Exception e) {
				e.getStackTrace();
				e.getMessage();
				NcLog.info("Ӧյ쳣" + e.getMessage());
				continue;
			}
		}
		return null;
	}

	/**
	 * ѯɱݲ
	 */
	public List<Map<String, String>> getLaborost1(String date) throws Exception {
		String sql = "SELECT t.wa_period,t.workercode,t.name,t.wa_org,t.data_source,t.cost_org,t.cost_dept,t.outlaytype,t.wa_type,t.vdef2,t.vdef3,t.vdef4,SUM(t.decimalmny) decimalmny,"
				+ " case when t.wa_org != t.cost_org then '' else '' end as islssued FROM hr_laborcostcopy t  "
				+ " where t.wa_period = '" + date
				+ "'  and t.decimalmny !=0 and t.wa_org!='~' and t.wa_org is not null  and t.dr=0 "
				+ "GROUP BY t.wa_period,t.wa_org,t.data_source,t.cost_org,t.cost_dept,t.outlaytype,t.wa_type,"
				+ "t.vdef2,t.vdef3,t.vdef4,t.workercode,t.name,t.islssued having SUM(t.decimalmny)!=0";
		List<Map<String, String>> listCostVO = (List<Map<String, String>>) new BaseDAO().executeQuery(sql, new MapListProcessor());
		return listCostVO;
	}

	/**
	 * ݲ֯ѯ
	 */
	public String getOrgcode(String code) throws Exception {
		String sql = "select pk_financeorg  from org_financeorg where dr=0 and code='" + code + "' and pk_group = '"
				+ pk_group + "' ";
		String orgid = (String) new BaseDAO().executeQuery(sql, new ColumnProcessor());
		return orgid;
	}

	/**
	 * ݹűѯ
	 */
	public String getMandept(String orgcode, String mandept) throws Exception {
		String sql = "select pk_dept from org_dept od, org_orgs o where od.pk_org=o.pk_org and o.code='" + orgcode
				+ "' and od.code='" + mandept + "' and od.pk_group = '" + pk_group + "' and od.dr=0 and o.dr=0";
		String orgid = (String) new BaseDAO().executeQuery(sql, new ColumnProcessor());
		return orgid;
	}

	/**
	 * ѯ
	 * 
	 * @throws @throws DAOException
	 */
	public Map<String, String> getPk_dept() throws Exception {
		String sql = "SELECT pk_org,pk_dept FROM org_dept where name='-⣨ɱᣩ'  ";
		List<Map<String, String>> listMap = (List<Map<String, String>>) new BaseDAO().executeQuery(sql, new MapListProcessor());
		Map<String, String> tyMap = new HashMap<String, String>();
		if (listMap == null || listMap.size() <= 0)
			return tyMap;
		for (int i = 0; i < listMap.size(); i++) {
			Map<String, String> map = listMap.get(i);
			String pk_org = map.get("pk_org");
			String pk_dept = map.get("pk_dept");
			tyMap.put(pk_org, pk_dept);
		}
		return tyMap;
	}

	/**
	 * ѯù
	 * 
	 * @throws @throws DAOException
	 */
	public Map<String, String> getOutlaytypeID() throws Exception {
		String sql = "SELECT bd.pk_defdoc,bd.name FROM bd_defdoc bd left join  bd_defdoclist  def "
				+ "on def.pk_defdoclist  =  bd.pk_defdoclist where def.name='ù';";
		List<Map<String, String>> listMap = (List<Map<String, String>>) new BaseDAO().executeQuery(sql, new MapListProcessor());
		Map<String, String> tyMap = new HashMap<String, String>();
		if (listMap == null || listMap.size() <= 0)
			return tyMap;
		for (int i = 0; i < listMap.size(); i++) {
			Map<String, String> map = listMap.get(i);
			String name = map.get("name");
			String pk_defdoc = map.get("pk_defdoc");
			tyMap.put(name, pk_defdoc);
		}
		return tyMap;
	}

	/**
	 * ѯùע
	 * 
	 * @throws @throws DAOException
	 */
	public Map<String, String> getOutlaytypeMemo() throws Exception {
		String sql = "select name,memo  from bd_defdoc where pk_defdoclist = (select pk_defdoclist from bd_defdoclist where code = 'HRFI01' and nvl(dr,0) = 0)  and enablestate = '2' and nvl(dr,0) = 0";
		List<Map<String, String>> listMap = (List<Map<String, String>>) new BaseDAO().executeQuery(sql, new MapListProcessor());
		Map<String, String> tyMap = new HashMap<String, String>();
		if (listMap == null || listMap.size() <= 0)
			return tyMap;
		for (int i = 0; i < listMap.size(); i++) {
			Map<String, String> map = listMap.get(i);
			String name = map.get("name");
			String memo = map.get("memo");
			tyMap.put(name, memo);
		}
		return tyMap;
	}

	/**
	 * ѯǷid
	 * 
	 * @throws @throws DAOException
	 */
	public Map<String, String> getIslssuedID() throws Exception {
		String sql = "SELECT bd.pk_defdoc,bd.name FROM bd_defdoc bd left join  bd_defdoclist "
				+ " def on def.pk_defdoclist  =  bd.pk_defdoclist where def.name='Ƿ'; ";
		List<Map<String, String>> listMap = (List<Map<String, String>>) new BaseDAO().executeQuery(sql, new MapListProcessor());
		Map<String, String> tyMap = new HashMap<String, String>();
		if (listMap == null || listMap.size() <= 0)
			return tyMap;
		for (int i = 0; i < listMap.size(); i++) {
			Map<String, String> map = listMap.get(i);
			String name = map.get("name");
			String pk_defdoc = map.get("pk_defdoc");
			tyMap.put(name, pk_defdoc);
		}
		return tyMap;
	}

	/**
	 * ѯнid
	 * 
	 * @throws @throws DAOException
	 */
	public Map<String, String> getWa_typeid() throws Exception {
		String sql = "SELECT bd.pk_defdoc,bd.name FROM bd_defdoc bd left join  bd_defdoclist "
				+ " def on def.pk_defdoclist  =  bd.pk_defdoclist where def.name='н'; ";
		List<Map<String, String>> listMap = (List<Map<String, String>>) new BaseDAO().executeQuery(sql, new MapListProcessor());
		Map<String, String> tyMap = new HashMap<String, String>();
		if (listMap == null || listMap.size() <= 0)
			return tyMap;
		for (int i = 0; i < listMap.size(); i++) {
			Map<String, String> map = listMap.get(i);
			String name = map.get("name");
			String pk_defdoc = map.get("pk_defdoc");
			tyMap.put(name, pk_defdoc);
		}
		return tyMap;
	}

	/**
	 * ѯнͱע
	 * 
	 * @throws @throws DAOException
	 */
	public Map<String, String> getWa_typeMemo() throws Exception {
		String sql = "SELECT bd.name,bd.memo FROM bd_defdoc bd left join  bd_defdoclist "
				+ " def on def.pk_defdoclist  =  bd.pk_defdoclist where def.name='н'; ";
		List<Map<String, String>> listMap = (List<Map<String, String>>) new BaseDAO().executeQuery(sql, new MapListProcessor());
		Map<String, String> tyMap = new HashMap<String, String>();
		if (listMap == null || listMap.size() <= 0)
			return tyMap;
		for (int i = 0; i < listMap.size(); i++) {
			Map<String, String> map = listMap.get(i);
			String name = map.get("name");
			String memo = map.get("memo");
			tyMap.put(name, memo);
		}
		return tyMap;
	}

	/**
	 * ѯнid
	 * 
	 * @throws @throws DAOException
	 */
	public Map<String, String> getXzsxID() throws Exception {
		String sql = "SELECT bd.pk_defdoc,bd.name FROM bd_defdoc bd left join  bd_defdoclist "
				+ " def on def.pk_defdoclist  =  bd.pk_defdoclist where def.name='н'; ";
		List<Map<String, String>> listMap = (List<Map<String, String>>) new BaseDAO().executeQuery(sql, new MapListProcessor());
		Map<String, String> tyMap = new HashMap<String, String>();
		if (listMap == null || listMap.size() <= 0)
			return tyMap;
		for (int i = 0; i < listMap.size(); i++) {
			Map<String, String> map = listMap.get(i);
			String name = map.get("name");
			String pk_defdoc = map.get("pk_defdoc");
			tyMap.put(name, pk_defdoc);
		}
		return tyMap;
	}

	/**
	 * ѯǷոid
	 * 
	 * @throws @throws DAOException
	 */
	public Map<String, String> getIspaymentID() throws Exception {
		String sql = "SELECT bd.pk_defdoc,bd.name FROM bd_defdoc bd left join  bd_defdoclist "
				+ " def on def.pk_defdoclist  =  bd.pk_defdoclist where def.name='Ƿո'; ";
		List<Map<String, String>> listMap = (List<Map<String, String>>) new BaseDAO().executeQuery(sql, new MapListProcessor());
		Map<String, String> tyMap = new HashMap<String, String>();
		if (listMap == null || listMap.size() <= 0)
			return tyMap;
		for (int i = 0; i < listMap.size(); i++) {
			Map<String, String> map = listMap.get(i);
			String name = map.get("name");
			String pk_defdoc = map.get("pk_defdoc");
			tyMap.put(name, pk_defdoc);
		}
		return tyMap;
	}

	/**
	 * ѯ·
	 * 
	 * @throws @throws DAOException
	 */
	public Map<String, String> getPk_accperiodmonth() throws Exception {
		String sql = "SELECT bd_accperiodmonth.yearmth,bd_accperiodmonth.pk_accperiodmonth FROM bd_accperiod "
				+ "INNER JOIN bd_accperiodmonth ON bd_accperiod.pk_accperiod = bd_accperiodmonth.pk_accperiod ";
		List<Map<String, String>> listMap = (List<Map<String, String>>) new BaseDAO().executeQuery(sql, new MapListProcessor());
		Map<String, String> tyMap = new HashMap<String, String>();
		if (listMap == null || listMap.size() <= 0)
			return tyMap;
		for (int i = 0; i < listMap.size(); i++) {
			Map<String, String> map = listMap.get(i);
			String yearmth = map.get("yearmth");
			String pk_accperiodmonth = map.get("pk_accperiodmonth");
			tyMap.put(yearmth, pk_accperiodmonth);
		}
		return tyMap;
	}

	/**
	 * ѯԱ
	 * 
	 * @throws @throws DAOException
	 */
	public Map<String, String> getPsndocID() throws Exception {
		String sql = "select pk_psndoc,name from bd_psndoc  where pk_group = '0001A110000000000LO7'";
		List<Map<String, String>> listPsndocIDMap = (List<Map<String, String>>) new BaseDAO().executeQuery(sql, new MapListProcessor());
		Map<String, String> pndocIDMap = new HashMap<String, String>();
		if (listPsndocIDMap == null || listPsndocIDMap.size() <= 0)
			return pndocIDMap;
		for (int i = 0; i < listPsndocIDMap.size(); i++) {
			Map<String, String> map = listPsndocIDMap.get(i);
			String name = map.get("name");
			String pk_psndoc = map.get("pk_psndoc");
			pndocIDMap.put(name, pk_psndoc);
		}
		return pndocIDMap;
	}

	/**
	 * ѯûid
	 * 
	 * @throws @throws DAOException
	 */
	public String getCuserid() throws Exception {
		String sql = "SELECT cuserid FROM sm_user where user_code='xtyh001' ";
		String cuserid = (String) new BaseDAO().executeQuery(sql, new ColumnProcessor());
		return cuserid;
	}

	/**
	 * ֵ˰˰˰
	 * 
	 * @throws @throws DAOException
	 */
	public String getPk_taxcode() throws Exception {
		String sql = "SELECT pk_taxcode FROM bd_taxcode where code='10' ";
		String pk_taxcode = (String) new BaseDAO().executeQuery(sql, new ColumnProcessor());
		return pk_taxcode;
	}

	public PfUserObject[] getUserObj() {
		if (userObjs == null) {
			userObjs = new PfUserObject[] { new PfUserObject() };
		}
		return userObjs;
	}

	/**
	 * Ӧid
	 * 
	 * @throws @throws DAOException
	 */
	public Map<String, String> getPk_supplier() throws Exception {
		String sql = "SELECT name,pk_supplier FROM bd_supplier ";
		List<Map<String, String>> listMap = (List<Map<String, String>>) new BaseDAO().executeQuery(sql, new MapListProcessor());
		Map<String, String> gysMap = new HashMap<String, String>();
		if (listMap == null || listMap.size() <= 0)
			return gysMap;
		for (int i = 0; i < listMap.size(); i++) {
			Map<String, String> map = listMap.get(i);
			String name = map.get("name");
			String pk_supplier = map.get("pk_supplier");
			gysMap.put(name, pk_supplier);
		}
		return gysMap;
	}

	/**
	 * ֯
	 * 
	 * @throws @throws DAOException
	 */
	public Map<String, String> getOrgName() throws Exception {
		String sql = "SELECT name,pk_org FROM org_orgs where dr=0";
		List<Map<String, String>> listMap = (List<Map<String, String>>) new BaseDAO().executeQuery(sql, new MapListProcessor());
		Map<String, String> tyMap = new HashMap<String, String>();
		if (listMap == null || listMap.size() <= 0)
			return tyMap;
		for (int i = 0; i < listMap.size(); i++) {
			Map<String, String> map = listMap.get(i);
			String pk_org = map.get("pk_org");
			String name = map.get("name");
			tyMap.put(pk_org, name);
		}
		return tyMap;
	}

	/**
	 * TH03֯
	 * 
	 * @throws @throws DAOException
	 */
	public Map<String, List<String>> getOrgPk() throws Exception {
		Map<String, List<String>> mapl = new HashMap<String, List<String>>();
		String sql = "select name,memo from bd_defdoc where pk_defdoclist =( select pk_defdoclist from bd_defdoclist where code='TH03') ";
		List<Map<String, String>> listMap = (List<Map<String, String>>) new BaseDAO().executeQuery(sql, new MapListProcessor());
		List<String> orgList = null;
		if (listMap == null || listMap.size() <= 0)
			return mapl;
		for (int i = 0; i < listMap.size(); i++) {
			orgList = new ArrayList<String>();
			Map<String, String> codeMap = listMap.get(i);
			String name = codeMap.get("name");// ɱ˾
			String memo = codeMap.get("memo");
			String[] smemo = memo.split(",");
			for (String org : smemo) {
				orgList.add(org);
			}
			mapl.put(name, orgList);
		}
		return mapl;
	}

	/**
	 * ֯汾
	 */
	private String getPkorgv(String pk) throws BusinessException {
		String sql = "select   pk_vid    from  org_financeorg_v  where   pk_financeorg    = ? and nvl(dr,0) = 0 ";
		SQLParameter parameter = new SQLParameter();
		parameter.addParam(pk);
		Object pk_vid = iuap.executeQuery(sql, parameter, new ColumnProcessor());
		return pk_vid != null ? pk_vid + "" : "";
	}

	/**
	 * 
	 * 
	 * @param pk_org
	 * @return
	 * @throws BusinessException
	 * @throws DAOException
	 */
	private String getcurrtype(String code) throws BusinessException {
		String sql = "select      pk_currtype   from  bd_currtype  where    code   = ? and nvl(dr,0) = 0 ";
		SQLParameter parameter = new SQLParameter();
		parameter.addParam(code);
		Object pk_currtype = iuap.executeQuery(sql, parameter, new ColumnProcessor());
		return pk_currtype != null ? pk_currtype + "" : "";
	}

	/**
	 * ųнʷŹ˾ɱ˾ͬųTH03ӦϵĹ˾
	 * 
	 * @param listCostMap
	 * @param maps
	 * @param orgnamemap
	 * @return
	 */
	private List<Map<String, String>> getNewListCostMap(List<Map<String, String>> listCostMap,
			Map<String, List<String>> maps, Map<String, String> orgnamemap) {
		List<Map<String, String>> listCostMapNew = new LinkedList<Map<String, String>>();
		for (Map<String, String> map : listCostMap) {
			String wa_org = map.get("wa_org");
			String cost_org = map.get("cost_org");
			String cost_orgname = orgnamemap.get(cost_org);
			String wa_orgname = orgnamemap.get(wa_org);
			boolean flag = true;
			if (wa_orgname.equals(cost_orgname)) {
				flag = false;
			} else {
				if (maps != null && maps.size() > 0) {
					List<String> orgNameList = maps.get(cost_orgname);
					if (orgNameList != null && orgNameList.size() > 0) {
						if (orgNameList.contains(wa_orgname)) {
							flag = false;
						}
					}
				}
			}
			if (flag) {
				listCostMapNew.add(map);
			}
		}
		return listCostMapNew;
	}

	// Զ嵵
	private String getDefdocPKByName(String defdoclistcode, String name) throws Exception {
		if ("".equals(name)) {
			return null;
		}
		String sql = "select pk_defdoc from bd_defdoc where pk_defdoclist = (select pk_defdoclist from bd_defdoclist where code = '"
				+ defdoclistcode + "' and nvl(dr,0) = 0) and name  = '" + name + "' and enablestate = '2' and nvl(dr,0) = 0";
		String pk_defdoc = (String) iuap.executeQuery(sql, new ColumnProcessor());
		if (pk_defdoc == null) {
			throw new Exception("ȡ" + name + "Ϣʧ,δҵ" + name + "йصݣ");
		}
		return pk_defdoc;
	}

	// ͻ
	private String getCustomerPKBynameOrPkorg(String name, String pkorg) throws Exception {
		if ("".equals(name)) {
			return null;
		}
		String sql = "select pk_customer from bd_customer where  ( name  = '" + name + "' or pk_financeorg  = '" + pkorg
				+ "' ) and enablestate = '2' and nvl(dr,0) = 0";
		String pk_customer = (String) iuap.executeQuery(sql, new ColumnProcessor());
		if (pk_customer == null) {
			throw new Exception("ȡͻϢʧ,δҵ" + name + "йصݣ");
		}
		return pk_customer;
	}
	
	// ҵ
	private String getBusitypePK(String code,String pk_group) throws Exception {
		String sql = "select pk_busitype from bd_busitype where  busicode = '"+code+"' and pk_group = '"+pk_group+"' and validity = '1' and nvl(dr,0) = 0";
		String pk_busitype = (String) iuap.executeQuery(sql, new ColumnProcessor());
		if (pk_busitype == null) {
			throw new Exception("ȡҵϢʧ,δҵ" + code + "йصݣ");
		}
		return pk_busitype;
	}

	// ȡ·һaddMonth==0  1 
	private String getMonthLastDate(Date date, int addMonth) {
		Calendar calendar = new GregorianCalendar();
		calendar.setTime(date);
		calendar.add(Calendar.MONTH, addMonth);
		calendar.set(Calendar.DAY_OF_MONTH, calendar.getActualMaximum(Calendar.DAY_OF_MONTH));
		Date first = calendar.getTime();
		return convertDateToString(first, "yyyy-MM-dd");
	}

	// ڸʽתַ
	private String convertDateToString(Date inDate, String dateFormat) {
		String resultValue = "";
		if (inDate == null) {
			return resultValue;
		}
		try {
			SimpleDateFormat df = new SimpleDateFormat(dateFormat == null ? "yyyy-MM-dd" : dateFormat, Locale.US);
			resultValue = df.format(inDate);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return resultValue;
	}

	// ַתڸʽ
	private Date convertStringToDate(String inDate, String format) {
		if (inDate == null || inDate.isEmpty()) {
			return null;
		}
		SimpleDateFormat df;
		Date resultDate = null;
		try {
			df = new SimpleDateFormat(format == null ? "yyyy-MM-dd" : format, Locale.US);
			df.setLenient(false);
			resultDate = df.parse(inDate);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return resultDate;
	}

}
